/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 0

/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yylval          cf_lval
#define yychar          cf_char
#define yydebug         cf_debug
#define yynerrs         cf_nerrs


/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "cf-parse.y"

/* Headers from ../../conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from ../../conf/confbase.Y */

static void
check_u16(unsigned val)
{
  if (val > 0xFFFF)
    cf_error("Value %d out of range (0-65535)", val);
}

/* Headers from ../../sysdep/unix/config.Y */

#include "lib/unix.h"
#include <stdio.h>

/* Headers from ../../sysdep/unix/krt.Y */

#include "lib/krt.h"

/* Defines from ../../sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)

/* Headers from ../../sysdep/linux/netlink/netlink.Y */

/* Headers from ../../nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"

/* Defines from ../../nest/config.Y */

static struct proto_config *this_proto;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
static struct roa_table_config *this_roa_table;
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

/* Headers from ../../filter/config.Y */

/* Defines from ../../filter/config.Y */

#define P(a,b) ((a << 8) | b)

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }


/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  struct f_tree *lst = NULL;
  int i;

  if ((fa == ta) || ((fb == 0) && (tb == 0xFFFF)))
    return f_new_pair_item(fa, ta, fb, tb);
  
  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define EC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if (ipv4_used || (key >= 0x10000)) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_inst *dyn)
{ 
  struct f_inst *e = f_new_inst();
  e->code = 'E';

  switch (dyn->aux & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      e->aux = T_PATH;
      break;
    case EAF_TYPE_INT_SET:
      e->aux = T_CLIST;
      break;
    case EAF_TYPE_EC_SET:
      e->aux = T_ECLIST;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  dyn->code = P('e','S');
  dyn->a1.p = e;
  return dyn;
}


static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->code == 'c') && (t2->code == 'c')) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a2.i);
    check_u16(t2->a2.i);

    rv = f_new_inst();
    rv->code = 'c';
    rv->aux = T_PAIR;
    rv->a2.i = pair(t1->a2.i, t2->a2.i);
  }
  else {
    rv = f_new_inst();
    rv->code = P('m', 'p');
    rv->a1.p = t1;
    rv->a2.p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->code == 'c') {
    c1 = 1;

    if (tk->aux == T_INT) {
      ipv4_used = 0; key = tk->a2.i;
    }
    else if (tk->aux == T_QUAD) {
      ipv4_used = 1; key = tk->a2.i;
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

#ifndef IPV6
  /* IP->Quad implicit conversion */
  else if (tk->code == 'C') {
    c1 = 1;
    struct f_val *val = tk->a1.p;
    if (val->type == T_IP) {
      ipv4_used = 1; key = ipa_to_u32(val->val.px.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }
#endif

  if (tv->code == 'c') {
    if (tv->aux != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->a2.i;
  }

  if (c1 && c2) {
    u64 ec;
  
    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    NEW_F_VAL;
    rv = f_new_inst();
    rv->code = 'C';
    rv->a1.p = val;    
    val->type = T_EC;
    val->val.ec = ec;
  }
  else {
    rv = f_new_inst();
    rv->code = P('m','c');
    rv->aux = kind;
    rv->a1.p = tk;
    rv->a2.p = tv;
  }

  return rv;
}



/* Headers from ../../proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from ../../proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)

/* Headers from ../../proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from ../../proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet; 

#ifdef OSPFv2
static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if ((ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");
}
#endif

#ifdef OSPFv3
static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if ((ip->autype != OSPF_AUTH_NONE) || (get_passwords() != NULL))
    cf_error("Authentication not supported in OSPFv3");
}
#endif

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only Stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;

  if (EMPTY_LIST(cf->area_list))
    cf_error( "No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  struct ospf_area_config *ac;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
     backbone = 1;
  }
  cf->abr = areano > 1;

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error( "Vlinks cannot be used on single area router");
}

static inline void
check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%d", LSINFINITY);
}

/* Headers from ../../proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from ../../proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

/* Headers from ../../proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from ../../proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix

static struct radv_prefix_config *this_radv_prefix;

/* Headers from ../../proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from ../../proto/rip/config.Y */

#define RIP_CFG ((struct rip_proto_config *) this_proto)
#define RIP_IPATT ((struct rip_patt *) this_ipatt)

/* Headers from ../../proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from ../../proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_srt_nh, *last_srt_nh;



/* Line 268 of yacc.c  */
#line 548 "cf-parse.tab.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     END = 258,
     CLI_MARKER = 259,
     INVALID_TOKEN = 260,
     ELSECOL = 261,
     DDOT = 262,
     GEQ = 263,
     LEQ = 264,
     NEQ = 265,
     AND = 266,
     OR = 267,
     PO = 268,
     PC = 269,
     NUM = 270,
     ENUM = 271,
     RTRID = 272,
     IPA = 273,
     SYM = 274,
     TEXT = 275,
     PREFIX_DUMMY = 276,
     DEFINE = 277,
     ON = 278,
     OFF = 279,
     YES = 280,
     NO = 281,
     LOG = 282,
     SYSLOG = 283,
     ALL = 284,
     DEBUG = 285,
     TRACE = 286,
     INFO = 287,
     REMOTE = 288,
     WARNING = 289,
     ERROR = 290,
     AUTH = 291,
     FATAL = 292,
     BUG = 293,
     STDERR = 294,
     SOFT = 295,
     TIMEFORMAT = 296,
     ISO = 297,
     SHORT = 298,
     LONG = 299,
     BASE = 300,
     NAME = 301,
     CONFIGURE = 302,
     DOWN = 303,
     KERNEL = 304,
     PERSIST = 305,
     SCAN = 306,
     TIME = 307,
     LEARN = 308,
     DEVICE = 309,
     ROUTES = 310,
     ASYNC = 311,
     TABLE = 312,
     KRT_PREFSRC = 313,
     KRT_REALM = 314,
     ROUTER = 315,
     ID = 316,
     PROTOCOL = 317,
     TEMPLATE = 318,
     PREFERENCE = 319,
     DISABLED = 320,
     DIRECT = 321,
     INTERFACE = 322,
     IMPORT = 323,
     EXPORT = 324,
     FILTER = 325,
     NONE = 326,
     STATES = 327,
     FILTERS = 328,
     PASSWORD = 329,
     FROM = 330,
     PASSIVE = 331,
     TO = 332,
     EVENTS = 333,
     PACKETS = 334,
     PROTOCOLS = 335,
     INTERFACES = 336,
     PRIMARY = 337,
     STATS = 338,
     COUNT = 339,
     FOR = 340,
     COMMANDS = 341,
     PREEXPORT = 342,
     GENERATE = 343,
     ROA = 344,
     MAX = 345,
     FLUSH = 346,
     LISTEN = 347,
     BGP = 348,
     V6ONLY = 349,
     DUAL = 350,
     ADDRESS = 351,
     PORT = 352,
     PASSWORDS = 353,
     DESCRIPTION = 354,
     RELOAD = 355,
     IN = 356,
     OUT = 357,
     MRTDUMP = 358,
     MESSAGES = 359,
     RESTRICT = 360,
     MEMORY = 361,
     IGP_METRIC = 362,
     SHOW = 363,
     STATUS = 364,
     SUMMARY = 365,
     ROUTE = 366,
     SYMBOLS = 367,
     ADD = 368,
     DELETE = 369,
     DUMP = 370,
     RESOURCES = 371,
     SOCKETS = 372,
     NEIGHBORS = 373,
     ATTRIBUTES = 374,
     ECHO = 375,
     DISABLE = 376,
     ENABLE = 377,
     RESTART = 378,
     FUNCTION = 379,
     PRINT = 380,
     PRINTN = 381,
     UNSET = 382,
     RETURN = 383,
     ACCEPT = 384,
     REJECT = 385,
     QUITBIRD = 386,
     INT = 387,
     BOOL = 388,
     IP = 389,
     PREFIX = 390,
     PAIR = 391,
     QUAD = 392,
     EC = 393,
     SET = 394,
     STRING = 395,
     BGPMASK = 396,
     BGPPATH = 397,
     CLIST = 398,
     ECLIST = 399,
     IF = 400,
     THEN = 401,
     ELSE = 402,
     CASE = 403,
     TRUE = 404,
     FALSE = 405,
     RT = 406,
     RO = 407,
     UNKNOWN = 408,
     GENERIC = 409,
     GW = 410,
     NET = 411,
     MASK = 412,
     PROTO = 413,
     SOURCE = 414,
     SCOPE = 415,
     CAST = 416,
     DEST = 417,
     LEN = 418,
     DEFINED = 419,
     CONTAINS = 420,
     RESET = 421,
     PREPEND = 422,
     FIRST = 423,
     LAST = 424,
     MATCH = 425,
     ROA_CHECK = 426,
     EMPTY = 427,
     WHERE = 428,
     EVAL = 429,
     LOCAL = 430,
     NEIGHBOR = 431,
     AS = 432,
     HOLD = 433,
     CONNECT = 434,
     RETRY = 435,
     KEEPALIVE = 436,
     MULTIHOP = 437,
     STARTUP = 438,
     VIA = 439,
     NEXT = 440,
     HOP = 441,
     SELF = 442,
     DEFAULT = 443,
     PATH = 444,
     METRIC = 445,
     START = 446,
     DELAY = 447,
     FORGET = 448,
     WAIT = 449,
     AFTER = 450,
     BGP_PATH = 451,
     BGP_LOCAL_PREF = 452,
     BGP_MED = 453,
     BGP_ORIGIN = 454,
     BGP_NEXT_HOP = 455,
     BGP_ATOMIC_AGGR = 456,
     BGP_AGGREGATOR = 457,
     BGP_COMMUNITY = 458,
     BGP_EXT_COMMUNITY = 459,
     RR = 460,
     RS = 461,
     CLIENT = 462,
     CLUSTER = 463,
     AS4 = 464,
     ADVERTISE = 465,
     IPV4 = 466,
     CAPABILITIES = 467,
     LIMIT = 468,
     PREFER = 469,
     OLDER = 470,
     MISSING = 471,
     LLADDR = 472,
     DROP = 473,
     IGNORE = 474,
     REFRESH = 475,
     INTERPRET = 476,
     COMMUNITIES = 477,
     BGP_ORIGINATOR_ID = 478,
     BGP_CLUSTER_LIST = 479,
     IGP = 480,
     GATEWAY = 481,
     RECURSIVE = 482,
     MED = 483,
     TTL = 484,
     SECURITY = 485,
     DETERMINISTIC = 486,
     OSPF = 487,
     AREA = 488,
     OSPF_METRIC1 = 489,
     OSPF_METRIC2 = 490,
     OSPF_TAG = 491,
     OSPF_ROUTER_ID = 492,
     RFC1583COMPAT = 493,
     STUB = 494,
     TICK = 495,
     COST = 496,
     COST2 = 497,
     RETRANSMIT = 498,
     HELLO = 499,
     TRANSMIT = 500,
     PRIORITY = 501,
     DEAD = 502,
     TYPE = 503,
     BROADCAST = 504,
     BCAST = 505,
     NONBROADCAST = 506,
     NBMA = 507,
     POINTOPOINT = 508,
     PTP = 509,
     POINTOMULTIPOINT = 510,
     PTMP = 511,
     SIMPLE = 512,
     AUTHENTICATION = 513,
     STRICT = 514,
     CRYPTOGRAPHIC = 515,
     ELIGIBLE = 516,
     POLL = 517,
     NETWORKS = 518,
     HIDDEN = 519,
     VIRTUAL = 520,
     CHECK = 521,
     LINK = 522,
     RX = 523,
     BUFFER = 524,
     LARGE = 525,
     NORMAL = 526,
     STUBNET = 527,
     TAG = 528,
     EXTERNAL = 529,
     LSADB = 530,
     ECMP = 531,
     WEIGHT = 532,
     NSSA = 533,
     TRANSLATOR = 534,
     STABILITY = 535,
     GLOBAL = 536,
     LSID = 537,
     TOPOLOGY = 538,
     STATE = 539,
     PIPE = 540,
     PEER = 541,
     MODE = 542,
     OPAQUE = 543,
     TRANSPARENT = 544,
     RADV = 545,
     MIN = 546,
     RA = 547,
     INTERVAL = 548,
     MANAGED = 549,
     OTHER = 550,
     CONFIG = 551,
     MTU = 552,
     REACHABLE = 553,
     RETRANS = 554,
     TIMER = 555,
     CURRENT = 556,
     VALID = 557,
     PREFERRED = 558,
     LIFETIME = 559,
     SKIP = 560,
     ONLINK = 561,
     AUTONOMOUS = 562,
     RIP = 563,
     INFINITY = 564,
     PERIOD = 565,
     GARBAGE = 566,
     TIMEOUT = 567,
     MULTICAST = 568,
     QUIET = 569,
     NOLISTEN = 570,
     VERSION1 = 571,
     PLAINTEXT = 572,
     MD5 = 573,
     HONOR = 574,
     NEVER = 575,
     ALWAYS = 576,
     RIP_METRIC = 577,
     RIP_TAG = 578,
     STATIC = 579,
     PROHIBIT = 580,
     MULTIPATH = 581
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 471 "cf-parse.y"

  int i;
  u32 i32;
  ip_addr a;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct f_inst *x;
  struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct f_path_mask *h;
  struct password_item *p;
  struct rt_show_data *ra;
  struct roa_show_data *ro;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct iface *iface;
  struct roa_table *rot;
  void *g;
  bird_clock_t time;
  struct prefix px;
  struct proto_spec ps;
  struct timeformat *tf;



/* Line 293 of yacc.c  */
#line 939 "cf-parse.tab.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 951 "cf-parse.tab.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  61
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2470

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  348
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  240
/* YYNRULES -- Number of rules.  */
#define YYNRULES  763
/* YYNRULES -- Number of states.  */
#define YYNSTATES  1445

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   581

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    31,     2,     2,     2,    30,     2,     2,
     338,   339,    28,    26,   344,    27,    32,    29,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   341,   340,
      23,    22,    24,   345,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   346,     2,   347,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   342,     2,   343,    25,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     6,     9,    10,    13,    15,    19,    21,
      27,    33,    35,    37,    39,    41,    43,    44,    46,    48,
      49,    52,    55,    57,    59,    62,    65,    67,    69,    70,
      75,    78,    79,    81,    84,    86,    88,    92,    94,    98,
     100,   102,   104,   106,   108,   110,   112,   114,   116,   121,
     125,   127,   129,   131,   133,   136,   141,   145,   149,   153,
     157,   162,   165,   166,   168,   171,   174,   178,   181,   185,
     188,   192,   196,   200,   205,   207,   209,   211,   216,   217,
     220,   223,   226,   228,   230,   233,   237,   238,   247,   249,
     254,   256,   258,   259,   261,   265,   266,   269,   272,   275,
     278,   281,   284,   287,   291,   294,   297,   299,   301,   303,
     305,   309,   313,   314,   316,   318,   321,   322,   324,   328,
     330,   334,   337,   341,   345,   349,   350,   354,   356,   358,
     362,   364,   368,   370,   372,   374,   376,   378,   380,   382,
     384,   388,   390,   394,   396,   398,   403,   405,   406,   410,
     415,   417,   420,   421,   427,   433,   439,   445,   450,   454,
     458,   463,   469,   471,   472,   476,   481,   486,   487,   490,
     494,   498,   502,   505,   508,   511,   515,   519,   522,   525,
     527,   529,   534,   535,   539,   543,   547,   548,   550,   552,
     557,   558,   561,   564,   567,   570,   573,   576,   579,   580,
     583,   593,   603,   608,   612,   616,   620,   624,   628,   632,
     636,   641,   643,   645,   647,   648,   650,   654,   658,   662,
     666,   671,   676,   681,   686,   689,   691,   693,   695,   697,
     698,   700,   701,   706,   709,   711,   713,   715,   717,   719,
     721,   723,   725,   727,   729,   731,   733,   736,   739,   740,
     744,   746,   750,   752,   754,   756,   759,   763,   766,   771,
     772,   778,   779,   781,   783,   786,   788,   792,   794,   796,
     798,   800,   802,   804,   808,   810,   812,   814,   816,   818,
     822,   824,   830,   842,   844,   846,   848,   851,   853,   861,
     871,   879,   881,   883,   885,   889,   891,   893,   895,   899,
     901,   905,   907,   911,   915,   917,   920,   923,   930,   932,
     936,   937,   942,   946,   948,   952,   956,   960,   963,   966,
     969,   972,   973,   976,   979,   980,   982,   984,   986,   988,
     990,   992,   994,   998,  1002,  1004,  1006,  1012,  1020,  1021,
    1026,  1028,  1030,  1032,  1034,  1036,  1038,  1040,  1042,  1044,
    1048,  1052,  1056,  1060,  1064,  1068,  1072,  1076,  1080,  1084,
    1088,  1092,  1096,  1100,  1103,  1108,  1110,  1112,  1114,  1116,
    1119,  1122,  1126,  1130,  1137,  1141,  1145,  1149,  1153,  1159,
    1166,  1173,  1180,  1187,  1192,  1201,  1206,  1208,  1210,  1212,
    1214,  1216,  1218,  1220,  1221,  1223,  1227,  1229,  1233,  1234,
    1236,  1241,  1248,  1253,  1257,  1263,  1269,  1274,  1281,  1285,
    1288,  1294,  1300,  1309,  1318,  1327,  1336,  1339,  1343,  1347,
    1353,  1360,  1368,  1375,  1380,  1385,  1391,  1398,  1405,  1411,
    1415,  1420,  1426,  1432,  1438,  1444,  1449,  1454,  1460,  1466,
    1472,  1478,  1484,  1490,  1496,  1502,  1509,  1516,  1525,  1532,
    1539,  1545,  1550,  1556,  1561,  1567,  1572,  1578,  1584,  1590,
    1593,  1597,  1601,  1603,  1606,  1609,  1614,  1617,  1619,  1622,
    1627,  1628,  1632,  1635,  1637,  1640,  1644,  1648,  1652,  1656,
    1659,  1663,  1664,  1670,  1671,  1677,  1680,  1683,  1685,  1690,
    1692,  1694,  1695,  1699,  1702,  1705,  1708,  1713,  1715,  1716,
    1720,  1721,  1724,  1727,  1731,  1734,  1737,  1741,  1744,  1747,
    1750,  1752,  1756,  1759,  1762,  1765,  1768,  1771,  1774,  1778,
    1781,  1784,  1787,  1790,  1793,  1796,  1799,  1802,  1806,  1809,
    1813,  1816,  1820,  1824,  1829,  1832,  1835,  1838,  1842,  1846,
    1850,  1852,  1853,  1856,  1860,  1862,  1863,  1865,  1868,  1869,
    1872,  1874,  1876,  1879,  1883,  1884,  1885,  1889,  1890,  1894,
    1898,  1900,  1901,  1906,  1913,  1920,  1927,  1935,  1942,  1950,
    1956,  1957,  1960,  1964,  1967,  1971,  1975,  1978,  1982,  1985,
    1988,  1992,  1996,  2002,  2007,  2012,  2015,  2017,  2020,  2023,
    2024,  2028,  2033,  2034,  2039,  2044,  2048,  2051,  2055,  2059,
    2063,  2067,  2072,  2076,  2079,  2080,  2081,  2085,  2086,  2090,
    2095,  2097,  2100,  2103,  2106,  2110,  2114,  2115,  2116,  2120,
    2121,  2125,  2129,  2132,  2136,  2140,  2145,  2150,  2155,  2161,
    2167,  2172,  2176,  2181,  2186,  2191,  2196,  2198,  2200,  2202,
    2204,  2206,  2208,  2210,  2212,  2213,  2216,  2219,  2220,  2224,
    2225,  2229,  2230,  2234,  2237,  2241,  2245,  2251,  2257,  2261,
    2264,  2268,  2272,  2274,  2277,  2282,  2286,  2290,  2294,  2297,
    2300,  2303,  2308,  2310,  2312,  2314,  2316,  2318,  2320,  2322,
    2324,  2326,  2328,  2330,  2332,  2334,  2336,  2338,  2340,  2342,
    2344,  2346,  2348,  2350,  2352,  2354,  2356,  2358,  2360,  2362,
    2364,  2366,  2368,  2370,  2372,  2374,  2376,  2378,  2380,  2382,
    2384,  2386,  2388,  2390,  2392,  2394,  2396,  2398,  2400,  2402,
    2404,  2406,  2408,  2410,  2412,  2414,  2416,  2418,  2421,  2424,
    2427,  2430,  2433,  2436,  2439,  2442,  2445,  2449,  2453,  2457,
    2461,  2465,  2469,  2473,  2475,  2477,  2479,  2481,  2483,  2485,
    2487,  2489,  2491,  2493,  2495,  2497,  2499,  2501,  2503,  2505,
    2507,  2509,  2511,  2513
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     349,     0,    -1,   350,     3,    -1,     4,   583,    -1,    -1,
     350,   582,    -1,    15,    -1,   338,   499,   339,    -1,    19,
      -1,    33,    19,    22,   351,   340,    -1,    33,    19,    22,
      18,   340,    -1,   351,    -1,    34,    -1,    36,    -1,    35,
      -1,    37,    -1,    -1,    18,    -1,    19,    -1,    -1,    30,
      19,    -1,   354,   358,    -1,   356,    -1,   354,    -1,    29,
     351,    -1,   341,   354,    -1,    20,    -1,    20,    -1,    -1,
      38,   363,   364,   340,    -1,    57,    20,    -1,    -1,    20,
      -1,    39,   362,    -1,    50,    -1,    40,    -1,   342,   365,
     343,    -1,   366,    -1,   365,   344,   366,    -1,    41,    -1,
      42,    -1,    43,    -1,    44,    -1,    45,    -1,    46,    -1,
      47,    -1,    48,    -1,    49,    -1,   114,    91,   407,   340,
      -1,   114,    20,   340,    -1,   122,    -1,    73,    -1,    56,
      -1,    38,    -1,   368,    20,    -1,   368,    20,   351,    20,
      -1,   368,    53,    54,    -1,   368,    53,    55,    -1,    52,
     369,   340,    -1,    58,   374,     3,    -1,    58,    51,   374,
       3,    -1,    59,     3,    -1,    -1,    20,    -1,   389,    60,
      -1,    61,   353,    -1,    62,    63,   351,    -1,    64,   353,
      -1,    65,    66,   353,    -1,   389,    65,    -1,    62,    63,
     351,    -1,    93,   360,   357,    -1,    60,    68,   351,    -1,
      71,    72,   381,   340,    -1,    15,    -1,    17,    -1,    18,
      -1,   103,   104,   383,   340,    -1,    -1,   383,   384,    -1,
     107,   354,    -1,   108,   351,    -1,   105,    -1,   106,    -1,
      68,    19,    -1,   100,    68,    19,    -1,    -1,   387,   100,
     356,   101,    15,   188,    15,   340,    -1,   386,    -1,   386,
     342,   387,   343,    -1,    73,    -1,    74,    -1,    -1,    19,
      -1,    19,    86,    19,    -1,    -1,    75,   351,    -1,    76,
     353,    -1,    41,   404,    -1,   114,   407,    -1,    79,   392,
      -1,    80,   392,    -1,    68,   393,    -1,    71,    72,   381,
      -1,   110,    20,    -1,    81,   463,    -1,   464,    -1,    40,
      -1,    82,    -1,    19,    -1,    41,    91,   404,    -1,    41,
      97,   351,    -1,    -1,    20,    -1,   357,    -1,    20,   357,
      -1,    -1,    27,    -1,   395,   397,   396,    -1,   398,    -1,
     399,   344,   398,    -1,   389,    77,    -1,   400,   390,   342,
      -1,   401,   391,   340,    -1,   401,   403,   340,    -1,    -1,
      78,   402,   399,    -1,    40,    -1,    35,    -1,   342,   405,
     343,    -1,   406,    -1,   405,   344,   406,    -1,    83,    -1,
      66,    -1,    84,    -1,    92,    -1,    89,    -1,    90,    -1,
      40,    -1,    35,    -1,   342,   408,   343,    -1,   409,    -1,
     408,   344,   409,    -1,    83,    -1,   115,    -1,   109,   342,
     411,   343,    -1,   412,    -1,    -1,   412,   340,   411,    -1,
     413,   342,   414,   343,    -1,   413,    -1,    85,    20,    -1,
      -1,    99,    86,   359,   340,   414,    -1,    99,    88,   359,
     340,   414,    -1,   140,    86,   359,   340,   414,    -1,   140,
      88,   359,   340,   414,    -1,    72,   351,   340,   414,    -1,
     119,   120,     3,    -1,   119,   117,     3,    -1,   119,    91,
     454,     3,    -1,   119,    91,    40,   454,     3,    -1,    19,
      -1,    -1,   119,    92,     3,    -1,   119,    92,   121,     3,
      -1,   119,   122,   423,     3,    -1,    -1,   423,   356,    -1,
     423,    96,   357,    -1,   423,    68,    19,    -1,   423,    81,
     463,    -1,   423,   464,    -1,   423,    40,    -1,   423,    93,
      -1,   423,   424,    19,    -1,   423,    73,    19,    -1,   423,
      94,    -1,   423,    95,    -1,    98,    -1,    80,    -1,   119,
     100,   426,     3,    -1,    -1,   426,   427,   356,    -1,   426,
     188,    15,    -1,   426,    68,    19,    -1,    -1,   112,    -1,
      96,    -1,   119,   123,   429,     3,    -1,    -1,   429,    68,
      -1,   429,   135,    -1,   429,    81,    -1,   429,    73,    -1,
     429,    74,    -1,   429,   100,    -1,   429,    19,    -1,    -1,
      68,    19,    -1,   124,   100,   356,   101,    15,   188,    15,
     430,     3,    -1,   125,   100,   356,   101,    15,   188,    15,
     430,     3,    -1,   102,   100,   430,     3,    -1,   126,   127,
       3,    -1,   126,   128,     3,    -1,   126,    92,     3,    -1,
     126,   129,     3,    -1,   126,   130,     3,    -1,   126,    66,
       3,    -1,   126,    91,     3,    -1,   131,   442,   443,     3,
      -1,    40,    -1,    35,    -1,    15,    -1,    -1,    15,    -1,
     132,   453,     3,    -1,   133,   453,     3,    -1,   134,   453,
       3,    -1,   111,   453,     3,    -1,   111,   112,   453,     3,
      -1,   111,   113,   453,     3,    -1,    41,   453,   404,     3,
      -1,   114,   453,   407,     3,    -1,   116,     3,    -1,    19,
      -1,    40,    -1,    20,    -1,    19,    -1,    -1,    20,    -1,
      -1,    81,    19,   456,   462,    -1,   185,   499,    -1,   143,
      -1,   144,    -1,   145,    -1,   146,    -1,   147,    -1,   148,
      -1,   149,    -1,   151,    -1,   152,    -1,   153,    -1,   154,
      -1,   155,    -1,   458,   150,    -1,   458,    19,    -1,    -1,
     459,   340,   460,    -1,   459,    -1,   459,   340,   461,    -1,
     466,    -1,    19,    -1,   462,    -1,   184,   499,    -1,   338,
     461,   339,    -1,   338,   339,    -1,   460,   342,   469,   343,
      -1,    -1,   135,    19,   468,   465,   466,    -1,    -1,   470,
      -1,   505,    -1,   470,   505,    -1,   505,    -1,   342,   469,
     343,    -1,    18,    -1,   351,    -1,    17,    -1,   472,    -1,
      16,    -1,    15,    -1,   338,   499,   339,    -1,    17,    -1,
     472,    -1,    16,    -1,   499,    -1,   475,    -1,   475,     7,
     475,    -1,    28,    -1,   338,   476,   344,   476,   339,    -1,
     338,   476,   344,   476,   339,     7,   338,   475,   344,   475,
     339,    -1,   499,    -1,   162,    -1,   163,    -1,   164,    15,
      -1,   165,    -1,   338,   479,   344,   478,   344,   478,   339,
      -1,   338,   479,   344,   478,   344,   478,     7,   478,   339,
      -1,   338,   479,   344,   478,   344,    28,   339,    -1,   477,
      -1,   480,    -1,   473,    -1,   473,     7,   473,    -1,   477,
      -1,   480,    -1,   474,    -1,   474,     7,   474,    -1,   481,
      -1,   483,   344,   481,    -1,   482,    -1,   484,   344,   482,
      -1,    18,    29,    15,    -1,   485,    -1,   485,    26,    -1,
     485,    27,    -1,   485,   342,    15,   344,    15,   343,    -1,
     486,    -1,   487,   344,   486,    -1,    -1,   488,   484,   341,
     469,    -1,   488,     6,   469,    -1,   497,    -1,   338,   499,
     339,    -1,    13,   491,    14,    -1,    29,   492,    29,    -1,
      15,   491,    -1,    28,   491,    -1,   345,   491,    -1,   489,
     491,    -1,    -1,    15,   492,    -1,   345,   492,    -1,    -1,
      15,    -1,   160,    -1,   161,    -1,    20,    -1,   472,    -1,
     485,    -1,    17,    -1,   346,   483,   347,    -1,   346,   487,
     347,    -1,    16,    -1,   490,    -1,   338,   499,   344,   499,
     339,    -1,   338,   479,   344,   499,   344,   499,   339,    -1,
      -1,    19,   338,   504,   339,    -1,    19,    -1,    86,    -1,
     166,    -1,   167,    -1,   169,    -1,   170,    -1,   171,    -1,
     172,    -1,   173,    -1,   338,   499,   339,    -1,   499,    26,
     499,    -1,   499,    27,   499,    -1,   499,    28,   499,    -1,
     499,    29,   499,    -1,   499,    11,   499,    -1,   499,    12,
     499,    -1,   499,    22,   499,    -1,   499,    10,   499,    -1,
     499,    23,   499,    -1,   499,     9,   499,    -1,   499,    24,
     499,    -1,   499,     8,   499,    -1,   499,    25,   499,    -1,
      31,   499,    -1,   175,   338,   499,   339,    -1,   497,    -1,
     493,    -1,   494,    -1,    75,    -1,   495,   498,    -1,   495,
     587,    -1,   499,    32,   145,    -1,   499,    32,   174,    -1,
     499,    32,   168,   338,   499,   339,    -1,   499,    32,   179,
      -1,   499,    32,   180,    -1,    26,   183,    26,    -1,    27,
     183,    27,    -1,    27,    27,   183,    27,    27,    -1,   178,
     338,   499,   344,   499,   339,    -1,   124,   338,   499,   344,
     499,   339,    -1,   125,   338,   499,   344,   499,   339,    -1,
      81,   338,   499,   344,   499,   339,    -1,   182,   338,    19,
     339,    -1,   182,   338,    19,   344,   499,   344,   499,   339,
      -1,    19,   338,   504,   339,    -1,   142,    -1,   140,    -1,
     141,    -1,    46,    -1,   136,    -1,   137,    -1,   499,    -1,
      -1,   501,    -1,   501,   344,   502,    -1,   499,    -1,   499,
     344,   503,    -1,    -1,   503,    -1,   156,   499,   157,   471,
      -1,   156,   499,   157,   471,   158,   471,    -1,    19,    22,
     499,   340,    -1,   139,   499,   340,    -1,   495,   587,    22,
     499,   340,    -1,   495,   498,    22,   499,   340,    -1,    75,
      22,   499,   340,    -1,   138,   338,   495,   587,   339,   340,
      -1,   500,   502,   340,    -1,   496,   340,    -1,   159,   499,
     342,   488,   343,    -1,   495,   587,    32,   183,   340,    -1,
     495,   587,    32,   178,   338,   499,   339,   340,    -1,   495,
     587,    32,   124,   338,   499,   339,   340,    -1,   495,   587,
      32,   125,   338,   499,   339,   340,    -1,   495,   587,    32,
      81,   338,   499,   339,   340,    -1,   389,   104,    -1,   506,
     390,   342,    -1,   507,   391,   340,    -1,   507,   186,   188,
     351,   340,    -1,   507,   186,   354,   188,   351,   340,    -1,
     507,   187,   354,   355,   188,   351,   340,    -1,   507,   216,
     219,    72,   381,   340,    -1,   507,   216,   218,   340,    -1,
     507,   217,   218,   340,    -1,   507,   189,    63,   351,   340,
      -1,   507,   194,   189,    63,   351,   340,    -1,   507,   190,
     191,    63,   351,   340,    -1,   507,   192,    63,   351,   340,
      -1,   507,   193,   340,    -1,   507,   193,   351,   340,    -1,
     507,   196,   197,   198,   340,    -1,   507,   227,   228,   198,
     340,    -1,   507,   227,   228,   229,   340,    -1,   507,   227,
     228,   230,   340,    -1,   507,   237,    77,   340,    -1,   507,
     237,   238,   340,    -1,   507,   200,   201,   353,   340,    -1,
     507,   239,   201,   353,   340,    -1,   507,   236,   201,   353,
     340,    -1,   507,   225,   226,   353,   340,    -1,   507,   242,
     239,   353,   340,    -1,   507,   199,   209,   351,   340,    -1,
     507,   199,   208,   351,   340,    -1,   507,   170,   107,   354,
     340,    -1,   507,   202,   203,    63,   351,   340,    -1,   507,
      46,   204,    63,   351,   340,    -1,   507,    46,   205,    63,
     351,   344,   351,   340,    -1,   507,   132,   206,    46,   353,
     340,    -1,   507,   133,   122,   231,   353,   340,    -1,   507,
     133,   220,   353,   340,    -1,   507,   223,   353,   340,    -1,
     507,   221,   222,   353,   340,    -1,   507,    85,    20,   340,
      -1,   507,   122,   224,   351,   340,    -1,   507,    87,   353,
     340,    -1,   507,   232,   233,   353,   340,    -1,   507,   236,
      68,   393,   340,    -1,   507,   240,   241,   353,   340,    -1,
     389,   243,    -1,   508,   390,   342,    -1,   509,   510,   340,
      -1,   391,    -1,   249,   353,    -1,   287,   353,    -1,   287,
     353,   224,   351,    -1,   251,   351,    -1,   512,    -1,   244,
     381,    -1,   511,   342,   513,   343,    -1,    -1,   513,   514,
     340,    -1,   250,   353,    -1,   289,    -1,   121,   353,    -1,
     199,   289,   353,    -1,   199,   252,   351,    -1,   199,   253,
     351,    -1,   250,   252,   351,    -1,   290,   353,    -1,   290,
     291,   351,    -1,    -1,   274,   515,   342,   526,   343,    -1,
      -1,   285,   516,   342,   526,   343,    -1,   283,   517,    -1,
      78,   537,    -1,   521,    -1,   518,   342,   519,   343,    -1,
     518,    -1,   356,    -1,    -1,   519,   520,   340,    -1,   275,
     353,    -1,   121,   353,    -1,   252,   351,    -1,   524,   342,
     522,   343,    -1,   524,    -1,    -1,   522,   523,   340,    -1,
      -1,   255,   351,    -1,   254,   351,    -1,   256,   203,   351,
      -1,   205,   351,    -1,   258,   351,    -1,   258,    95,   351,
      -1,   269,    82,    -1,   269,   268,    -1,   269,   271,    -1,
     410,    -1,   276,   278,   381,    -1,   252,   351,    -1,   255,
     351,    -1,   273,   351,    -1,   254,   351,    -1,   205,   351,
      -1,   258,   351,    -1,   258,    95,   351,    -1,   259,   260,
      -1,   259,   261,    -1,   259,   262,    -1,   259,   263,    -1,
     259,   264,    -1,   259,   265,    -1,   259,   266,    -1,   259,
     267,    -1,   256,   203,   351,    -1,   257,   351,    -1,   270,
     262,   353,    -1,   250,   353,    -1,   277,   278,   353,    -1,
     287,   288,   351,    -1,   129,   342,   530,   343,    -1,   269,
      82,    -1,   269,   268,    -1,   269,   271,    -1,   279,   280,
     281,    -1,   279,   280,   282,    -1,   279,   280,   351,    -1,
     410,    -1,    -1,   526,   527,    -1,   528,   529,   340,    -1,
     356,    -1,    -1,   275,    -1,   284,   351,    -1,    -1,   530,
     531,    -1,   532,    -1,   533,    -1,    18,   340,    -1,    18,
     272,   340,    -1,    -1,    -1,   535,   525,   340,    -1,    -1,
     342,   535,   343,    -1,   534,   399,   536,    -1,    20,    -1,
      -1,   119,   243,   419,     3,    -1,   119,   243,   129,   419,
     538,     3,    -1,   119,   243,    78,   419,   538,     3,    -1,
     119,   243,   294,   419,   538,     3,    -1,   119,   243,   294,
      40,   419,   538,     3,    -1,   119,   243,   295,   419,   538,
       3,    -1,   119,   243,   295,    40,   419,   538,     3,    -1,
     119,   243,   286,   547,     3,    -1,    -1,   547,   292,    -1,
     547,   244,   381,    -1,   547,   278,    -1,   547,   259,    15,
      -1,   547,   293,   381,    -1,   547,   198,    -1,   547,    71,
     381,    -1,   547,    19,    -1,   389,   296,    -1,   548,   390,
     342,    -1,   549,   391,   340,    -1,   549,   297,    68,    19,
     340,    -1,   549,   298,   299,   340,    -1,   549,   298,   300,
     340,    -1,   389,   301,    -1,   391,    -1,   146,   565,    -1,
      78,   559,    -1,    -1,   552,   551,   340,    -1,   550,   390,
     342,   552,    -1,    -1,   302,   303,   304,   351,    -1,   101,
     303,   304,   351,    -1,   302,   203,   351,    -1,   305,   353,
      -1,   306,   307,   353,    -1,   278,   308,   351,    -1,   309,
      63,   351,    -1,   310,   311,   351,    -1,   312,   197,   224,
     351,    -1,   199,   315,   351,    -1,   146,   565,    -1,    -1,
      -1,   557,   555,   340,    -1,    -1,   342,   557,   343,    -1,
     554,   399,   558,   556,    -1,   356,    -1,   316,   353,    -1,
     317,   353,    -1,   318,   353,    -1,   313,   315,   351,    -1,
     314,   315,   351,    -1,    -1,    -1,   563,   561,   340,    -1,
      -1,   342,   563,   343,    -1,   560,   564,   562,    -1,   389,
     319,    -1,   566,   390,   342,    -1,   567,   391,   340,    -1,
     567,   320,   351,   340,    -1,   567,   108,   351,   340,    -1,
     567,   321,   351,   340,    -1,   567,   322,    63,   351,   340,
      -1,   567,   323,    63,   351,   340,    -1,   567,   269,   568,
     340,    -1,   567,   410,   340,    -1,   567,   330,   332,   340,
      -1,   567,   330,   187,   340,    -1,   567,   330,   331,   340,
      -1,   567,    78,   574,   340,    -1,   328,    -1,   329,    -1,
      82,    -1,   260,    -1,   324,    -1,   325,    -1,   326,    -1,
     327,    -1,    -1,   201,   351,    -1,   298,   569,    -1,    -1,
     571,   570,   340,    -1,    -1,   342,   571,   343,    -1,    -1,
     573,   399,   572,    -1,   389,   335,    -1,   575,   390,   342,
      -1,   576,   391,   340,    -1,   576,   277,   278,   353,   340,
      -1,   576,   236,    68,   393,   340,    -1,   576,   580,   340,
      -1,   122,   356,    -1,   195,   354,   355,    -1,   578,   288,
     351,    -1,   578,    -1,   579,   578,    -1,   577,   195,   354,
     355,    -1,   577,   195,    20,    -1,   577,   337,   579,    -1,
     577,   238,   354,    -1,   577,   229,    -1,   577,   141,    -1,
     577,   336,    -1,   119,   335,   419,     3,    -1,   340,    -1,
     352,    -1,   361,    -1,   367,    -1,   370,    -1,   380,    -1,
     382,    -1,   385,    -1,   388,    -1,   584,    -1,   394,    -1,
     455,    -1,   457,    -1,   467,    -1,   371,    -1,   372,    -1,
     373,    -1,   415,    -1,   416,    -1,   417,    -1,   418,    -1,
     420,    -1,   421,    -1,   422,    -1,   425,    -1,   428,    -1,
     431,    -1,   432,    -1,   433,    -1,   434,    -1,   435,    -1,
     436,    -1,   437,    -1,   438,    -1,   439,    -1,   440,    -1,
     441,    -1,   444,    -1,   445,    -1,   446,    -1,   447,    -1,
     448,    -1,   449,    -1,   450,    -1,   451,    -1,   452,    -1,
     539,    -1,   540,    -1,   541,    -1,   542,    -1,   543,    -1,
     544,    -1,   545,    -1,   546,    -1,   581,    -1,   585,   343,
      -1,   586,   343,    -1,   401,   343,    -1,   507,   343,    -1,
     509,   343,    -1,   549,   343,    -1,   553,   343,    -1,   567,
     343,    -1,   576,   343,    -1,   375,   390,   342,    -1,   585,
     391,   340,    -1,   585,   376,   340,    -1,   585,   379,   340,
      -1,   377,   390,   342,    -1,   586,   391,   340,    -1,   586,
     378,   340,    -1,    69,    -1,    70,    -1,   118,    -1,     5,
      -1,   210,    -1,   207,    -1,   211,    -1,   209,    -1,   208,
      -1,   212,    -1,   213,    -1,   214,    -1,   234,    -1,   235,
      -1,   215,    -1,   245,    -1,   246,    -1,   247,    -1,   248,
      -1,   333,    -1,   334,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   650,   650,   651,   654,   656,   663,   664,   665,   671,
     675,   684,   685,   686,   687,   688,   689,   695,   696,   703,
     704,   708,   715,   716,   720,   724,   731,   739,   740,   746,
     755,   756,   760,   765,   766,   770,   771,   775,   776,   780,
     781,   782,   783,   784,   785,   786,   787,   788,   794,   795,
     804,   805,   806,   807,   810,   811,   812,   813,   817,   824,
     827,   830,   834,   835,   843,   858,   859,   863,   870,   876,
     888,   892,   905,   918,   924,   925,   926,   937,   939,   941,
     945,   946,   947,   948,   955,   961,   965,   967,   973,   974,
     981,   982,   986,   992,   996,  1006,  1008,  1012,  1013,  1014,
    1015,  1016,  1017,  1018,  1019,  1023,  1024,  1025,  1026,  1030,
    1038,  1039,  1047,  1055,  1056,  1057,  1061,  1062,  1066,  1071,
    1072,  1079,  1086,  1087,  1088,  1092,  1100,  1106,  1107,  1108,
    1112,  1113,  1117,  1118,  1119,  1120,  1121,  1122,  1128,  1129,
    1130,  1134,  1135,  1139,  1140,  1146,  1147,  1150,  1152,  1156,
    1157,  1161,  1179,  1180,  1181,  1182,  1183,  1184,  1192,  1195,
    1198,  1201,  1205,  1206,  1209,  1212,  1216,  1220,  1226,  1232,
    1239,  1244,  1249,  1254,  1258,  1262,  1272,  1280,  1284,  1291,
    1292,  1297,  1301,  1308,  1315,  1319,  1327,  1328,  1329,  1334,
    1338,  1341,  1342,  1343,  1344,  1345,  1346,  1347,  1352,  1357,
    1365,  1372,  1379,  1387,  1389,  1391,  1393,  1395,  1397,  1399,
    1402,  1408,  1409,  1410,  1414,  1415,  1421,  1423,  1425,  1427,
    1429,  1431,  1435,  1439,  1442,  1446,  1447,  1448,  1452,  1453,
    1454,  1462,  1462,  1472,  1476,  1477,  1478,  1479,  1480,  1481,
    1482,  1483,  1484,  1485,  1486,  1487,  1488,  1509,  1520,  1521,
    1528,  1529,  1536,  1545,  1549,  1553,  1577,  1578,  1582,  1595,
    1595,  1611,  1612,  1615,  1616,  1620,  1623,  1632,  1645,  1646,
    1647,  1648,  1652,  1653,  1654,  1655,  1656,  1660,  1663,  1664,
    1665,  1669,  1672,  1681,  1684,  1685,  1686,  1687,  1691,  1692,
    1693,  1697,  1698,  1699,  1700,  1704,  1705,  1706,  1707,  1711,
    1712,  1716,  1717,  1721,  1728,  1729,  1730,  1731,  1738,  1739,
    1742,  1743,  1750,  1762,  1763,  1767,  1768,  1772,  1773,  1774,
    1775,  1776,  1780,  1781,  1782,  1786,  1787,  1788,  1789,  1790,
    1791,  1792,  1793,  1794,  1795,  1796,  1800,  1801,  1811,  1815,
    1838,  1874,  1876,  1877,  1878,  1879,  1880,  1881,  1882,  1886,
    1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,  1898,  1899,  1900,  1901,  1903,  1904,  1905,  1907,  1909,
    1911,  1913,  1914,  1915,  1916,  1917,  1927,  1928,  1929,  1930,
    1931,  1932,  1933,  1935,  1936,  1941,  1964,  1965,  1966,  1967,
    1968,  1969,  1973,  1976,  1977,  1978,  1986,  1993,  2002,  2003,
    2007,  2013,  2023,  2032,  2038,  2043,  2050,  2055,  2061,  2062,
    2063,  2071,  2072,  2073,  2074,  2075,  2081,  2102,  2103,  2104,
    2105,  2106,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,  2133,
    2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,
    2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,  2163,
    2173,  2174,  2178,  2179,  2180,  2181,  2182,  2183,  2186,  2201,
    2204,  2206,  2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2219,  2220,  2220,  2221,  2222,  2223,  2227,  2228,
    2232,  2240,  2242,  2246,  2247,  2248,  2252,  2253,  2256,  2258,
    2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,
    2271,  2274,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2327,  2329,  2332,  2334,  2343,  2345,  2346,  2349,  2351,
    2355,  2356,  2358,  2367,  2378,  2398,  2400,  2403,  2405,  2409,
    2413,  2414,  2419,  2422,  2425,  2430,  2433,  2438,  2441,  2445,
    2449,  2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,  2465,
    2472,  2473,  2474,  2479,  2480,  2486,  2494,  2495,  2496,  2499,
    2501,  2505,  2509,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2532,  2533,  2537,  2555,  2557,  2560,  2562,  2566,
    2569,  2582,  2583,  2584,  2585,  2586,  2590,  2595,  2597,  2600,
    2602,  2606,  2612,  2619,  2620,  2621,  2622,  2623,  2624,  2625,
    2626,  2627,  2628,  2629,  2630,  2631,  2635,  2636,  2637,  2642,
    2643,  2644,  2645,  2646,  2649,  2650,  2651,  2654,  2656,  2659,
    2661,  2665,  2674,  2681,  2688,  2689,  2690,  2691,  2692,  2695,
    2704,  2712,  2719,  2720,  2724,  2729,  2735,  2738,  2742,  2743,
    2744,  2747,  2754,  2754,  2754,  2754,  2754,  2754,  2754,  2754,
    2754,  2754,  2754,  2754,  2754,  2754,  2755,  2755,  2755,  2755,
    2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,
    2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,
    2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,
    2755,  2755,  2755,  2755,  2755,  2755,  2755,  2756,  2756,  2756,
    2756,  2756,  2756,  2756,  2756,  2756,  2757,  2757,  2757,  2757,
    2758,  2758,  2758,  2759,  2759,  2759,  2760,  2760,  2761,  2762,
    2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,  2771,
    2771,  2771,  2771,  2771
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "RTRID", "IPA", "SYM", "TEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE",
  "ON", "OFF", "YES", "NO", "LOG", "SYSLOG", "ALL", "DEBUG", "TRACE",
  "INFO", "REMOTE", "WARNING", "ERROR", "AUTH", "FATAL", "BUG", "STDERR",
  "SOFT", "TIMEFORMAT", "ISO", "SHORT", "LONG", "BASE", "NAME",
  "CONFIGURE", "DOWN", "KERNEL", "PERSIST", "SCAN", "TIME", "LEARN",
  "DEVICE", "ROUTES", "ASYNC", "TABLE", "KRT_PREFSRC", "KRT_REALM",
  "ROUTER", "ID", "PROTOCOL", "TEMPLATE", "PREFERENCE", "DISABLED",
  "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "FILTER", "NONE", "STATES",
  "FILTERS", "PASSWORD", "FROM", "PASSIVE", "TO", "EVENTS", "PACKETS",
  "PROTOCOLS", "INTERFACES", "PRIMARY", "STATS", "COUNT", "FOR",
  "COMMANDS", "PREEXPORT", "GENERATE", "ROA", "MAX", "FLUSH", "LISTEN",
  "BGP", "V6ONLY", "DUAL", "ADDRESS", "PORT", "PASSWORDS", "DESCRIPTION",
  "RELOAD", "IN", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY",
  "IGP_METRIC", "SHOW", "STATUS", "SUMMARY", "ROUTE", "SYMBOLS", "ADD",
  "DELETE", "DUMP", "RESOURCES", "SOCKETS", "NEIGHBORS", "ATTRIBUTES",
  "ECHO", "DISABLE", "ENABLE", "RESTART", "FUNCTION", "PRINT", "PRINTN",
  "UNSET", "RETURN", "ACCEPT", "REJECT", "QUITBIRD", "INT", "BOOL", "IP",
  "PREFIX", "PAIR", "QUAD", "EC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "IF", "THEN", "ELSE", "CASE", "TRUE", "FALSE", "RT",
  "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "PROTO", "SOURCE",
  "SCOPE", "CAST", "DEST", "LEN", "DEFINED", "CONTAINS", "RESET",
  "PREPEND", "FIRST", "LAST", "MATCH", "ROA_CHECK", "EMPTY", "WHERE",
  "EVAL", "LOCAL", "NEIGHBOR", "AS", "HOLD", "CONNECT", "RETRY",
  "KEEPALIVE", "MULTIHOP", "STARTUP", "VIA", "NEXT", "HOP", "SELF",
  "DEFAULT", "PATH", "METRIC", "START", "DELAY", "FORGET", "WAIT", "AFTER",
  "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "RR", "RS", "CLIENT", "CLUSTER", "AS4", "ADVERTISE",
  "IPV4", "CAPABILITIES", "LIMIT", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "REFRESH", "INTERPRET", "COMMUNITIES",
  "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE",
  "MED", "TTL", "SECURITY", "DETERMINISTIC", "OSPF", "AREA",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID",
  "RFC1583COMPAT", "STUB", "TICK", "COST", "COST2", "RETRANSMIT", "HELLO",
  "TRANSMIT", "PRIORITY", "DEAD", "TYPE", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "SIMPLE", "AUTHENTICATION", "STRICT", "CRYPTOGRAPHIC", "ELIGIBLE",
  "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "CHECK", "LINK", "RX", "BUFFER",
  "LARGE", "NORMAL", "STUBNET", "TAG", "EXTERNAL", "LSADB", "ECMP",
  "WEIGHT", "NSSA", "TRANSLATOR", "STABILITY", "GLOBAL", "LSID",
  "TOPOLOGY", "STATE", "PIPE", "PEER", "MODE", "OPAQUE", "TRANSPARENT",
  "RADV", "MIN", "RA", "INTERVAL", "MANAGED", "OTHER", "CONFIG", "MTU",
  "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED",
  "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS", "RIP", "INFINITY", "PERIOD",
  "GARBAGE", "TIMEOUT", "MULTICAST", "QUIET", "NOLISTEN", "VERSION1",
  "PLAINTEXT", "MD5", "HONOR", "NEVER", "ALWAYS", "RIP_METRIC", "RIP_TAG",
  "STATIC", "PROHIBIT", "MULTIPATH", "'('", "')'", "';'", "':'", "'{'",
  "'}'", "','", "'?'", "'['", "']'", "$accept", "config", "conf_entries",
  "expr", "definition", "bool", "ipa", "ipa_scope", "prefix",
  "prefix_or_ipa", "pxlen", "datetime", "text_or_none", "log_config",
  "syslog_name", "log_file", "log_mask", "log_mask_list", "log_cat",
  "mrtdump_base", "timeformat_which", "timeformat_spec", "timeformat_base",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_DOWN", "cfg_name",
  "kern_proto_start", "kern_item", "kif_proto_start", "kif_item",
  "nl_item", "rtrid", "idval", "listen", "listen_opts", "listen_opt",
  "newtab", "roa_table_start", "roa_table_opts", "roa_table",
  "proto_start", "proto_name", "proto_item", "imexport", "rtable",
  "debug_default", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optsym", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "export_or_preexport", "cmd_SHOW_ROA",
  "roa_args", "roa_mode", "cmd_SHOW_SYMBOLS", "sym_args", "roa_table_arg",
  "cmd_ADD_ROA", "cmd_DELETE_ROA", "cmd_FLUSH_ROA", "cmd_DUMP_RESOURCES",
  "cmd_DUMP_SOCKETS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE", "cmd_ENABLE",
  "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN", "cmd_RELOAD_OUT",
  "cmd_DEBUG", "cmd_MRTDUMP", "cmd_RESTRICT", "proto_patt", "proto_patt2",
  "filter_def", "$@1", "filter_eval", "type", "one_decl", "decls",
  "declsn", "filter_body", "filter", "where_filter", "function_params",
  "function_body", "function_def", "$@2", "cmds", "cmds_int", "block",
  "fipa", "set_atom", "switch_atom", "pair_expr", "pair_atom", "pair_item",
  "ec_expr", "ec_kind", "ec_item", "set_item", "switch_item", "set_items",
  "switch_items", "fprefix_s", "fprefix", "fprefix_set", "switch_body",
  "bgp_path_expr", "bgp_path", "bgp_path_tail1", "bgp_path_tail2",
  "constant", "constructor", "rtadot", "function_call", "symbol",
  "static_attr", "term", "break_command", "print_one", "print_list",
  "var_listn", "var_list", "cmd", "bgp_proto_start", "bgp_proto",
  "ospf_proto_start", "ospf_proto", "ospf_proto_item", "ospf_area_start",
  "ospf_area", "ospf_area_opts", "ospf_area_item", "$@3", "$@4",
  "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "ipa_list", "ipa_item", "ipa_el", "ipa_ne",
  "ospf_iface_start", "ospf_iface_opts", "ospf_iface_opt_list",
  "ospf_iface", "opttext", "cmd_SHOW_OSPF", "cmd_SHOW_OSPF_NEIGHBORS",
  "cmd_SHOW_OSPF_INTERFACE", "cmd_SHOW_OSPF_TOPOLOGY",
  "cmd_SHOW_OSPF_TOPOLOGY_ALL", "cmd_SHOW_OSPF_STATE",
  "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB", "lsadb_args",
  "pipe_proto_start", "pipe_proto", "radv_proto_start", "radv_proto_item",
  "radv_proto_opts", "radv_proto", "radv_iface_start", "radv_iface_item",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "rip_cfg_start", "rip_cfg", "rip_auth", "rip_mode",
  "rip_iface_item", "rip_iface_opts", "rip_iface_opt_list",
  "rip_iface_init", "rip_iface", "static_proto_start", "static_proto",
  "stat_route0", "stat_multipath1", "stat_multipath", "stat_route",
  "cmd_SHOW_STATIC", "conf", "cli_cmd", "proto", "kern_proto", "kif_proto",
  "dynamic_attr", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    61,    60,    62,   126,    43,    45,    42,    47,
      37,    33,    46,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,    40,    41,
      59,    58,   123,   125,    44,    63,    91,    93
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   348,   349,   349,   350,   350,   351,   351,   351,   352,
     352,   353,   353,   353,   353,   353,   353,   354,   354,   355,
     355,   356,   357,   357,   358,   358,   359,   360,   360,   361,
     362,   362,   363,   363,   363,   364,   364,   365,   365,   366,
     366,   366,   366,   366,   366,   366,   366,   366,   367,   367,
     368,   368,   368,   368,   369,   369,   369,   369,   370,   371,
     372,   373,   374,   374,   375,   376,   376,   376,   376,   377,
     378,   378,   379,   380,   381,   381,   381,   382,   383,   383,
     384,   384,   384,   384,   385,   386,   387,   387,   388,   388,
     389,   389,   390,   390,   390,   391,   391,   391,   391,   391,
     391,   391,   391,   391,   391,   392,   392,   392,   392,   393,
     394,   394,   395,   396,   396,   396,   397,   397,   398,   399,
     399,   400,   401,   401,   401,   402,   403,   404,   404,   404,
     405,   405,   406,   406,   406,   406,   406,   406,   407,   407,
     407,   408,   408,   409,   409,   410,   410,   411,   411,   412,
     412,   413,   414,   414,   414,   414,   414,   414,   415,   416,
     417,   418,   419,   419,   420,   421,   422,   423,   423,   423,
     423,   423,   423,   423,   423,   423,   423,   423,   423,   424,
     424,   425,   426,   426,   426,   426,   427,   427,   427,   428,
     429,   429,   429,   429,   429,   429,   429,   429,   430,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   442,   442,   443,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   453,   453,   454,   454,
     454,   456,   455,   457,   458,   458,   458,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   458,   459,   460,   460,
     461,   461,   462,   463,   463,   464,   465,   465,   466,   468,
     467,   469,   469,   470,   470,   471,   471,   472,   473,   473,
     473,   473,   474,   474,   474,   474,   474,   475,   476,   476,
     476,   477,   477,   478,   479,   479,   479,   479,   480,   480,
     480,   481,   481,   481,   481,   482,   482,   482,   482,   483,
     483,   484,   484,   485,   486,   486,   486,   486,   487,   487,
     488,   488,   488,   489,   489,   490,   490,   491,   491,   491,
     491,   491,   492,   492,   492,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   494,   494,   495,   496,
     497,   498,   498,   498,   498,   498,   498,   498,   498,   499,
     499,   499,   499,   499,   499,   499,   499,   499,   499,   499,
     499,   499,   499,   499,   499,   499,   499,   499,   499,   499,
     499,   499,   499,   499,   499,   499,   499,   499,   499,   499,
     499,   499,   499,   499,   499,   499,   500,   500,   500,   500,
     500,   500,   501,   502,   502,   502,   503,   503,   504,   504,
     505,   505,   505,   505,   505,   505,   505,   505,   505,   505,
     505,   505,   505,   505,   505,   505,   506,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   508,
     509,   509,   510,   510,   510,   510,   510,   510,   511,   512,
     513,   513,   514,   514,   514,   514,   514,   514,   514,   514,
     514,   515,   514,   516,   514,   514,   514,   514,   517,   517,
     518,   519,   519,   520,   520,   520,   521,   521,   522,   522,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   524,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   526,   526,   527,   528,   529,   529,   529,   530,   530,
     531,   531,   532,   533,   534,   535,   535,   536,   536,   537,
     538,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   547,   547,   547,   547,   547,   547,   547,   547,   548,
     549,   549,   549,   549,   549,   550,   551,   551,   551,   552,
     552,   553,   554,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   556,   557,   557,   558,   558,   559,
     560,   561,   561,   561,   561,   561,   562,   563,   563,   564,
     564,   565,   566,   567,   567,   567,   567,   567,   567,   567,
     567,   567,   567,   567,   567,   567,   568,   568,   568,   569,
     569,   569,   569,   569,   570,   570,   570,   571,   571,   572,
     572,   573,   574,   575,   576,   576,   576,   576,   576,   577,
     578,   578,   579,   579,   580,   580,   580,   580,   580,   580,
     580,   581,   582,   582,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   585,   585,   585,   585,
     586,   586,   586,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     3,     1,     5,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     0,
       2,     2,     1,     1,     2,     2,     1,     1,     0,     4,
       2,     0,     1,     2,     1,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       1,     1,     1,     1,     2,     4,     3,     3,     3,     3,
       4,     2,     0,     1,     2,     2,     3,     2,     3,     2,
       3,     3,     3,     4,     1,     1,     1,     4,     0,     2,
       2,     2,     1,     1,     2,     3,     0,     8,     1,     4,
       1,     1,     0,     1,     3,     0,     2,     2,     2,     2,
       2,     2,     2,     3,     2,     2,     1,     1,     1,     1,
       3,     3,     0,     1,     1,     2,     0,     1,     3,     1,
       3,     2,     3,     3,     3,     0,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     4,     1,     0,     3,     4,
       1,     2,     0,     5,     5,     5,     5,     4,     3,     3,
       4,     5,     1,     0,     3,     4,     4,     0,     2,     3,
       3,     3,     2,     2,     2,     3,     3,     2,     2,     1,
       1,     4,     0,     3,     3,     3,     0,     1,     1,     4,
       0,     2,     2,     2,     2,     2,     2,     2,     0,     2,
       9,     9,     4,     3,     3,     3,     3,     3,     3,     3,
       4,     1,     1,     1,     0,     1,     3,     3,     3,     3,
       4,     4,     4,     4,     2,     1,     1,     1,     1,     0,
       1,     0,     4,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     3,
       1,     3,     1,     1,     1,     2,     3,     2,     4,     0,
       5,     0,     1,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     3,
       1,     5,    11,     1,     1,     1,     2,     1,     7,     9,
       7,     1,     1,     1,     3,     1,     1,     1,     3,     1,
       3,     1,     3,     3,     1,     2,     2,     6,     1,     3,
       0,     4,     3,     1,     3,     3,     3,     2,     2,     2,
       2,     0,     2,     2,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     1,     1,     5,     7,     0,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     4,     1,     1,     1,     1,     2,
       2,     3,     3,     6,     3,     3,     3,     3,     5,     6,
       6,     6,     6,     4,     8,     4,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     3,     1,     3,     0,     1,
       4,     6,     4,     3,     5,     5,     4,     6,     3,     2,
       5,     5,     8,     8,     8,     8,     2,     3,     3,     5,
       6,     7,     6,     4,     4,     5,     6,     6,     5,     3,
       4,     5,     5,     5,     5,     4,     4,     5,     5,     5,
       5,     5,     5,     5,     5,     6,     6,     8,     6,     6,
       5,     4,     5,     4,     5,     4,     5,     5,     5,     2,
       3,     3,     1,     2,     2,     4,     2,     1,     2,     4,
       0,     3,     2,     1,     2,     3,     3,     3,     3,     2,
       3,     0,     5,     0,     5,     2,     2,     1,     4,     1,
       1,     0,     3,     2,     2,     2,     4,     1,     0,     3,
       0,     2,     2,     3,     2,     2,     3,     2,     2,     2,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     2,     3,
       2,     3,     3,     4,     2,     2,     2,     3,     3,     3,
       1,     0,     2,     3,     1,     0,     1,     2,     0,     2,
       1,     1,     2,     3,     0,     0,     3,     0,     3,     3,
       1,     0,     4,     6,     6,     6,     7,     6,     7,     5,
       0,     2,     3,     2,     3,     3,     2,     3,     2,     2,
       3,     3,     5,     4,     4,     2,     1,     2,     2,     0,
       3,     4,     0,     4,     4,     3,     2,     3,     3,     3,
       3,     4,     3,     2,     0,     0,     3,     0,     3,     4,
       1,     2,     2,     2,     3,     3,     0,     0,     3,     0,
       3,     3,     2,     3,     3,     4,     4,     4,     5,     5,
       4,     3,     4,     4,     4,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     2,     2,     0,     3,     0,
       3,     0,     3,     2,     3,     3,     5,     5,     3,     2,
       3,     3,     1,     2,     4,     3,     3,     3,     2,     2,
       2,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,     0,    62,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   686,
     687,   688,   689,   690,   691,   692,   693,   694,   695,   696,
     697,   698,   699,   700,   701,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
       3,     1,     2,     0,     0,     0,     0,     0,     0,    90,
      91,     0,     0,     0,     0,     0,   338,   672,   673,   674,
     675,   676,    92,    92,   677,   678,   679,    88,   680,     0,
     682,    92,    95,   683,   684,   685,    92,    95,    92,    95,
      92,    95,    92,     0,    92,    95,    92,    95,     5,   681,
      95,    95,   225,   227,   226,     0,    63,    62,     0,    61,
     198,     0,     0,     0,     0,   224,   229,     0,   182,     0,
       0,   167,   190,   163,   163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   213,   212,   211,   214,     0,     0,
       0,     0,    32,    31,    34,     0,     0,     0,    53,    52,
      51,    50,     0,     0,    84,     0,   231,     0,    78,     0,
       0,   259,   321,   325,   334,   331,   267,   340,   328,     0,
       0,   324,   338,   368,     0,     0,     0,   326,   327,     0,
       0,     0,   338,     0,   329,   330,   335,   366,   367,     0,
     365,   233,    93,     0,     0,    86,    64,    69,   121,   416,
     459,   579,   585,   622,   653,     0,     0,     0,     0,     0,
      16,   125,     0,     0,     0,     0,   729,     0,     0,     0,
       0,     0,    16,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    16,     0,     0,     0,     0,     0,     0,     0,     0,
     730,     0,     0,     0,    16,     0,    16,   731,   462,     0,
       0,   467,     0,     0,     0,   732,     0,     0,   733,     0,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     734,     0,     0,   146,   150,     0,     0,     0,     0,   735,
       0,     0,     0,     0,    16,     0,    16,     0,   727,     0,
       0,     0,     0,    28,   728,     0,     0,   128,   127,     0,
       0,     0,    59,     0,     0,     0,     0,   219,   139,   138,
       0,     0,   228,   230,   229,     0,   164,     0,   186,   159,
     158,     0,     0,   162,   163,   163,   570,   163,   163,     0,
       0,    17,    18,     0,     0,     0,   208,   209,   205,   203,
     204,   206,   207,   215,     0,   216,   217,   218,     0,     0,
      33,    35,     0,     0,   110,     6,     8,   338,   111,    54,
       0,    58,    74,    75,    76,     0,   248,    85,     0,    49,
       0,     0,   321,   340,   321,   338,   321,   321,     0,   313,
       0,   338,     0,     0,     0,   324,   324,     0,   363,   338,
     338,   338,   338,   338,     0,   284,   285,     0,   287,     0,
       0,   271,   269,   338,   268,   270,   293,   291,   292,   299,
       0,   304,   308,     0,   746,   743,   744,   341,   745,   342,
     343,   344,   345,   346,   347,   348,   748,   751,   750,   747,
     749,   752,   753,   754,   757,   755,   756,   758,   759,   760,
     761,   762,   763,   369,   370,   338,   338,   338,   338,   338,
     338,   338,   338,   338,   338,   338,   338,   338,     0,     0,
     736,   740,     0,   122,    98,   109,   102,     0,    96,    12,
      14,    13,    15,    11,    97,   112,   107,   248,   108,   338,
     100,   106,   101,   104,    99,   123,   124,   417,     0,     0,
       0,     0,     0,     0,     0,    16,     0,     0,     0,    19,
       0,     0,     0,   429,     0,     0,     0,     0,     0,    16,
       0,     0,     0,     0,    16,     0,    16,     0,    16,     0,
      16,     0,     0,    16,    16,    16,   418,   460,   468,   463,
     466,   464,   461,   470,   580,     0,     0,     0,   581,   589,
     623,   112,     0,   151,     0,   147,   638,   636,   637,     0,
       0,     0,     0,     0,     0,     0,     0,   624,   631,   152,
     654,   659,     0,    16,   655,   669,     0,   668,     0,   670,
       0,   658,     0,    65,     0,    67,    16,   738,   739,   737,
       0,    27,     0,   742,   741,   133,   132,   134,   136,   137,
     135,     0,   130,   222,    60,   199,   202,   220,   221,   143,
     144,     0,   141,   223,     0,   160,   165,   181,     0,   188,
     187,     0,     0,   166,   173,     0,     0,   180,   248,   174,
     177,   178,     0,   179,   168,     0,   172,   189,   197,   191,
     194,   195,   193,   196,   192,   561,   561,     0,   163,   561,
     163,   561,   562,   671,     0,     0,    21,     0,     0,   210,
       0,     0,    30,    39,    40,    41,    42,    43,    44,    45,
      46,    47,     0,    37,    29,     0,     0,    56,    57,    73,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,     0,     0,   232,   252,    82,    83,     0,
       0,    77,    79,    48,     0,   248,   317,   318,     0,   319,
     320,   315,   303,   396,   399,     0,   376,     0,   377,   322,
     323,   316,     0,     0,     0,     0,     0,     0,   286,   338,
     349,   338,   280,   278,     0,     0,   277,     0,     0,   332,
     305,   306,     0,     0,   333,   361,   359,   357,   354,   355,
     356,   358,   360,   362,   350,   351,   352,   353,   371,     0,
     372,   374,   375,    94,     0,    89,   103,   116,   119,   126,
     253,   254,   105,   255,     0,     0,   453,   455,     0,    16,
      16,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     430,     0,     0,     0,     0,     0,     0,   423,     0,   424,
       0,   451,     0,     0,     0,     0,     0,     0,     0,   435,
     436,     0,     0,     0,     0,     0,     0,   583,   584,    95,
     649,   635,   626,     0,     0,   630,   625,   627,     0,     0,
     633,   634,   632,     0,     0,     0,     0,     0,     0,   665,
      19,   667,     0,   662,   666,    72,    66,    68,    70,    23,
      22,    71,   129,     0,   140,     0,   161,   185,   184,   183,
     170,   176,   171,   169,   175,   560,     0,     0,   569,   578,
       0,   576,     0,     0,   573,   571,     0,   561,     0,   561,
       0,    24,    25,     0,     0,    10,     9,    36,     0,     7,
      55,   247,   246,   248,   338,    80,    81,   257,   250,     0,
     260,   314,   338,   385,     0,   338,   338,   338,   364,   338,
     383,   338,     0,     0,   338,   338,   338,   267,   294,   300,
       0,     0,   309,   338,     0,   117,     0,   112,     0,     0,
     454,     0,     0,   450,   444,   419,     0,    20,     0,   425,
       0,   428,     0,   431,   443,   442,   437,     0,     0,   452,
     440,   432,   433,   434,   456,   457,   439,   438,   458,   441,
     465,   554,    16,     0,    16,   481,     0,     0,   483,   473,
      16,   469,     0,   487,   497,   582,   592,     0,   586,     0,
     647,   652,   145,   147,   628,   629,     0,     0,     0,     0,
       0,   149,   657,   656,   664,    19,     0,   663,   131,   142,
     564,   563,   577,   572,   574,   575,     0,   565,     0,   567,
       0,     0,    38,   249,     0,   389,     0,   390,   391,     0,
     338,   387,   388,   386,   338,   338,     0,   338,     0,     0,
     338,   263,     0,   256,   397,   378,     0,     0,     0,     0,
       0,   338,   336,   279,   277,     0,     0,   283,     0,     0,
       0,   113,   114,   118,   120,   446,     0,   448,   449,   420,
       0,   427,   426,   445,   422,   112,   486,   474,     0,     0,
      16,     0,   472,     0,     0,   490,   485,   489,     0,     0,
     479,   471,   498,   112,   588,   610,   619,   587,   590,   644,
     148,   152,    26,     0,     0,     0,     0,   660,   661,   566,
     568,   198,   198,   338,   338,   338,   338,     0,     0,     0,
     258,   264,     0,     0,   409,   392,   394,     0,   251,   382,
     380,   381,   379,   338,     0,   281,   338,     0,   373,     0,
     115,     0,   421,   557,   476,   477,   475,   478,   541,   511,
     491,   541,   480,   500,   607,   617,   616,     0,     0,   650,
       0,   157,   152,   152,   152,   152,     0,     0,     0,     0,
       0,     0,   403,   338,   310,   338,   338,     0,   338,   408,
       0,   337,     0,     0,     0,   307,     0,   447,   555,   559,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   496,
     510,     0,   605,   604,     0,   621,   645,   639,   640,   641,
     642,   643,   646,   648,   153,   154,   155,   156,   200,   201,
     402,   339,   406,     0,   338,   400,   265,     0,     0,     0,
       0,     0,     0,     0,     0,   395,   384,   338,   290,   338,
     288,     0,     0,   482,   544,   542,   545,    16,     0,    16,
     488,     0,   484,   504,   502,   501,     0,     0,   505,   507,
     508,   509,   499,     0,   609,     0,     0,    16,    16,    16,
     620,     0,     0,     0,   338,   338,   272,   276,   274,   338,
     410,   275,   297,   295,   296,   301,     0,   405,   404,   338,
     338,   338,   338,   411,     0,     0,    87,     0,     0,    16,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   558,   540,     0,   546,     0,     0,   494,
     495,   493,   492,   503,   506,     0,     0,     0,     0,     0,
      16,     0,     0,     0,     0,   608,     0,     0,     0,   611,
     612,   613,   618,   407,   266,   401,   312,   277,     0,   338,
       0,     0,     0,     0,     0,   338,   289,   548,   516,   530,
     512,   515,   513,     0,   528,     0,   517,   519,   520,   521,
     522,   523,   524,   525,   526,   534,   535,   536,    16,   514,
      16,     0,     0,   556,   547,   543,     0,   603,     0,     0,
       0,     0,   596,    16,     0,     0,     0,   606,   614,   615,
     273,   338,   298,   311,   302,     0,     0,     0,     0,     0,
       0,   527,   518,   529,   531,   537,   538,   539,   532,     0,
     602,   598,   595,     0,   597,   599,   600,     0,     0,   415,
     413,   414,   412,   282,     0,   533,   549,   550,   551,   594,
     593,   601,     0,   552,   553
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   493,    78,   494,   353,   796,   860,   861,
     666,  1103,   602,    79,   370,   155,   373,   682,   683,    80,
     162,   163,    81,    19,    20,    21,   118,    82,   309,    83,
     315,   310,    84,   385,    85,   388,   712,    86,    87,   482,
      88,    89,   203,   227,   500,   486,    90,   777,  1063,   936,
     778,   779,    91,    92,   495,   228,   320,   611,   612,   331,
     621,   622,   292,   833,   293,   294,   846,    22,    23,    24,
      25,   349,    26,    27,    28,   341,   645,    29,   338,   632,
      30,   342,   324,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,   147,   364,    42,    43,    44,    45,
      46,    47,    48,    49,    50,   115,   335,    93,   386,    94,
     702,   703,   704,   909,   781,   782,   501,   715,   706,    95,
     391,  1036,  1037,  1225,   194,   426,  1282,   743,   744,   427,
    1056,   745,   428,   429,  1285,   430,  1286,   195,   432,   433,
    1227,   397,   196,   398,   407,   197,   198,   199,  1039,   200,
     463,  1054,  1040,  1126,  1127,   724,   725,  1041,    96,    97,
      98,    99,   269,   270,   271,   825,   982,  1083,  1088,  1086,
    1087,  1191,  1251,   983,  1153,  1201,   984,  1315,  1190,  1245,
    1246,  1318,  1410,  1436,  1437,  1438,  1075,  1242,  1189,  1076,
     876,    51,    52,    53,    54,    55,    56,    57,    58,   657,
     100,   101,   102,   989,   829,   103,  1093,  1336,  1264,  1263,
    1203,  1094,  1096,  1271,  1205,  1204,  1156,  1097,   104,   105,
     569,  1212,  1160,  1099,   991,   561,   562,   106,   107,   301,
     853,   854,   302,    59,   108,    60,   109,   110,   111,   464
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -1153
static const yytype_int16 yypact[] =
{
     124,  2254,   289,   167,   536,   287,   280,   218,   620,   536,
     324,   608,   244,   257,   894,   395,   536,   536,   536, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153,   344,   525,    45,   452,   353,   362, -1153,
   -1153,   433,   346,   359,    97,   481,  1344, -1153, -1153, -1153,
   -1153, -1153,   491,   491, -1153, -1153, -1153,   178, -1153,  1899,
   -1153,   491,   558, -1153, -1153, -1153,   491,  1967,   491,   975,
     491,  1227,   491,   255,   491,   801,   491,  1895, -1153, -1153,
    1995,  2065, -1153, -1153, -1153,    -1, -1153,   514,   625, -1153,
     543,   536,   536,   627,    20, -1153,   573,    81, -1153,   646,
     653, -1153, -1153,    29,   645,   407,   407,   655,   666,   673,
     684,   686,   710,   724, -1153, -1153, -1153,   714,   732,   736,
     757,   740, -1153,   707, -1153,     9,    -1,    17, -1153, -1153,
   -1153, -1153,   216,   454, -1153,   443, -1153,   778, -1153,   460,
      20, -1153,    42, -1153, -1153, -1153,   772,   464, -1153,   621,
      56,     4,  1344, -1153,   465,   468,   471, -1153, -1153,   472,
     474,   477,   950,   163, -1153, -1153, -1153, -1153, -1153,  1784,
   -1153,  2387,   722,   478,   479, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153,   493,    -1,   797,   751,    17,
     126, -1153,   114,   114,   813,    20, -1153,   497,   498,   510,
     356,   826,   126,   632,   652,   101,   753,    80,   407,   799,
     672,   803,    16,   675,   671,   279,   670,   667,   371,   656,
     660,   126,   649,   650,   663,    85,    -6,   687,   648,   658,
   -1153,   560,   557,   443,   126,    17,   126, -1153, -1153,   562,
     564, -1153,   565,   836,   315, -1153,   574,   585, -1153,   587,
   -1153,   910,    17,   595,   -15,    17,    17,   876,   877,   -67,
   -1153,   598,   601, -1153,   600,   602,   407,   885,   678, -1153,
     617,   -28,   622,   893,   126,   908,   126,   912, -1153,   634,
     644,   647,   917,   962, -1153,   662,   674, -1153, -1153,   969,
     985,   986, -1153,   971,   995,  1000,  1014, -1153, -1153, -1153,
     228,  1015, -1153, -1153,   642,  1016, -1153,  1017,   336, -1153,
   -1153,  2259,   535, -1153,   645,   645, -1153,   342,   426,  1024,
    1025, -1153, -1153,     1,   928,   931, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153,  1030, -1153, -1153, -1153,    90,  1029,
   -1153, -1153,   875,   708, -1153, -1153, -1153,  1344, -1153,    17,
     612, -1153, -1153, -1153, -1153,   716,  1939, -1153,   223, -1153,
     723,   696,    42, -1153,    42,  1344,    42,    42,  1052, -1153,
    1054,  1230,  1041,   888,  1045,     4,     4,  1048,  1047,  1344,
    1344,  1344,  1344,  1344,  1062, -1153, -1153,  1072, -1153,   746,
      68, -1153, -1153,   730, -1153, -1153,  1084, -1153, -1153, -1153,
     -73,    61, -1153,   -62, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153,  1344,  1344,  1344,  1344,  1344,
    1344,  1344,  1344,  1344,  1344,  1344,  1344,  1344,   639,  1073,
   -1153, -1153,   -31, -1153, -1153, -1153, -1153,   443, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153,  1028, -1153,  1344,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,  1031,  1033,
     758,   761,    17,  1051,   862,   126,   407,    17,   918,  1075,
      17,  1044,    17, -1153,   768,  1046,   919,    17,    17,   126,
    1053,   779,  1055,   780,   126,   786,   126,   350,   126,   797,
     126,   789,   790,   126,   126,   126, -1153, -1153, -1153, -1153,
   -1153,   909, -1153, -1153, -1153,  1099,   794,   795, -1153, -1153,
   -1153, -1153,   796, -1153,   798,  1056, -1153, -1153, -1153,   806,
     810,   814,    17,    17,   815,   817,   818, -1153, -1153,    93,
   -1153, -1153,   797,   126, -1153, -1153,   582, -1153,   407, -1153,
     942, -1153,    17, -1153,    17, -1153,   126, -1153, -1153, -1153,
      17, -1153,   407, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153,   341, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153,   368, -1153, -1153,  1136, -1153, -1153, -1153,  1124, -1153,
   -1153,  1138,   407, -1153, -1153,  1140,  1146, -1153,  1028, -1153,
   -1153, -1153,   407, -1153, -1153,  1148, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153,  1149,  1149,   539,   645,  1149,
     645,  1149, -1153, -1153,    17,   407, -1153,  1155,  1163, -1153,
     846,   847, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153,   430, -1153, -1153,   983,  1168, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153,    53,   849,   848, -1153, -1153, -1153, -1153,   407,
      17, -1153, -1153, -1153,  1249,  1939, -1153, -1153,  1474, -1153,
   -1153, -1153, -1153,   234, -1153,   852, -1153,  1166, -1153, -1153,
   -1153, -1153,   268,   445,   470,  1519,   504,    77, -1153,  1344,
   -1153,  1344, -1153,  1187,   851,   853,   983,   168,   235, -1153,
   -1153, -1153,  1181,  1182, -1153,  2412,  2412,  2412,  2438,  2438,
    2412,  2412,  2412,  2412,   712,   712,  1047,  1047, -1153,   861,
   -1153, -1153, -1153, -1153,   407, -1153, -1153,  1174, -1153,   858,
   -1153, -1153, -1153,  2387,    17,    17, -1153, -1153,   864,   126,
     126,   865,   866,   867,    17,  1189,  1021,   871,    17,   878,
   -1153,    17,   880,   881,   882,   887,    17, -1153,   443, -1153,
     890, -1153,   891,   892,   898,   899,   900,   904,   911, -1153,
   -1153,   913,   914,   915,    17,  1975,   920, -1153, -1153,  2102,
      37, -1153, -1153,   874,   924, -1153, -1153, -1153,   925,   927,
   -1153, -1153, -1153,    17,   417,   451,   926,   932,   935, -1153,
    1075, -1153,   407,   937,   942, -1153, -1153, -1153, -1153,     1,
   -1153, -1153, -1153,   969, -1153,   228, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153,  1231,  1255, -1153, -1153,
     443, -1153,   443,  1218, -1153, -1153,   443,  1149,  1274,  1149,
    1281, -1153, -1153,  1064,  1097, -1153, -1153, -1153,   875, -1153,
   -1153, -1153, -1153,  1939,   640, -1153, -1153, -1153,   947,   954,
   -1153, -1153,  1344, -1153,  1270,  1344,  1344,  1344, -1153,  1344,
   -1153,  1344,   559,  1555,  1344,  1263,  1344, -1153, -1153, -1153,
     955,   772, -1153,  1344,  1199, -1153,   624, -1153,   961,   960,
   -1153,   968,   979, -1153, -1153, -1153,   980, -1153,    17, -1153,
     981, -1153,   987, -1153, -1153, -1153, -1153,   989,   990, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153,   126,   270,   269, -1153,  1061,   407, -1153, -1153,
      67, -1153,   991, -1153,   967, -1153, -1153,   407, -1153,  1002,
   -1153, -1153, -1153,  1056, -1153, -1153,  1003,  1320,  1320,  1320,
    1320, -1153, -1153, -1153, -1153,  1075,    17,   937, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153,  1342, -1153,  1355, -1153,
    1359,  1361, -1153, -1153,    46, -1153,  1377, -1153, -1153,  1039,
    1344, -1153, -1153, -1153,  1344,  1344,  1063,    10,  1784,  1067,
    1297, -1153,  1939, -1153, -1153, -1153,  1594,  1622,  1647,  1676,
     669,  1344, -1153, -1153,  2387,  1070,  1066,  2387,  1396,  1701,
    1403,   407, -1153, -1153, -1153, -1153,    17, -1153, -1153, -1153,
    1080, -1153, -1153, -1153, -1153, -1153, -1153, -1153,    17,    17,
     126,    17, -1153,  1093,   443, -1153, -1153,  1094,  1098,    17,
   -1153, -1153, -1153, -1153, -1153, -1153,  1100, -1153, -1153,   -11,
   -1153,    93, -1153,  1086,  1103,  1104,  1107, -1153, -1153, -1153,
   -1153,   543,   543,  1344,  1230,  1344, -1153,   743,  2297,   694,
   -1153, -1153,  1417,   192, -1153,  2387,  1110,  1115, -1153, -1153,
   -1153, -1153, -1153,  1344,  1726,  1449,  1433,  1120, -1153,  1277,
   -1153,  1126, -1153,   205, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153,   629,   283, -1153, -1153,    17,   226, -1153,
    1127, -1153,    93,    93,    93,    93,  1467,  1468,   923,  1134,
    1324,  1734, -1153,   688, -1153,  1344,  1344,   394,  1297, -1153,
    1758, -1153,  1139,  1135,     6, -1153,  1461, -1153, -1153, -1153,
      28,    -3,    40,    17,    17,    17,  1275,   111,   138, -1153,
   -1153,  1141, -1153, -1153,   683, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153,  1170,   640,  1322, -1153,    27,  1357,  1405,
    1169,  1172,  1173,  1175,  1147, -1153, -1153,  1344, -1153,  1344,
   -1153,  1176,  2017, -1153, -1153, -1153,  -120,   126,    17,   126,
   -1153,  1177, -1153, -1153, -1153, -1153,    17,    17, -1153, -1153,
   -1153, -1153, -1153,   345, -1153,  1197,  1200,   126,   126,   126,
   -1153,  1178,  1180,  1190,   688,    35, -1153, -1153, -1153,   730,
   -1153, -1153,  1514, -1153, -1153, -1153,   -24, -1153, -1153,  1344,
    1344,  1344,  1344, -1153,  1179,  1193, -1153,  1192,    17,   126,
      17,    17,    17,  1332,    17,   112,  1228,   191,  1276,    17,
    1258,  1257,  1251, -1153, -1153,  1209, -1153,    17,  1210, -1153,
   -1153, -1153, -1153, -1153, -1153,  1237,   407,  1238,  1244,   -66,
     126,  1247,  1492,  1245,  1362, -1153,  1220,    17,    17, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153,  1783,    47,    35,
     106,  1808,  1837,  1863,  1888,  1344, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153,    17, -1153,    17, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,   126, -1153,
     126,   202,    17, -1153, -1153, -1153,  1267, -1153,    17,    17,
      17,  1268, -1153,   126,    17,    17,  1337, -1153, -1153, -1153,
   -1153,  1344, -1153, -1153, -1153,  1222,  1233,  1234,  1235,  1246,
       3, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,    17,
   -1153, -1153, -1153,    17, -1153, -1153, -1153,    17,  1783, -1153,
   -1153, -1153, -1153, -1153,  -129, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153,  1250, -1153, -1153
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1153, -1153, -1153,  -153, -1153,  -107,  -200,  -776,  -128,  -637,
   -1153,  -325, -1153, -1153, -1153, -1153, -1153, -1153,   691, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153,  1469, -1153, -1153, -1153,
   -1153, -1153, -1153,  -262, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153,   982,   -87,  1368,  -327, -1153, -1153, -1153, -1153,
     659,  -558, -1153, -1153, -1153, -1153,     0, -1153,   729,   -36,
   -1153,   733, -1038,   604,  -550, -1153,  -377, -1153, -1153, -1153,
   -1153,  -117, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153,  -321, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153,   588,  1261, -1153, -1153, -1153,
   -1153,  -692,   697,   568,  1213,   974,  1266, -1153,   921, -1153,
   -1153,  -864, -1153,   339,  -182,   895,   266,  -915,   699, -1152,
   -1017,  1435, -1116,   905,   275, -1153, -1153,  -191,   886, -1153,
   -1153, -1153, -1153,   225,   387, -1153, -1153,  -898, -1153,    21,
     590,   -76, -1153, -1153,   462,   717,   524,  -964, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,   490, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
    -521, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153,   326, -1153, -1153,
   -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,
     807, -1153, -1153, -1153, -1153, -1153, -1153, -1153, -1153,  -924
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -592
static const yytype_int16 yytable[] =
{
     201,   548,   431,   830,   378,   873,  1038,   354,   355,  1053,
     261,   425,   268,  1239,   276,   834,  -262,   350,   291,   405,
     300,  1434,   908,   311,   316,  -262,  -262,  -262,  -262,  1024,
     664,   375,   375,  1275,   317,   376,   376,   518,   519,   318,
     424,  -261,  1276,  1277,  1278,   927,   351,   352,   343,   371,
    -261,  -261,  -261,  -261,  1024,   328,  1025,   392,   351,   352,
     329,   393,  1276,  1277,  1278,   927,   488,   566,  1113,   774,
     394,   541,   901,  1121,  1004,  1283,   465,   466,   467,   468,
     469,  1025,   375,   403,   336,  1026,   376,   750,   751,   524,
     470,   471,   472,   473,   474,   475,   476,   477,   351,   352,
     478,   489,   490,   491,   492,   375,   408,   344,   670,   376,
    1026,  1284,   550,   585,  1123,  1200,   420,   169,  1247,  1184,
     574,  1276,  1277,  1278,   927,   511,   375,   375,     1,   564,
     376,   376,   570,   571,   390,   877,   156,  1390,   888,  1038,
     890,   375,   157,  1442,   535,   376,  1027,  1028,  1029,  1030,
    1031,  1032,  1033,   539,   496,  1316,   374,   549,   345,   551,
     489,   490,   491,   492,  1317,   843,  1034,   586,   581,  1035,
      62,  1027,  1028,  1029,  1030,  1031,  1032,  1033,   375,   421,
     422,   176,   376,   375,   421,   422,   927,   376,   170,   504,
    1157,  1034,   844,   399,  1035,   497,   498,   593,  1283,   595,
      63,   587,   337,   902,  1314,    64,  1257,  1365,    65,  1226,
     588,  1443,   817,   644,  1176,   671,   484,   375,  1171,    66,
    1259,   376,  1295,   514,  1177,   776,   686,   655,   656,  1107,
     659,   661,   542,   845,  1284,    67,   379,  1391,    68,   404,
      69,    70,   465,   466,   467,   468,   469,  1223,    71,  1248,
     375,   421,   422,   927,   376,   847,   470,   471,   472,   473,
     474,   475,   476,   477,   575,   576,   478,    72,   517,   380,
      73,   748,  1249,  1375,   749,  1038,   465,   466,   467,   468,
     469,    74,   753,   119,   375,   754,   540,  1158,   376,    61,
     470,   471,   472,   473,   474,   475,   476,   477,   499,  1062,
     478,   685,    75,   489,   490,   491,   492,   116,   589,   590,
    1226,   619,   775,   567,   568,   346,   792,  1349,   120,   718,
    1350,   515,  1294,   347,   348,   723,  1038,   125,   707,   708,
     709,   710,  1159,   732,   733,   734,   735,   736,   117,   627,
    1250,   319,   665,   620,   135,  1240,  1435,   746,  -262,   406,
     908,   372,    76,  -262,   377,   377,   523,   136,  1089,   788,
    1273,   343,   330,   151,   793,  1279,  1016,   797,  1018,   799,
    1280,  1243,   164,  -261,   803,   804,  1038,  1038,  -261,   990,
     395,   937,   658,  1252,  1114,  1401,   850,   396,   851,   755,
     756,   757,   758,   759,   760,   761,   762,   763,   764,   765,
     766,   767,   859,   752,   628,   377,  1260,   740,   791,  1261,
     144,  1346,   741,   399,   167,   399,   920,   399,   399,   838,
     839,   921,   805,   783,  1140,   351,   352,   810,   377,   812,
     145,   816,   629,   818,   165,   146,   821,   822,   823,   855,
    1409,   856,   859,   834,  1279,   343,  1325,   858,   630,   377,
     377,  1038,   166,   465,   466,   467,   468,   469,   382,  1376,
     383,   384,  1377,   168,   377,   892,   660,   470,   471,   472,
     473,   474,   475,   476,   477,  1230,   848,   478,   465,   466,
     467,   468,   469,  1415,  1416,  1403,  1207,   527,   528,   857,
     158,  1326,   470,   471,   472,   473,   474,   475,   476,   477,
     171,   423,   478,   997,   869,   998,   377,    77,   159,   905,
     202,   891,   465,   466,   467,   468,   469,  1143,  1231,  1232,
     205,  1081,  1078,  1079,   631,   160,   470,   471,   472,   473,
     474,   475,   476,   477,   116,  1154,   478,   999,   647,  1000,
     377,   887,   878,   889,  1327,   152,   958,  1188,   813,   937,
    1208,  1209,  1210,  1211,   648,   112,   113,   906,   879,  1080,
     508,   509,   431,   711,   153,   425,   425,   465,   466,   467,
     468,   469,  1233,   423,   161,   154,   114,  1234,   912,   814,
     815,   470,   471,   472,   473,   474,   475,   476,   477,   531,
     532,   478,   332,   333,   424,   424,   123,   124,   278,   216,
     351,   352,   849,   649,   148,   149,   150,   377,   650,   651,
     880,   323,   915,   334,   556,   557,   652,   716,  1012,   717,
    1013,   719,   720,  1328,  1015,  1202,   217,   937,   322,   218,
     327,   938,   939,   219,   220,   653,   221,   222,   223,   112,
     113,   946,   351,   352,  1061,   950,   934,  1329,   952,   339,
    1330,  1331,  1005,   957,  1332,  1333,   340,  1334,   356,  1024,
     114,   332,   333,   922,   343,   923,   687,   688,   224,   357,
     654,   970,   225,  1104,  1105,  1106,   358,   465,   466,   467,
     468,   469,   941,   942,   862,   863,  1025,   359,  1335,   360,
     996,   470,   471,   472,   473,   474,   475,   476,   477,   126,
     127,   478,   465,   466,   467,   468,   469,  1024,   128,   325,
     326,   864,   865,   361,   281,  1026,   470,   471,   472,   473,
     474,   475,   476,   477,  1161,   129,   478,   362,   130,   363,
     131,   132,   121,   122,  1025,   365,   859,   881,   283,   366,
     476,   477,   988,   172,   478,   173,   174,   175,   176,   177,
     178,   465,   466,   467,   468,   469,   179,   180,   742,   181,
     367,   182,   368,  1026,   369,   470,   471,   472,   473,   474,
     475,   476,   477,   897,   898,   478,  1027,  1028,  1029,  1030,
    1031,  1032,  1033,   882,   768,  1214,  1215,  1216,  1217,   916,
    1166,  1167,   729,   730,   381,  1070,  1034,   387,   883,  1035,
     389,   400,   401,   409,   402,   183,   410,   769,   479,   411,
     412,   184,   413,   770,   917,   414,   485,   884,   771,   772,
     480,   481,  1149,   487,  1027,  1028,  1029,  1030,  1031,  1032,
    1033,   885,   886,   503,  1193,   483,   723,   505,   506,  1046,
    1047,  1048,   216,  1049,  1034,  1050,   510,  1035,   919,  1085,
    1057,   133,   507,  1108,   185,   186,   512,  1059,   513,  1095,
     516,   859,   520,   521,   525,  1077,   522,  1082,   526,   217,
     530,   529,   218,  1090,   533,   536,   219,   220,   537,   280,
     222,   223,   534,  1194,  1195,  1196,   281,  1197,   543,   544,
     187,   188,   415,   416,   417,   418,   538,   545,  1198,   547,
     546,   226,   552,  1051,   555,   189,   553,   554,   190,   282,
     283,   224,   191,  1141,   558,   225,   673,   674,   675,   676,
     677,   678,   679,   680,   681,  1144,  1145,   559,  1147,   560,
     563,   465,   466,   467,   468,   469,  1152,   565,   577,   572,
     573,   578,   579,   134,   580,   470,   471,   472,   473,   474,
     475,   476,   477,   582,  1117,   478,   583,   584,  1118,  1119,
     137,   592,   591,   172,  1125,   173,   174,   175,   176,   177,
     178,   594,  1199,  1146,   597,  1134,   179,   180,   596,   181,
     600,   182,   601,  -261,   598,   138,   139,   599,   613,   614,
     615,   465,   466,   467,   468,   469,  1265,  1266,   616,  1267,
    1268,  1269,   603,   617,  1206,   470,   471,   472,   473,   474,
     475,   476,   477,  1133,   604,   478,   216,   618,   623,   625,
     626,   140,   141,   142,   143,   183,  1270,   662,   663,   667,
    1224,   184,   668,   669,   714,   605,  1174,  1168,   723,  1170,
    1253,  1254,  1255,   217,  1258,  1281,   218,   780,   684,   672,
     219,   220,   606,   607,   222,   223,   689,  1180,   608,   609,
    1057,   610,  1244,   713,  1244,   204,   721,   726,   192,   722,
     284,   727,   728,   215,   185,   186,   193,   731,   229,   478,
     262,   737,   272,  1172,   277,   224,   279,   738,   295,   225,
     739,   747,   773,   790,   784,  1320,   785,   789,   786,  1228,
    1229,   787,  1125,  1323,  1324,   795,   794,   798,   800,   801,
     187,   188,   415,   416,   417,   418,   806,   802,   826,   807,
     809,   285,   286,   287,   288,   189,   811,   808,   190,   819,
     820,   289,   191,   824,   827,   828,   831,   852,   832,   866,
    1319,   281,  1321,   867,   290,  1358,   835,  1360,  1361,  1362,
     836,  1364,  1366,   868,   837,   840,  1379,   841,   842,   870,
    1339,  1340,  1341,  1057,  1384,   871,  1281,   874,  1281,   875,
     893,   690,   691,   692,   693,   694,   695,   696,   894,   697,
     698,   699,   700,   701,  1398,  1399,   895,   896,   900,   903,
     904,   913,  1359,   914,   924,   925,   930,   926,  1095,   933,
     931,   935,   937,  1347,   940,   943,   944,   945,   947,   948,
    1411,   949,  1412,  1351,  1352,  1353,  1354,   992,   951,   263,
     953,   954,   955,  1392,   264,  1006,   265,   956,  1417,  1418,
     959,   960,   961,  1014,  1010,  1420,  1421,  1422,   962,   963,
     964,  1425,  1426,   172,   965,   173,   174,   175,   176,   177,
     178,   966,  1020,   967,   968,   969,   179,   180,  1011,   181,
     985,   182,   266,  1220,   993,   994,  1439,   995,   216,  1001,
    1440,  1413,  1002,  1414,  1441,  1003,   172,  1017,   173,   174,
     175,   176,   177,   178,  1019,  1021,  1424,  1042,   192,   179,
     180,   742,   181,  1043,   182,   217,   193,  1045,   218,  1058,
    1060,  1065,   219,   220,  1066,   183,   222,   223,  1067,  1092,
     172,   184,   173,   174,   175,   176,   177,   178,   267,  1068,
    1069,  1071,   899,   179,   180,  1428,   181,  1072,   182,  1073,
    1074,  1091,   465,   466,   467,   468,   469,   224,   183,  1084,
    1102,   225,  1098,  1101,   184,  1109,   470,   471,   472,   473,
     474,   475,   476,   477,   185,   186,   478,   172,  1110,   173,
     174,   175,   176,   177,   178,   465,   466,   467,   468,   469,
     179,   180,   183,   181,  1111,   182,  1112,  1116,   184,   470,
     471,   472,   473,   474,   475,   476,   477,   185,   186,   478,
     187,   188,   690,   691,   692,   693,   694,   695,   696,  1115,
     697,   698,   699,   700,   701,   189,  1120,  1124,   190,  1135,
    1136,  1137,   191,   465,   466,   467,   468,   469,  1139,   183,
    1142,   185,   186,   187,   188,   184,  1162,   470,   471,   472,
     473,   474,   475,   476,   477,  1148,  1150,   478,   189,  1175,
    1151,   190,  1155,  1163,  1164,   191,   172,  1165,   173,   174,
     175,   176,   177,   178,  1178,  1179,  1182,   187,   188,   179,
     180,  1183,   181,  1185,   182,  1186,  1187,  1213,   185,   186,
    1218,  1219,   189,  1221,  1238,   190,  1241,  1237,  1256,   191,
    1274,  1262,   465,   466,   467,   468,   469,  1293,  1367,  1368,
    1369,  1370,  1371,  1372,  1373,  1374,   470,   471,   472,   473,
     474,   475,   476,   477,   187,   188,   478,  1289,   183,  1272,
    1290,  1291,  1337,  1292,   184,  1338,  1296,  1322,  1342,   189,
    1343,  1348,   190,  1355,   273,   274,   191,   465,   466,   467,
     468,   469,  1356,  1344,  1357,  1363,  1380,  1381,  1378,  1382,
    1386,   470,   471,   472,   473,   474,   475,   476,   477,  1383,
    1385,   478,  1389,  1388,  1393,  1394,  1395,   185,   186,  1396,
    1397,  1427,  1429,   465,   466,   467,   468,   469,   192,  -398,
     275,  1419,  1423,  1430,  1431,  1432,   193,   470,   471,   472,
     473,   474,   475,   476,   477,  1433,   321,   478,   907,  1022,
    1444,   502,  1008,   187,   188,   624,  1064,  1100,  1009,   705,
    1023,   192,   465,   466,   467,   468,   469,   646,   189,   193,
    1128,   190,   872,  1345,  1402,   191,   470,   471,   472,   473,
     474,   475,   476,   477,  1055,  1404,   478,   419,  1122,  1044,
     465,   466,   467,   468,   469,   192,   910,  -393,  1169,   932,
    1235,  1192,   928,   193,   470,   471,   472,   473,   474,   475,
     476,   477,  1387,   929,   478,   465,   466,   467,   468,   469,
       0,  1007,     0,     0,  1222,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   476,   477,     0,     0,   478,
       0,     0,   192,     0,   465,   466,   467,   468,   469,     0,
     193,     0,     0,     0,     0,     0,     0,  1287,   470,   471,
     472,   473,   474,   475,   476,   477,     0,     0,   478,   465,
     466,   467,   468,   469,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   476,
     477,     0,     0,   478,   465,   466,   467,   468,   469,   434,
       0,     0,     0,     0,     0,  1288,     0,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,     0,   478,     0,
       0,     0,     0,     0,     0,     0,   465,   466,   467,   468,
     469,   192,     0,     0,     0,     0,     0,     0,     0,   193,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   434,
     478,   465,   466,   467,   468,   469,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   470,   471,   472,   473,   474,
     475,   476,   477,   911,     0,   478,   465,   466,   467,   468,
     469,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,     0,
     478,     0,     0,     0,     0,   465,   466,   467,   468,   469,
       0,     0,   438,   435,   436,     0,     0,     0,   918,   470,
     471,   472,   473,   474,   475,   476,   477,     0,     0,   478,
     437,   465,   466,   467,   468,   469,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,  1052,   478,   465,   466,   467,   468,
     469,     0,   438,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,     0,
     478,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1129,     0,     0,   216,     0,     0,     0,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     439,   440,     0,   441,   442,   443,   444,   445,     0,   206,
       0,  1130,     0,   217,   207,     0,   218,     0,   455,   456,
     219,   220,     0,     0,   222,   223,   208,     0,     0,   457,
     458,   459,   460,     0,     0,     0,  1131,     0,     0,     0,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,     0,     0,   209,     0,   224,     0,     0,   216,   225,
       0,     0,     0,   230,     0,  1132,     0,   296,   455,   456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   457,
     458,   459,   460,     0,     0,   217,   216,     0,   218,     0,
    1138,     0,   219,   220,     0,     0,   222,   223,     0,     0,
       0,     0,   231,   971,   232,   303,   304,   305,     0,   306,
     307,     0,     0,   217,     0,  1181,   218,   461,   462,     0,
     219,   220,     0,     0,   222,   223,     0,   224,     0,     0,
       0,   225,   690,   691,   692,   693,   694,   695,   696,   233,
     697,   698,   699,   700,   701,     0,   972,  1236,     0,   234,
     235,     0,   281,     0,     0,   224,   216,     0,     0,   225,
       0,     0,     0,     0,     0,     0,     0,   461,   462,     0,
       0,     0,  1400,     0,     0,     0,   283,   312,     0,     0,
       0,   297,     0,   217,     0,     0,   218,   236,     0,     0,
     219,   220,   210,   216,   222,   223,  1297,  1405,     0,     0,
       0,     0,     0,   237,   238,     0,   239,   240,   313,   241,
     242,   243,     0,   244,     0,     0,   245,   246,     0,   247,
     217,     0,   298,   218,   973,   224,  1406,   219,   220,   225,
     986,   222,   223,   248,   249,     0,     0,     0,   250,     0,
     251,     0,   252,     0,   253,   211,     0,     0,     0,   254,
     212,     0,  1407,   255,   256,     0,   257,   258,     0,   259,
       0,     0,   224,     0,     0,     0,   225,     0,   213,     0,
       0,     0,  1298,     0,     0,   974,     0,  1408,     0,     0,
       0,     0,     0,     0,   214,     0,     0,     0,   299,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   987,   975,
       0,   976,     0,     0,     0,     0,     0,     0,   977,     0,
     978,     0,   633,     0,   979,   980,     0,  1299,     0,  1300,
       0,  1301,  1302,  1303,  1304,  1305,  1306,   351,   352,     0,
       0,     0,     0,     0,     0,     0,  1307,  1308,     0,     0,
    1309,     0,     0,     0,  1310,     4,  1311,     0,     0,   634,
       0,     0,     0,     0,  1312,   465,   466,   467,   468,   469,
     260,     0,     5,     6,     0,     0,     0,     0,   981,   470,
     471,   472,   473,   474,   475,   476,   477,   635,     0,   478,
       0,     0,   636,     0,     0,     0,     0,     0,   308,   637,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   639,   640,   641,   642,     7,   643,     0,     0,
    1313,     0,     0,     0,     0,     8,     0,     0,     9,     0,
      10,     0,     0,    11,     0,     0,     0,     0,    12,    13,
      14,     0,     0,     0,     0,    15,    16,    17,    18,     0,
       0,     0,     0,     0,     0,   465,   466,   467,   468,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   314,   470,
     471,   472,   473,   474,   475,   476,   477,     0,     0,   478,
    -592,  -592,  -592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -592,  -592,  -592,  -592,   474,   475,
     476,   477,     0,   499,   478,  -591,   465,   466,   467,     0,
       0,     0,     0,     0,  1173,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   476,   477,     0,     0,
     478
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-1153))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-592))

static const yytype_int16 yycheck[] =
{
      76,   263,   193,   561,   157,   642,   904,   135,   136,   924,
      97,   193,    99,     7,   101,   565,     6,   134,   105,    15,
     107,    18,   714,   110,   111,    15,    16,    17,    18,    19,
      29,    15,    15,     6,    35,    19,    19,   237,   238,    40,
     193,     6,    15,    16,    17,    18,    18,    19,    19,    40,
      15,    16,    17,    18,    19,    35,    46,    15,    18,    19,
      40,    19,    15,    16,    17,    18,   219,    82,    22,   100,
      28,    77,    19,  1037,   850,  1227,     8,     9,    10,    11,
      12,    46,    15,    27,     3,    75,    19,    26,    27,   242,
      22,    23,    24,    25,    26,    27,    28,    29,    18,    19,
      32,    34,    35,    36,    37,    15,   182,    78,    18,    19,
      75,  1227,   265,   141,  1038,  1153,   192,    20,   121,  1136,
     187,    15,    16,    17,    18,   232,    15,    15,     4,   282,
      19,    19,   285,   286,   170,   656,    91,   203,   659,  1037,
     661,    15,    97,   272,   251,    19,   136,   137,   138,   139,
     140,   141,   142,    68,    40,   275,   156,   264,   129,   266,
      34,    35,    36,    37,   284,    72,   156,   195,   296,   159,
       3,   136,   137,   138,   139,   140,   141,   142,    15,    16,
      17,    18,    19,    15,    16,    17,    18,    19,    91,   225,
     201,   156,    99,   172,   159,    81,    82,   304,  1350,   306,
      33,   229,   121,   150,  1242,    38,    95,    95,    41,  1173,
     238,   340,   539,   341,    22,   368,   216,    15,  1116,    52,
      82,    19,  1239,   122,    32,   487,   379,   344,   345,  1005,
     347,   348,   238,   140,  1350,    68,    20,   303,    71,   183,
      73,    74,     8,     9,    10,    11,    12,  1171,    81,   252,
      15,    16,    17,    18,    19,   582,    22,    23,    24,    25,
      26,    27,    28,    29,   331,   332,    32,   100,   188,    53,
     103,   344,   275,    82,   347,  1173,     8,     9,    10,    11,
      12,   114,   344,     3,    15,   347,   201,   298,    19,     0,
      22,    23,    24,    25,    26,    27,    28,    29,   184,   936,
      32,   377,   135,    34,    35,    36,    37,    20,   336,   337,
    1274,    83,   343,   328,   329,   286,   516,   341,   100,   395,
     344,   220,  1237,   294,   295,   401,  1224,     3,   105,   106,
     107,   108,   343,   409,   410,   411,   412,   413,    51,     3,
     343,   342,   341,   115,   100,   339,   343,   423,   338,   345,
    1042,   342,   185,   343,   338,   338,   340,   100,   291,   512,
    1224,    19,   342,    19,   517,   338,   887,   520,   889,   522,
     343,   343,    19,   338,   527,   528,  1274,  1275,   343,   342,
     338,   344,    40,   343,   338,   338,   586,   345,   588,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   602,   342,    68,   338,   268,   339,   515,   271,
      15,  1275,   344,   392,    68,   394,   339,   396,   397,   572,
     573,   344,   529,   499,  1061,    18,    19,   534,   338,   536,
      35,   538,    96,   540,    72,    40,   543,   544,   545,   592,
    1355,   594,   642,   993,   338,    19,   101,   600,   112,   338,
     338,  1349,    19,     8,     9,    10,    11,    12,    15,   268,
      17,    18,   271,   104,   338,   665,    40,    22,    23,    24,
      25,    26,    27,    28,    29,    81,   583,    32,     8,     9,
      10,    11,    12,   281,   282,  1349,   260,   208,   209,   596,
      38,   146,    22,    23,    24,    25,    26,    27,    28,    29,
      19,   338,    32,    86,   632,    88,   338,   340,    56,   709,
      19,   664,     8,     9,    10,    11,    12,  1075,   124,   125,
     342,   252,   252,   253,   188,    73,    22,    23,    24,    25,
      26,    27,    28,    29,    20,  1093,    32,    86,     3,    88,
     338,   658,     3,   660,   199,    20,   808,   342,   198,   344,
     324,   325,   326,   327,    19,    19,    20,   710,    19,   289,
     204,   205,   753,   340,    39,   747,   748,     8,     9,    10,
      11,    12,   178,   338,   122,    50,    40,   183,   344,   229,
     230,    22,    23,    24,    25,    26,    27,    28,    29,   218,
     219,    32,    19,    20,   747,   748,     8,     9,   343,    41,
      18,    19,    20,    68,    16,    17,    18,   338,    73,    74,
      71,    68,   344,    40,   299,   300,    81,   392,   880,   394,
     882,   396,   397,   278,   886,   342,    68,   344,     3,    71,
       3,   784,   785,    75,    76,   100,    78,    79,    80,    19,
      20,   794,    18,    19,    20,   798,   774,   302,   801,     3,
     305,   306,   852,   806,   309,   310,     3,   312,     3,    19,
      40,    19,    20,   739,    19,   741,    54,    55,   110,     3,
     135,   824,   114,   998,   999,  1000,     3,     8,     9,    10,
      11,    12,   789,   790,   343,   344,    46,     3,   343,     3,
     843,    22,    23,    24,    25,    26,    27,    28,    29,    91,
      92,    32,     8,     9,    10,    11,    12,    19,   100,   121,
     122,   343,   344,     3,    85,    75,    22,    23,    24,    25,
      26,    27,    28,    29,  1101,   117,    32,     3,   120,    15,
     122,   123,   112,   113,    46,     3,   936,   198,   109,     3,
      28,    29,   829,    13,    32,    15,    16,    17,    18,    19,
      20,     8,     9,    10,    11,    12,    26,    27,    28,    29,
       3,    31,    22,    75,    57,    22,    23,    24,    25,    26,
      27,    28,    29,   343,   344,    32,   136,   137,   138,   139,
     140,   141,   142,   244,   145,  1162,  1163,  1164,  1165,   344,
    1111,  1112,   405,   406,   340,   948,   156,    19,   259,   159,
     340,    29,   338,   338,   183,    75,   338,   168,    86,   338,
     338,    81,   338,   174,   344,   338,    19,   278,   179,   180,
     342,   342,  1084,    72,   136,   137,   138,   139,   140,   141,
     142,   292,   293,    20,   205,   342,   912,   340,   340,   915,
     916,   917,    41,   919,   156,   921,    20,   159,   344,   977,
     926,   243,   342,  1006,   124,   125,   224,   933,   206,   987,
     107,  1061,    63,   191,   189,   972,    63,   974,   197,    68,
     203,   201,    71,   980,   218,   226,    75,    76,   228,    78,
      79,    80,   222,   254,   255,   256,    85,   258,   201,   241,
     160,   161,   162,   163,   164,   165,   233,   239,   269,   342,
     340,   343,   340,   344,    68,   175,   342,   342,   178,   108,
     109,   110,   182,  1066,   340,   114,    41,    42,    43,    44,
      45,    46,    47,    48,    49,  1078,  1079,   342,  1081,   342,
      20,     8,     9,    10,    11,    12,  1089,   342,   340,    63,
      63,   340,   342,   335,   342,    22,    23,    24,    25,    26,
      27,    28,    29,    68,  1030,    32,   278,   340,  1034,  1035,
      66,    68,   340,    13,  1040,    15,    16,    17,    18,    19,
      20,    63,   343,  1080,   340,  1051,    26,    27,    66,    29,
      63,    31,    20,   343,   340,    91,    92,   340,     3,     3,
      19,     8,     9,    10,    11,    12,   313,   314,     3,   316,
     317,   318,   340,     3,  1157,    22,    23,    24,    25,    26,
      27,    28,    29,   344,   340,    32,    41,     3,     3,     3,
       3,   127,   128,   129,   130,    75,   343,     3,     3,   101,
     342,    81,   101,     3,   338,    66,   342,  1113,  1114,  1115,
    1193,  1194,  1195,    68,  1197,  1227,    71,    19,   340,    20,
      75,    76,    83,    84,    79,    80,   340,  1133,    89,    90,
    1136,    92,  1190,   340,  1192,    83,    14,    26,   338,    15,
     269,   183,    27,    91,   124,   125,   346,    29,    96,    32,
      98,    19,   100,   340,   102,   110,   104,    15,   106,   114,
     344,     7,    19,   231,    63,  1248,    63,    46,   340,  1175,
    1176,   340,  1178,  1256,  1257,    30,   188,    63,   340,    63,
     160,   161,   162,   163,   164,   165,    63,   198,    19,   340,
     340,   320,   321,   322,   323,   175,   340,    72,   178,   340,
     340,   330,   182,   224,   340,   340,   340,   195,   340,     3,
    1247,    85,  1249,    19,   343,  1298,   340,  1300,  1301,  1302,
     340,  1304,  1305,    15,   340,   340,  1309,   340,   340,    19,
    1267,  1268,  1269,  1239,  1317,    19,  1348,    19,  1350,    20,
      15,   143,   144,   145,   146,   147,   148,   149,    15,   151,
     152,   153,   154,   155,  1337,  1338,   340,   340,    20,   340,
     342,   339,  1299,    27,     7,   344,    15,   344,  1326,   338,
      18,    27,   344,  1279,   340,   340,   340,   340,    19,   188,
    1363,   340,  1365,  1289,  1290,  1291,  1292,   343,   340,   244,
     340,   340,   340,  1330,   249,   288,   251,   340,  1381,  1382,
     340,   340,   340,    15,     3,  1388,  1389,  1390,   340,   340,
     340,  1394,  1395,    13,   340,    15,    16,    17,    18,    19,
      20,   340,   188,   340,   340,   340,    26,    27,     3,    29,
     340,    31,   287,   340,   340,   340,  1419,   340,    41,   343,
    1423,  1378,   340,  1380,  1427,   340,    13,     3,    15,    16,
      17,    18,    19,    20,     3,   188,  1393,   340,   338,    26,
      27,    28,    29,   339,    31,    68,   346,    27,    71,   344,
     101,   340,    75,    76,   344,    75,    79,    80,   340,   342,
      13,    81,    15,    16,    17,    18,    19,    20,   343,   340,
     340,   340,   339,    26,    27,  1401,    29,   340,    31,   340,
     340,   340,     8,     9,    10,    11,    12,   110,    75,   278,
      20,   114,   340,   340,    81,     3,    22,    23,    24,    25,
      26,    27,    28,    29,   124,   125,    32,    13,     3,    15,
      16,    17,    18,    19,    20,     8,     9,    10,    11,    12,
      26,    27,    75,    29,    15,    31,    15,   338,    81,    22,
      23,    24,    25,    26,    27,    28,    29,   124,   125,    32,
     160,   161,   143,   144,   145,   146,   147,   148,   149,    22,
     151,   152,   153,   154,   155,   175,   343,   340,   178,   339,
     344,    15,   182,     8,     9,    10,    11,    12,    15,    75,
     340,   124,   125,   160,   161,    81,   340,    22,    23,    24,
      25,    26,    27,    28,    29,   342,   342,    32,   175,    22,
     342,   178,   342,   340,   340,   182,    13,   340,    15,    16,
      17,    18,    19,    20,   344,   340,     7,   160,   161,    26,
      27,    28,    29,   343,    31,   188,   340,   340,   124,   125,
       3,     3,   175,   339,   339,   178,    15,   338,   203,   182,
     158,   340,     8,     9,    10,    11,    12,   340,   260,   261,
     262,   263,   264,   265,   266,   267,    22,    23,    24,    25,
      26,    27,    28,    29,   160,   161,    32,   338,    75,   339,
     338,   338,   315,   338,    81,   315,   340,   340,   340,   175,
     340,     7,   178,   344,   297,   298,   182,     8,     9,    10,
      11,    12,   339,   343,   342,   203,   278,   280,   262,   288,
     303,    22,    23,    24,    25,    26,    27,    28,    29,   340,
     340,    32,   308,   315,   307,    63,   311,   124,   125,   197,
     340,   224,   340,     8,     9,    10,    11,    12,   338,   339,
     343,   304,   304,   340,   340,   340,   346,    22,    23,    24,
      25,    26,    27,    28,    29,   339,   117,    32,   339,   898,
     340,   223,   863,   160,   161,   334,   937,   993,   865,   386,
     903,   338,     8,     9,    10,    11,    12,   341,   175,   346,
    1042,   178,   638,  1274,  1348,   182,    22,    23,    24,    25,
      26,    27,    28,    29,   925,  1350,    32,   192,  1038,   912,
       8,     9,    10,    11,    12,   338,   715,   340,  1114,   753,
    1178,  1151,   747,   346,    22,    23,    24,    25,    26,    27,
      28,    29,  1326,   748,    32,     8,     9,    10,    11,    12,
      -1,   854,    -1,    -1,   340,    -1,    -1,    -1,    -1,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    32,
      -1,    -1,   338,    -1,     8,     9,    10,    11,    12,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,   340,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    32,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    32,     8,     9,    10,    11,    12,     5,
      -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,     9,    10,    11,
      12,   338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,     5,
      32,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    70,    22,    23,    24,    25,    26,
      27,    28,    29,   339,    -1,    32,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      32,    -1,    -1,    -1,    -1,     8,     9,    10,    11,    12,
      -1,    -1,   118,    69,    70,    -1,    -1,    -1,   339,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    32,
      86,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,   339,    32,     8,     9,    10,    11,
      12,    -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    41,    -1,    -1,    -1,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     166,   167,    -1,   169,   170,   171,   172,   173,    -1,    60,
      -1,   339,    -1,    68,    65,    -1,    71,    -1,   234,   235,
      75,    76,    -1,    -1,    79,    80,    77,    -1,    -1,   245,
     246,   247,   248,    -1,    -1,    -1,   339,    -1,    -1,    -1,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,    -1,    -1,   104,    -1,   110,    -1,    -1,    41,   114,
      -1,    -1,    -1,    46,    -1,   339,    -1,   122,   234,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
     246,   247,   248,    -1,    -1,    68,    41,    -1,    71,    -1,
     339,    -1,    75,    76,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    78,    87,    60,    61,    62,    -1,    64,
      65,    -1,    -1,    68,    -1,   339,    71,   333,   334,    -1,
      75,    76,    -1,    -1,    79,    80,    -1,   110,    -1,    -1,
      -1,   114,   143,   144,   145,   146,   147,   148,   149,   122,
     151,   152,   153,   154,   155,    -1,   121,   339,    -1,   132,
     133,    -1,    85,    -1,    -1,   110,    41,    -1,    -1,   114,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,    -1,
      -1,    -1,   339,    -1,    -1,    -1,   109,    62,    -1,    -1,
      -1,   236,    -1,    68,    -1,    -1,    71,   170,    -1,    -1,
      75,    76,   243,    41,    79,    80,   129,   339,    -1,    -1,
      -1,    -1,    -1,   186,   187,    -1,   189,   190,    93,   192,
     193,   194,    -1,   196,    -1,    -1,   199,   200,    -1,   202,
      68,    -1,   277,    71,   199,   110,   339,    75,    76,   114,
      78,    79,    80,   216,   217,    -1,    -1,    -1,   221,    -1,
     223,    -1,   225,    -1,   227,   296,    -1,    -1,    -1,   232,
     301,    -1,   339,   236,   237,    -1,   239,   240,    -1,   242,
      -1,    -1,   110,    -1,    -1,    -1,   114,    -1,   319,    -1,
      -1,    -1,   205,    -1,    -1,   250,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,   343,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,   274,
      -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,
     285,    -1,     3,    -1,   289,   290,    -1,   250,    -1,   252,
      -1,   254,   255,   256,   257,   258,   259,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
     273,    -1,    -1,    -1,   277,    41,   279,    -1,    -1,    40,
      -1,    -1,    -1,    -1,   287,     8,     9,    10,    11,    12,
     343,    -1,    58,    59,    -1,    -1,    -1,    -1,   343,    22,
      23,    24,    25,    26,    27,    28,    29,    68,    -1,    32,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,   343,    80,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,   102,    98,    -1,    -1,
     343,    -1,    -1,    -1,    -1,   111,    -1,    -1,   114,    -1,
     116,    -1,    -1,   119,    -1,    -1,    -1,    -1,   124,   125,
     126,    -1,    -1,    -1,    -1,   131,   132,   133,   134,    -1,
      -1,    -1,    -1,    -1,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    32,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,   184,    32,   343,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      32
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   349,   350,    41,    58,    59,   102,   111,   114,
     116,   119,   124,   125,   126,   131,   132,   133,   134,   371,
     372,   373,   415,   416,   417,   418,   420,   421,   422,   425,
     428,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   539,   540,   541,   542,   543,   544,   545,   546,   581,
     583,     0,     3,    33,    38,    41,    52,    68,    71,    73,
      74,    81,   100,   103,   114,   135,   185,   340,   352,   361,
     367,   370,   375,   377,   380,   382,   385,   386,   388,   389,
     394,   400,   401,   455,   457,   467,   506,   507,   508,   509,
     548,   549,   550,   553,   566,   567,   575,   576,   582,   584,
     585,   586,    19,    20,    40,   453,    20,    51,   374,     3,
     100,   112,   113,   453,   453,     3,    91,    92,   100,   117,
     120,   122,   123,   243,   335,   100,   100,    66,    91,    92,
     127,   128,   129,   130,    15,    35,    40,   442,   453,   453,
     453,    19,    20,    39,    50,   363,    91,    97,    38,    56,
      73,   122,   368,   369,    19,    72,    19,    68,   104,    20,
      91,    19,    13,    15,    16,    17,    18,    19,    20,    26,
      27,    29,    31,    75,    81,   124,   125,   160,   161,   175,
     178,   182,   338,   346,   472,   485,   490,   493,   494,   495,
     497,   499,    19,   390,   390,   342,    60,    65,    77,   104,
     243,   296,   301,   319,   335,   390,    41,    68,    71,    75,
      76,    78,    79,    80,   110,   114,   343,   391,   403,   390,
      46,    85,    87,   122,   132,   133,   170,   186,   187,   189,
     190,   192,   193,   194,   196,   199,   200,   202,   216,   217,
     221,   223,   225,   227,   232,   236,   237,   239,   240,   242,
     343,   391,   390,   244,   249,   251,   287,   343,   391,   510,
     511,   512,   390,   297,   298,   343,   391,   390,   343,   390,
      78,    85,   108,   109,   269,   320,   321,   322,   323,   330,
     343,   391,   410,   412,   413,   390,   122,   236,   277,   343,
     391,   577,   580,    60,    61,    62,    64,    65,   343,   376,
     379,   391,    62,    93,   343,   378,   391,    35,    40,   342,
     404,   374,     3,    68,   430,   453,   453,     3,    35,    40,
     342,   407,    19,    20,    40,   454,     3,   121,   426,     3,
       3,   423,   429,    19,    78,   129,   286,   294,   295,   419,
     419,    18,    19,   354,   356,   356,     3,     3,     3,     3,
       3,     3,     3,    15,   443,     3,     3,     3,    22,    57,
     362,    40,   342,   364,   404,    15,    19,   338,   351,    20,
      53,   340,    15,    17,    18,   381,   456,    19,   383,   340,
     407,   468,    15,    19,    28,   338,   345,   489,   491,   497,
      29,   338,   183,    27,   183,    15,   345,   492,   499,   338,
     338,   338,   338,   338,   338,   162,   163,   164,   165,   479,
     499,    16,    17,   338,   351,   472,   473,   477,   480,   481,
     483,   485,   486,   487,     5,    69,    70,    86,   118,   166,
     167,   169,   170,   171,   172,   173,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   234,   235,   245,   246,   247,
     248,   333,   334,   498,   587,     8,     9,    10,    11,    12,
      22,    23,    24,    25,    26,    27,    28,    29,    32,    86,
     342,   342,   387,   342,   404,    19,   393,    72,   351,    34,
      35,    36,    37,   351,   353,   402,    40,    81,    82,   184,
     392,   464,   392,    20,   407,   340,   340,   342,   204,   205,
      20,   353,   224,   206,   122,   220,   107,   188,   354,   354,
      63,   191,    63,   340,   351,   189,   197,   208,   209,   201,
     203,   218,   219,   218,   222,   353,   226,   228,   233,    68,
     201,    77,   238,   201,   241,   239,   340,   342,   381,   353,
     351,   353,   340,   342,   342,    68,   299,   300,   340,   342,
     342,   573,   574,    20,   351,   342,    82,   328,   329,   568,
     351,   351,    63,    63,   187,   331,   332,   340,   340,   342,
     342,   356,    68,   278,   340,   141,   195,   229,   238,   336,
     337,   340,    68,   353,    63,   353,    66,   340,   340,   340,
      63,    20,   360,   340,   340,    66,    83,    84,    89,    90,
      92,   405,   406,     3,     3,    19,     3,     3,     3,    83,
     115,   408,   409,     3,   454,     3,     3,     3,    68,    96,
     112,   188,   427,     3,    40,    68,    73,    80,    81,    93,
      94,    95,    96,    98,   356,   424,   464,     3,    19,    68,
      73,    74,    81,   100,   135,   419,   419,   547,    40,   419,
      40,   419,     3,     3,    29,   341,   358,   101,   101,     3,
      18,   351,    20,    41,    42,    43,    44,    45,    46,    47,
      48,    49,   365,   366,   340,   499,   351,    54,    55,   340,
     143,   144,   145,   146,   147,   148,   149,   151,   152,   153,
     154,   155,   458,   459,   460,   462,   466,   105,   106,   107,
     108,   340,   384,   340,   338,   465,   491,   491,   499,   491,
     491,    14,    15,   499,   503,   504,    26,   183,    27,   492,
     492,    29,   499,   499,   499,   499,   499,    19,    15,   344,
     339,   344,    28,   475,   476,   479,   499,     7,   344,   347,
      26,    27,   342,   344,   347,   499,   499,   499,   499,   499,
     499,   499,   499,   499,   499,   499,   499,   499,   145,   168,
     174,   179,   180,    19,   100,   343,   381,   395,   398,   399,
      19,   462,   463,   499,    63,    63,   340,   340,   351,    46,
     231,   353,   354,   351,   188,    30,   355,   351,    63,   351,
     340,    63,   198,   351,   351,   353,    63,   340,    72,   340,
     353,   340,   353,   198,   229,   230,   353,   393,   353,   340,
     340,   353,   353,   353,   224,   513,    19,   340,   340,   552,
     399,   340,   340,   411,   412,   340,   340,   340,   351,   351,
     340,   340,   340,    72,    99,   140,   414,   393,   353,    20,
     354,   354,   195,   578,   579,   351,   351,   353,   351,   354,
     356,   357,   343,   344,   343,   344,     3,    19,    15,   356,
      19,    19,   463,   357,    19,    20,   538,   538,     3,    19,
      71,   198,   244,   259,   278,   292,   293,   419,   538,   419,
     538,   351,   354,    15,    15,   340,   340,   343,   344,   339,
      20,    19,   150,   340,   342,   354,   351,   339,   459,   461,
     466,   339,   344,   339,    27,   344,   344,   344,   339,   344,
     339,   344,   499,   499,     7,   344,   344,    18,   473,   481,
      15,    18,   486,   338,   356,    27,   397,   344,   351,   351,
     340,   353,   353,   340,   340,   340,   351,    19,   188,   340,
     351,   340,   351,   340,   340,   340,   340,   351,   381,   340,
     340,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     351,    78,   121,   199,   250,   274,   276,   283,   285,   289,
     290,   343,   514,   521,   524,   340,    78,   146,   391,   551,
     342,   572,   343,   340,   340,   340,   351,    86,    88,    86,
      88,   343,   340,   340,   355,   354,   288,   578,   406,   409,
       3,     3,   381,   381,    15,   381,   538,     3,   538,     3,
     188,   188,   366,   460,    19,    46,    75,   136,   137,   138,
     139,   140,   141,   142,   156,   159,   469,   470,   495,   496,
     500,   505,   340,   339,   503,    27,   499,   499,   499,   499,
     499,   344,   339,   475,   499,   476,   478,   499,   344,   499,
     101,    20,   357,   396,   398,   340,   344,   340,   340,   340,
     351,   340,   340,   340,   340,   534,   537,   353,   252,   253,
     289,   252,   353,   515,   278,   356,   517,   518,   516,   291,
     353,   340,   342,   554,   559,   356,   560,   565,   340,   571,
     411,   340,    20,   359,   359,   359,   359,   355,   351,     3,
       3,    15,    15,    22,   338,    22,   338,   499,   499,   499,
     343,   505,   498,   587,   340,   499,   501,   502,   461,   339,
     339,   339,   339,   344,   499,   339,   344,    15,   339,    15,
     357,   351,   340,   399,   351,   351,   353,   351,   342,   381,
     342,   342,   351,   522,   399,   342,   564,   201,   298,   343,
     570,   414,   340,   340,   340,   340,   430,   430,   499,   504,
     499,   495,   340,   157,   342,    22,    22,    32,   344,   340,
     499,   339,     7,    28,   478,   343,   188,   340,   342,   536,
     526,   519,   526,   205,   254,   255,   256,   258,   269,   343,
     410,   523,   342,   558,   563,   562,   351,   260,   324,   325,
     326,   327,   569,   340,   414,   414,   414,   414,     3,     3,
     340,   339,   340,   587,   342,   471,   505,   488,   499,   499,
      81,   124,   125,   178,   183,   502,   339,   338,   339,     7,
     339,    15,   535,   343,   356,   527,   528,   121,   252,   275,
     343,   520,   343,   351,   351,   351,   203,    95,   351,    82,
     268,   271,   340,   557,   556,   313,   314,   316,   317,   318,
     343,   561,   339,   469,   158,     6,    15,    16,    17,   338,
     343,   472,   474,   477,   480,   482,   484,   340,   340,   338,
     338,   338,   338,   340,   475,   478,   340,   129,   205,   250,
     252,   254,   255,   256,   257,   258,   259,   269,   270,   273,
     277,   279,   287,   343,   410,   525,   275,   284,   529,   353,
     351,   353,   340,   351,   351,   101,   146,   199,   278,   302,
     305,   306,   309,   310,   312,   343,   555,   315,   315,   353,
     353,   353,   340,   340,   343,   471,   469,   499,     7,   341,
     344,   499,   499,   499,   499,   344,   339,   342,   351,   353,
     351,   351,   351,   203,   351,    95,   351,   260,   261,   262,
     263,   264,   265,   266,   267,    82,   268,   271,   262,   351,
     278,   280,   288,   340,   351,   340,   303,   565,   315,   308,
     203,   303,   353,   307,    63,   311,   197,   340,   351,   351,
     339,   338,   474,   469,   482,   339,   339,   339,   339,   475,
     530,   351,   351,   353,   353,   281,   282,   351,   351,   304,
     351,   351,   351,   304,   353,   351,   351,   224,   499,   340,
     340,   340,   340,   339,    18,   343,   531,   532,   533,   351,
     351,   351,   272,   340,   340
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* This macro is provided for backward compatibility. */

#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 650 "cf-parse.y"
    { return 0; }
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 651 "cf-parse.y"
    { return 0; }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 664 "cf-parse.y"
    { (yyval.i) = f_eval_int((yyvsp[(2) - (3)].x)); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 665 "cf-parse.y"
    { if ((yyvsp[(1) - (1)].s)->class != SYM_NUMBER) cf_error("Number expected"); else (yyval.i) = (yyvsp[(1) - (1)].s)->aux; }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 671 "cf-parse.y"
    {
     cf_define_symbol((yyvsp[(2) - (5)].s), SYM_NUMBER, NULL);
     (yyvsp[(2) - (5)].s)->aux = (yyvsp[(4) - (5)].i);
   }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 675 "cf-parse.y"
    {
     cf_define_symbol((yyvsp[(2) - (5)].s), SYM_IPA, cfg_alloc(sizeof(ip_addr)));
     *(ip_addr *)(yyvsp[(2) - (5)].s)->def = (yyvsp[(4) - (5)].a);
   }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 684 "cf-parse.y"
    {(yyval.i) = !!(yyvsp[(1) - (1)].i); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 685 "cf-parse.y"
    { (yyval.i) = 1; }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 686 "cf-parse.y"
    { (yyval.i) = 1; }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 687 "cf-parse.y"
    { (yyval.i) = 0; }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 688 "cf-parse.y"
    { (yyval.i) = 0; }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 689 "cf-parse.y"
    { (yyval.i) = 1; }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 696 "cf-parse.y"
    {
     if ((yyvsp[(1) - (1)].s)->class != SYM_IPA) cf_error("IP address expected");
     (yyval.a) = *(ip_addr *)(yyvsp[(1) - (1)].s)->def;
   }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 703 "cf-parse.y"
    { (yyval.iface) = NULL; }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 704 "cf-parse.y"
    { (yyval.iface) = if_get_by_name((yyvsp[(2) - (2)].s)->name); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 708 "cf-parse.y"
    {
     if (!ip_is_prefix((yyvsp[(1) - (2)].a), (yyvsp[(2) - (2)].i))) cf_error("Invalid prefix");
     (yyval.px).addr = (yyvsp[(1) - (2)].a); (yyval.px).len = (yyvsp[(2) - (2)].i);
   }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 716 "cf-parse.y"
    { (yyval.px).addr = (yyvsp[(1) - (1)].a); (yyval.px).len = BITS_PER_IP_ADDRESS; }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 720 "cf-parse.y"
    {
     if ((yyvsp[(2) - (2)].i) < 0 || (yyvsp[(2) - (2)].i) > BITS_PER_IP_ADDRESS) cf_error("Invalid prefix length %d", (yyvsp[(2) - (2)].i));
     (yyval.i) = (yyvsp[(2) - (2)].i);
   }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 724 "cf-parse.y"
    {
     (yyval.i) = ipa_mklen((yyvsp[(2) - (2)].a));
     if ((yyval.i) < 0) cf_error("Invalid netmask %I", (yyvsp[(2) - (2)].a));
   }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 731 "cf-parse.y"
    {
     (yyval.time) = tm_parse_datetime((yyvsp[(1) - (1)].t));
     if (!(yyval.time))
       cf_error("Invalid date and time");
   }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 739 "cf-parse.y"
    { (yyval.t) = (yyvsp[(1) - (1)].t); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 740 "cf-parse.y"
    { (yyval.t) = NULL; }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 746 "cf-parse.y"
    {
    struct log_config *c = cfg_allocz(sizeof(struct log_config));
    c->fh = (yyvsp[(2) - (4)].g);
    c->mask = (yyvsp[(3) - (4)].i);
    add_tail(&new_config->logfiles, &c->n);
  }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 755 "cf-parse.y"
    { (yyval.t) = (yyvsp[(2) - (2)].t); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 756 "cf-parse.y"
    { (yyval.t) = bird_name; }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 760 "cf-parse.y"
    {
     FILE *f = tracked_fopen(new_config->pool, (yyvsp[(1) - (1)].t), "a");
     if (!f) cf_error("Unable to open log file `%s': %m", (yyvsp[(1) - (1)].t));
     (yyval.g) = f;
   }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 765 "cf-parse.y"
    { (yyval.g) = NULL; new_config->syslog_name = (yyvsp[(2) - (2)].t); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 766 "cf-parse.y"
    { (yyval.g) = stderr; }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 770 "cf-parse.y"
    { (yyval.i) = ~0; }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 771 "cf-parse.y"
    { (yyval.i) = (yyvsp[(2) - (3)].i); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 775 "cf-parse.y"
    { (yyval.i) = 1 << (yyvsp[(1) - (1)].i); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 776 "cf-parse.y"
    { (yyval.i) = (yyvsp[(1) - (3)].i) | (1 << (yyvsp[(3) - (3)].i)); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 780 "cf-parse.y"
    { (yyval.i) = L_DEBUG[0]; }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 781 "cf-parse.y"
    { (yyval.i) = L_TRACE[0]; }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 782 "cf-parse.y"
    { (yyval.i) = L_INFO[0]; }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 783 "cf-parse.y"
    { (yyval.i) = L_REMOTE[0]; }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 784 "cf-parse.y"
    { (yyval.i) = L_WARN[0]; }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 785 "cf-parse.y"
    { (yyval.i) = L_ERR[0]; }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 786 "cf-parse.y"
    { (yyval.i) = L_AUTH[0]; }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 787 "cf-parse.y"
    { (yyval.i) = L_FATAL[0]; }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 788 "cf-parse.y"
    { (yyval.i) = L_BUG[0]; }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 794 "cf-parse.y"
    { new_config->proto_default_mrtdump = (yyvsp[(3) - (4)].i); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 795 "cf-parse.y"
    {
     FILE *f = tracked_fopen(new_config->pool, (yyvsp[(2) - (3)].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[(2) - (3)].t));
     new_config->mrtdump_file = fileno(f);
   }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 804 "cf-parse.y"
    { (yyval.tf) = &new_config->tf_route; }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 805 "cf-parse.y"
    { (yyval.tf) = &new_config->tf_proto; }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 806 "cf-parse.y"
    { (yyval.tf) = &new_config->tf_base; }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 807 "cf-parse.y"
    { (yyval.tf) = &new_config->tf_log; }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 810 "cf-parse.y"
    { *(yyvsp[(1) - (2)].tf) = (struct timeformat){(yyvsp[(2) - (2)].t), NULL, 0}; }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 811 "cf-parse.y"
    { *(yyvsp[(1) - (4)].tf) = (struct timeformat){(yyvsp[(2) - (4)].t), (yyvsp[(4) - (4)].t), (yyvsp[(3) - (4)].i)}; }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 812 "cf-parse.y"
    { *(yyvsp[(1) - (3)].tf) = (struct timeformat){"%T", "%F", 20*3600}; }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 813 "cf-parse.y"
    { *(yyvsp[(1) - (3)].tf) = (struct timeformat){"%F %T", NULL, 0}; }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 825 "cf-parse.y"
    { cmd_reconfig((yyvsp[(2) - (3)].t), RECONFIG_HARD); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 828 "cf-parse.y"
    { cmd_reconfig((yyvsp[(3) - (4)].t), RECONFIG_SOFT); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 831 "cf-parse.y"
    { cmd_shutdown(); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 834 "cf-parse.y"
    { (yyval.t) = NULL; }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 843 "cf-parse.y"
    {
#ifndef CONFIG_MULTIPLE_TABLES
     if (cf_krt)
       cf_error("Kernel protocol already defined");
#endif
     cf_krt = this_proto = proto_config_new(&proto_unix_kernel, sizeof(struct krt_config), (yyvsp[(1) - (2)].i));
     THIS_KRT->scan_time = 60;
     THIS_KRT->learn = THIS_KRT->persist = 0;
     krt_scan_construct(THIS_KRT);
     krt_set_construct(THIS_KRT);
   }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 858 "cf-parse.y"
    { THIS_KRT->persist = (yyvsp[(2) - (2)].i); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 859 "cf-parse.y"
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[(3) - (3)].i);
   }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 863 "cf-parse.y"
    {
      THIS_KRT->learn = (yyvsp[(2) - (2)].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[(2) - (2)].i))
	cf_error("Learning of kernel routes not supported in this configuration");
#endif
   }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 870 "cf-parse.y"
    { THIS_KRT->devroutes = (yyvsp[(3) - (3)].i); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 876 "cf-parse.y"
    {
     if (cf_kif)
       cf_error("Kernel device protocol already defined");
     cf_kif = this_proto = proto_config_new(&proto_unix_iface, sizeof(struct kif_config), (yyvsp[(1) - (2)].i));
     THIS_KIF->scan_time = 60;
     init_list(&THIS_KIF->primary);
     krt_if_construct(THIS_KIF);
   }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 888 "cf-parse.y"
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[(3) - (3)].i);
   }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 892 "cf-parse.y"
    {
     struct kif_primary_item *kpi = cfg_alloc(sizeof (struct kif_primary_item));
     kpi->pattern = (yyvsp[(2) - (3)].t);
     kpi->prefix = (yyvsp[(3) - (3)].px).addr;
     kpi->pxlen = (yyvsp[(3) - (3)].px).len;
     add_tail(&THIS_KIF->primary, &kpi->n);
   }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 905 "cf-parse.y"
    {
	if ((yyvsp[(3) - (3)].i) <= 0 || (yyvsp[(3) - (3)].i) >= NL_NUM_TABLES)
	  cf_error("Kernel routing table number out of range");
	THIS_KRT->scan.table_id = (yyvsp[(3) - (3)].i);
   }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 918 "cf-parse.y"
    {
   new_config->router_id = (yyvsp[(3) - (4)].i32);
   }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 924 "cf-parse.y"
    { (yyval.i32) = (yyvsp[(1) - (1)].i); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 926 "cf-parse.y"
    {
#ifndef IPV6
     (yyval.i32) = ipa_to_u32((yyvsp[(1) - (1)].a));
#else
     cf_error("Router IDs must be entered as hexadecimal numbers or IPv4 addresses in IPv6 version");
#endif
   }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 945 "cf-parse.y"
    { new_config->listen_bgp_addr = (yyvsp[(2) - (2)].a); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 946 "cf-parse.y"
    { new_config->listen_bgp_port = (yyvsp[(2) - (2)].i); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 947 "cf-parse.y"
    { new_config->listen_bgp_flags = 0; }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 948 "cf-parse.y"
    { new_config->listen_bgp_flags = 1; }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 955 "cf-parse.y"
    {
   rt_new_table((yyvsp[(2) - (2)].s));
   }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 961 "cf-parse.y"
    {
  this_roa_table = roa_new_table_config((yyvsp[(3) - (3)].s));
}
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 967 "cf-parse.y"
    {
     roa_add_item_config(this_roa_table, (yyvsp[(3) - (8)].px).addr, (yyvsp[(3) - (8)].px).len, (yyvsp[(5) - (8)].i), (yyvsp[(7) - (8)].i));
   }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 981 "cf-parse.y"
    { (yyval.i) = SYM_PROTO; }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 982 "cf-parse.y"
    { (yyval.i) = SYM_TEMPLATE; }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 986 "cf-parse.y"
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;
     }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 992 "cf-parse.y"
    {
     cf_define_symbol((yyvsp[(1) - (1)].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[(1) - (1)].s)->name;
   }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 996 "cf-parse.y"
    {
     if (((yyvsp[(3) - (3)].s)->class != SYM_TEMPLATE) && ((yyvsp[(3) - (3)].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[(1) - (3)].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[(1) - (3)].s)->name;

     proto_copy_config(this_proto, (yyvsp[(3) - (3)].s)->def);
   }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1008 "cf-parse.y"
    {
     if ((yyvsp[(2) - (2)].i) < 0 || (yyvsp[(2) - (2)].i) > 0xFFFF) cf_error("Invalid preference");
     this_proto->preference = (yyvsp[(2) - (2)].i);
   }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1012 "cf-parse.y"
    { this_proto->disabled = (yyvsp[(2) - (2)].i); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1013 "cf-parse.y"
    { this_proto->debug = (yyvsp[(2) - (2)].i); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1014 "cf-parse.y"
    { this_proto->mrtdump = (yyvsp[(2) - (2)].i); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1015 "cf-parse.y"
    { this_proto->in_filter = (yyvsp[(2) - (2)].f); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1016 "cf-parse.y"
    { this_proto->out_filter = (yyvsp[(2) - (2)].f); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1017 "cf-parse.y"
    { this_proto->table = (yyvsp[(2) - (2)].r); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1018 "cf-parse.y"
    { this_proto->router_id = (yyvsp[(3) - (3)].i32); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1019 "cf-parse.y"
    { this_proto->dsc = (yyvsp[(2) - (2)].t); }
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1023 "cf-parse.y"
    { (yyval.f) = (yyvsp[(2) - (2)].f); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1025 "cf-parse.y"
    { (yyval.f) = FILTER_ACCEPT; }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1026 "cf-parse.y"
    { (yyval.f) = FILTER_REJECT; }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1030 "cf-parse.y"
    {
     if ((yyvsp[(1) - (1)].s)->class != SYM_TABLE) cf_error("Table name expected");
     (yyval.r) = (yyvsp[(1) - (1)].s)->def;
   }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1038 "cf-parse.y"
    { new_config->proto_default_debug = (yyvsp[(3) - (3)].i); }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1039 "cf-parse.y"
    { new_config->cli_debug = (yyvsp[(3) - (3)].i); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1047 "cf-parse.y"
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1055 "cf-parse.y"
    { this_ipn->pattern = (yyvsp[(1) - (1)].t); this_ipn->prefix = IPA_NONE; this_ipn->pxlen = 0; }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1056 "cf-parse.y"
    { this_ipn->pattern = NULL; this_ipn->prefix = (yyvsp[(1) - (1)].px).addr; this_ipn->pxlen = (yyvsp[(1) - (1)].px).len; }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1057 "cf-parse.y"
    { this_ipn->pattern = (yyvsp[(1) - (2)].t); this_ipn->prefix = (yyvsp[(2) - (2)].px).addr; this_ipn->pxlen = (yyvsp[(2) - (2)].px).len; }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1061 "cf-parse.y"
    { this_ipn->positive = 1; }
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1062 "cf-parse.y"
    { this_ipn->positive = 0; }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1079 "cf-parse.y"
    {
     this_proto = proto_config_new(&proto_device, sizeof(struct rt_dev_config), (yyvsp[(1) - (2)].i));
     init_list(&DIRECT_CFG->iface_list);
   }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1092 "cf-parse.y"
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1106 "cf-parse.y"
    { (yyval.i) = ~0; }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1107 "cf-parse.y"
    { (yyval.i) = 0; }
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1108 "cf-parse.y"
    { (yyval.i) = (yyvsp[(2) - (3)].i); }
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1113 "cf-parse.y"
    { (yyval.i) = (yyvsp[(1) - (3)].i) | (yyvsp[(3) - (3)].i); }
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1117 "cf-parse.y"
    { (yyval.i) = D_STATES; }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1118 "cf-parse.y"
    { (yyval.i) = D_ROUTES; }
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1119 "cf-parse.y"
    { (yyval.i) = D_FILTERS; }
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1120 "cf-parse.y"
    { (yyval.i) = D_IFACES; }
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1121 "cf-parse.y"
    { (yyval.i) = D_EVENTS; }
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1122 "cf-parse.y"
    { (yyval.i) = D_PACKETS; }
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1128 "cf-parse.y"
    { (yyval.i) = ~0; }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1129 "cf-parse.y"
    { (yyval.i) = 0; }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1130 "cf-parse.y"
    { (yyval.i) = (yyvsp[(2) - (3)].i); }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1135 "cf-parse.y"
    { (yyval.i) = (yyvsp[(1) - (3)].i) | (yyvsp[(3) - (3)].i); }
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1139 "cf-parse.y"
    { (yyval.i) = MD_STATES; }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1140 "cf-parse.y"
    { (yyval.i) = MD_MESSAGES; }
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1161 "cf-parse.y"
    {
     if (!this_p_list) {
     	this_p_list = cfg_alloc(sizeof(list));
     	init_list(this_p_list);
        password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[(2) - (2)].t);
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     add_tail(this_p_list, &this_p_item->n);
   }
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1179 "cf-parse.y"
    { }
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1180 "cf-parse.y"
    { this_p_item->genfrom = (yyvsp[(3) - (5)].time); }
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1181 "cf-parse.y"
    { this_p_item->gento = (yyvsp[(3) - (5)].time); }
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1182 "cf-parse.y"
    { this_p_item->accfrom = (yyvsp[(3) - (5)].time); }
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1183 "cf-parse.y"
    { this_p_item->accto = (yyvsp[(3) - (5)].time); }
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1184 "cf-parse.y"
    { this_p_item->id = (yyvsp[(2) - (4)].i); if ((yyvsp[(2) - (4)].i) <= 0) cf_error("Password ID has to be greated than zero."); }
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1193 "cf-parse.y"
    { cmd_show_status(); }
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1196 "cf-parse.y"
    { cmd_show_memory(); }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1199 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(3) - (4)].ps), proto_cmd_show, 0, 0); }
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1202 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(4) - (5)].ps), proto_cmd_show, 0, 1); }
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1206 "cf-parse.y"
    { (yyval.s) = NULL; }
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1210 "cf-parse.y"
    { if_show(); }
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1213 "cf-parse.y"
    { if_show_summary(); }
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1217 "cf-parse.y"
    { rt_show((yyvsp[(3) - (4)].ra)); }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1220 "cf-parse.y"
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     (yyval.ra)->pxlen = 256;
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->table = config->master_rtc->table;
   }
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1226 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (2)].ra);
     if ((yyval.ra)->pxlen != 256) cf_error("Only one prefix expected");
     (yyval.ra)->prefix = (yyvsp[(2) - (2)].px).addr;
     (yyval.ra)->pxlen = (yyvsp[(2) - (2)].px).len;
   }
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1232 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (3)].ra);
     if ((yyval.ra)->pxlen != 256) cf_error("Only one prefix expected");
     (yyval.ra)->prefix = (yyvsp[(3) - (3)].px).addr;
     (yyval.ra)->pxlen = (yyvsp[(3) - (3)].px).len;
     (yyval.ra)->show_for = 1;
   }
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1239 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (3)].ra);
     if ((yyvsp[(3) - (3)].s)->class != SYM_TABLE) cf_error("%s is not a table", (yyvsp[(3) - (3)].s)->name);
     (yyval.ra)->table = ((struct rtable_config *)(yyvsp[(3) - (3)].s)->def)->table;
   }
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1244 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (3)].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[(3) - (3)].f);
   }
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1249 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (2)].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[(2) - (2)].f);
   }
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1254 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (2)].ra);
     (yyval.ra)->verbose = 1;
   }
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1258 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (2)].ra);
     (yyval.ra)->primary_only = 1;
   }
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1262 "cf-parse.y"
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[(3) - (3)].s)->def;
     (yyval.ra) = (yyvsp[(1) - (3)].ra);
     if ((yyval.ra)->export_mode) cf_error("Protocol specified twice");
     if ((yyvsp[(3) - (3)].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[(3) - (3)].s)->name);
     (yyval.ra)->export_mode = (yyvsp[(2) - (3)].i);
     (yyval.ra)->primary_only = 1;
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->running_on_config = c->proto->cf->global;
   }
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1272 "cf-parse.y"
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[(3) - (3)].s)->def;
     (yyval.ra) = (yyvsp[(1) - (3)].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if ((yyvsp[(3) - (3)].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[(3) - (3)].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->running_on_config = c->proto->cf->global;
   }
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1280 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (2)].ra);
     (yyval.ra)->stats = 1;
   }
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1284 "cf-parse.y"
    {
     (yyval.ra) = (yyvsp[(1) - (2)].ra);
     (yyval.ra)->stats = 2;
   }
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1291 "cf-parse.y"
    { (yyval.i) = 1; }
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1292 "cf-parse.y"
    { (yyval.i) = 2; }
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 1298 "cf-parse.y"
    { roa_show((yyvsp[(3) - (4)].ro)); }
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1301 "cf-parse.y"
    {
     (yyval.ro) = cfg_allocz(sizeof(struct roa_show_data));
     (yyval.ro)->mode = ROA_SHOW_ALL;
     (yyval.ro)->table = roa_table_default;
     if (roa_table_default == NULL)
       cf_error("No ROA table defined");
   }
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1308 "cf-parse.y"
    {
     (yyval.ro) = (yyvsp[(1) - (3)].ro);
     if ((yyval.ro)->mode != ROA_SHOW_ALL) cf_error("Only one prefix expected");
     (yyval.ro)->prefix = (yyvsp[(3) - (3)].px).addr;
     (yyval.ro)->pxlen = (yyvsp[(3) - (3)].px).len;
     (yyval.ro)->mode = (yyvsp[(2) - (3)].i);
   }
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1315 "cf-parse.y"
    {
     (yyval.ro) = (yyvsp[(1) - (3)].ro);
     (yyval.ro)->asn = (yyvsp[(3) - (3)].i);
   }
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1319 "cf-parse.y"
    {
     (yyval.ro) = (yyvsp[(1) - (3)].ro);
     if ((yyvsp[(3) - (3)].s)->class != SYM_ROA) cf_error("%s is not a ROA table", (yyvsp[(3) - (3)].s)->name);
     (yyval.ro)->table = ((struct roa_table_config *)(yyvsp[(3) - (3)].s)->def)->table;
   }
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1327 "cf-parse.y"
    { (yyval.i) = ROA_SHOW_PX; }
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1328 "cf-parse.y"
    { (yyval.i) = ROA_SHOW_IN; }
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1329 "cf-parse.y"
    { (yyval.i) = ROA_SHOW_FOR; }
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1335 "cf-parse.y"
    { cmd_show_symbols((yyvsp[(3) - (4)].sd)); }
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1338 "cf-parse.y"
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1341 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->type = SYM_TABLE; }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1342 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->type = SYM_FUNCTION; }
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1343 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->type = SYM_FILTER; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1344 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->type = SYM_PROTO; }
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1345 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->type = SYM_TEMPLATE; }
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1346 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->type = SYM_ROA; }
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1347 "cf-parse.y"
    { (yyval.sd) = (yyvsp[(1) - (2)].sd); (yyval.sd)->sym = (yyvsp[(2) - (2)].s); }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1352 "cf-parse.y"
    { 
     if (roa_table_default == NULL)
       cf_error("No ROA table defined");
     (yyval.rot) = roa_table_default;
   }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1357 "cf-parse.y"
    {
     if ((yyvsp[(2) - (2)].s)->class != SYM_ROA)
       cf_error("%s is not a ROA table", (yyvsp[(2) - (2)].s)->name);
     (yyval.rot) = ((struct roa_table_config *)(yyvsp[(2) - (2)].s)->def)->table;
   }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1366 "cf-parse.y"
    {
  if (! cli_access_restricted())
    { roa_add_item((yyvsp[(8) - (9)].rot), (yyvsp[(3) - (9)].px).addr, (yyvsp[(3) - (9)].px).len, (yyvsp[(5) - (9)].i), (yyvsp[(7) - (9)].i), ROA_SRC_DYNAMIC); cli_msg(0, ""); }
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1373 "cf-parse.y"
    {
  if (! cli_access_restricted())
    { roa_delete_item((yyvsp[(8) - (9)].rot), (yyvsp[(3) - (9)].px).addr, (yyvsp[(3) - (9)].px).len, (yyvsp[(5) - (9)].i), (yyvsp[(7) - (9)].i), ROA_SRC_DYNAMIC); cli_msg(0, ""); }
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1380 "cf-parse.y"
    {
  if (! cli_access_restricted())
    { roa_flush((yyvsp[(3) - (4)].rot), ROA_SRC_DYNAMIC); cli_msg(0, ""); }
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1388 "cf-parse.y"
    { rdump(&root_pool); cli_msg(0, ""); }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1390 "cf-parse.y"
    { sk_dump_all(); cli_msg(0, ""); }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1392 "cf-parse.y"
    { if_dump_all(); cli_msg(0, ""); }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1394 "cf-parse.y"
    { neigh_dump_all(); cli_msg(0, ""); }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1396 "cf-parse.y"
    { rta_dump_all(); cli_msg(0, ""); }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1398 "cf-parse.y"
    { rt_dump_all(); cli_msg(0, ""); }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1400 "cf-parse.y"
    { protos_dump_all(); cli_msg(0, ""); }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1402 "cf-parse.y"
    {
  cli_set_log_echo(this_cli, (yyvsp[(2) - (4)].i), (yyvsp[(3) - (4)].i));
  cli_msg(0, "");
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1408 "cf-parse.y"
    { (yyval.i) = ~0; }
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1409 "cf-parse.y"
    { (yyval.i) = 0; }
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1414 "cf-parse.y"
    { (yyval.i) = 4096; }
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1415 "cf-parse.y"
    {
     if ((yyvsp[(1) - (1)].i) < 256 || (yyvsp[(1) - (1)].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[(1) - (1)].i);
   }
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1422 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(2) - (3)].ps), proto_cmd_disable, 1, 0); }
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1424 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(2) - (3)].ps), proto_cmd_enable, 1, 0); }
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1426 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(2) - (3)].ps), proto_cmd_restart, 1, 0); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1428 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(2) - (3)].ps), proto_cmd_reload, 1, CMD_RELOAD); }
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1430 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(3) - (4)].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1432 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(3) - (4)].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1436 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(2) - (4)].ps), proto_cmd_debug, 1, (yyvsp[(3) - (4)].i)); }
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1440 "cf-parse.y"
    { proto_apply_cmd((yyvsp[(2) - (4)].ps), proto_cmd_mrtdump, 1, (yyvsp[(3) - (4)].i)); }
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1443 "cf-parse.y"
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1446 "cf-parse.y"
    { (yyval.ps).ptr = (yyvsp[(1) - (1)].s); (yyval.ps).patt = 0; }
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1447 "cf-parse.y"
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1448 "cf-parse.y"
    { (yyval.ps).ptr = (yyvsp[(1) - (1)].t); (yyval.ps).patt = 1; }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1452 "cf-parse.y"
    { (yyval.ps).ptr = (yyvsp[(1) - (1)].s); (yyval.ps).patt = 0; }
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1453 "cf-parse.y"
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1454 "cf-parse.y"
    { (yyval.ps).ptr = (yyvsp[(1) - (1)].t); (yyval.ps).patt = 1; }
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1462 "cf-parse.y"
    { (yyvsp[(2) - (2)].s) = cf_define_symbol((yyvsp[(2) - (2)].s), SYM_FILTER, NULL); cf_push_scope( (yyvsp[(2) - (2)].s) ); }
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1463 "cf-parse.y"
    {
     (yyvsp[(2) - (4)].s)->def = (yyvsp[(4) - (4)].f);
     (yyvsp[(4) - (4)].f)->name = (yyvsp[(2) - (4)].s)->name;
     DBG( "We have new filter defined (%s)\n", (yyvsp[(2) - (4)].s)->name );
     cf_pop_scope();
   }
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1472 "cf-parse.y"
    { f_eval_int((yyvsp[(2) - (2)].x)); }
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1476 "cf-parse.y"
    { (yyval.i) = T_INT; }
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1477 "cf-parse.y"
    { (yyval.i) = T_BOOL; }
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1478 "cf-parse.y"
    { (yyval.i) = T_IP; }
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1479 "cf-parse.y"
    { (yyval.i) = T_PREFIX; }
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1480 "cf-parse.y"
    { (yyval.i) = T_PAIR; }
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1481 "cf-parse.y"
    { (yyval.i) = T_QUAD; }
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1482 "cf-parse.y"
    { (yyval.i) = T_EC; }
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1483 "cf-parse.y"
    { (yyval.i) = T_STRING; }
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1484 "cf-parse.y"
    { (yyval.i) = T_PATH_MASK; }
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1485 "cf-parse.y"
    { (yyval.i) = T_PATH; }
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1486 "cf-parse.y"
    { (yyval.i) = T_CLIST; }
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1487 "cf-parse.y"
    { (yyval.i) = T_ECLIST; }
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1488 "cf-parse.y"
    { 
	switch ((yyvsp[(1) - (2)].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_PREFIX:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1509 "cf-parse.y"
    {
     struct f_val * val = cfg_alloc(sizeof(struct f_val)); 
     val->type = (yyvsp[(1) - (2)].i); 
     (yyvsp[(2) - (2)].s) = cf_define_symbol((yyvsp[(2) - (2)].s), SYM_VARIABLE | (yyvsp[(1) - (2)].i), val);
     DBG( "New variable %s type %x\n", (yyvsp[(2) - (2)].s)->name, (yyvsp[(1) - (2)].i) );
     (yyvsp[(2) - (2)].s)->aux2 = NULL;
     (yyval.s)=(yyvsp[(2) - (2)].s);
   }
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1520 "cf-parse.y"
    { (yyval.s) = NULL; }
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1521 "cf-parse.y"
    {
     (yyval.s) = (yyvsp[(1) - (3)].s);
     (yyval.s)->aux2 = (yyvsp[(3) - (3)].s);
   }
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1528 "cf-parse.y"
    { (yyval.s) = (yyvsp[(1) - (1)].s); }
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1529 "cf-parse.y"
    {
     (yyval.s) = (yyvsp[(1) - (3)].s);
     (yyval.s)->aux2 = (yyvsp[(3) - (3)].s);
   }
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1536 "cf-parse.y"
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     f->name = NULL;
     f->root = (yyvsp[(1) - (1)].x);
     (yyval.f) = f;
   }
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1545 "cf-parse.y"
    {
     if ((yyvsp[(1) - (1)].s)->class != SYM_FILTER) cf_error("No such filter.");
     (yyval.f) = (yyvsp[(1) - (1)].s)->def;
   }
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1553 "cf-parse.y"
    {
     /* Construct 'IF term THEN ACCEPT; REJECT;' */
     struct filter *f = cfg_alloc(sizeof(struct filter));
     struct f_inst *i, *acc, *rej;
     acc = f_new_inst();		/* ACCEPT */
     acc->code = P('p',',');
     acc->a1.p = NULL;
     acc->a2.i = F_ACCEPT;
     rej = f_new_inst();		/* REJECT */
     rej->code = P('p',',');
     rej->a1.p = NULL;
     rej->a2.i = F_REJECT;
     i = f_new_inst();			/* IF */
     i->code = '?';
     i->a1.p = (yyvsp[(2) - (2)].x);
     i->a2.p = acc;
     i->next = rej;
     f->name = NULL;
     f->root = i;
     (yyval.f) = f;
  }
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1577 "cf-parse.y"
    { DBG( "Have function parameters\n" ); (yyval.s)=(yyvsp[(2) - (3)].s); }
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1578 "cf-parse.y"
    { (yyval.s)=NULL; }
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1582 "cf-parse.y"
    {
     if ((yyvsp[(1) - (4)].s)) {
       /* Prepend instruction to clear local variables */
       (yyval.x) = f_new_inst();
       (yyval.x)->code = P('c','v');
       (yyval.x)->a1.p = (yyvsp[(1) - (4)].s);
       (yyval.x)->next = (yyvsp[(3) - (4)].x);
     } else
       (yyval.x) = (yyvsp[(3) - (4)].x);
   }
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1595 "cf-parse.y"
    { DBG( "Beginning of function %s\n", (yyvsp[(2) - (2)].s)->name );
     (yyvsp[(2) - (2)].s) = cf_define_symbol((yyvsp[(2) - (2)].s), SYM_FUNCTION, NULL);
     cf_push_scope((yyvsp[(2) - (2)].s));
   }
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1598 "cf-parse.y"
    {
     (yyvsp[(2) - (5)].s)->def = (yyvsp[(5) - (5)].x);
     (yyvsp[(2) - (5)].s)->aux2 = (yyvsp[(4) - (5)].s);
     DBG("Hmm, we've got one function here - %s\n", (yyvsp[(2) - (5)].s)->name); 
     cf_pop_scope();
   }
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1611 "cf-parse.y"
    { (yyval.x) = NULL; }
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1612 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x)->next; (yyvsp[(1) - (1)].x)->next = NULL; }
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1615 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); (yyvsp[(1) - (1)].x)->next = (yyvsp[(1) - (1)].x); }
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1616 "cf-parse.y"
    { (yyval.x) = (yyvsp[(2) - (2)].x); (yyvsp[(2) - (2)].x)->next = (yyvsp[(1) - (2)].x)->next ; (yyvsp[(1) - (2)].x)->next = (yyvsp[(2) - (2)].x); }
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1620 "cf-parse.y"
    {
     (yyval.x)=(yyvsp[(1) - (1)].x);
   }
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1623 "cf-parse.y"
    {
     (yyval.x)=(yyvsp[(2) - (3)].x);
   }
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1632 "cf-parse.y"
    { (yyval.v).type = T_IP; (yyval.v).val.px.ip = (yyvsp[(1) - (1)].a); }
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1645 "cf-parse.y"
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[(1) - (1)].i); }
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1646 "cf-parse.y"
    { (yyval.v).type = T_QUAD; (yyval.v).val.i = (yyvsp[(1) - (1)].i32); }
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1647 "cf-parse.y"
    { (yyval.v) = (yyvsp[(1) - (1)].v); }
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1648 "cf-parse.y"
    { (yyval.v).type = pair_a((yyvsp[(1) - (1)].i)); (yyval.v).val.i = pair_b((yyvsp[(1) - (1)].i)); }
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1652 "cf-parse.y"
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[(1) - (1)].i); }
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1653 "cf-parse.y"
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int((yyvsp[(2) - (3)].x)); }
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1654 "cf-parse.y"
    { (yyval.v).type = T_QUAD; (yyval.v).val.i = (yyvsp[(1) - (1)].i32); }
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1655 "cf-parse.y"
    { (yyval.v) = (yyvsp[(1) - (1)].v); }
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1656 "cf-parse.y"
    { (yyval.v).type = pair_a((yyvsp[(1) - (1)].i)); (yyval.v).val.i = pair_b((yyvsp[(1) - (1)].i)); }
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1660 "cf-parse.y"
    { (yyval.i) = f_eval_int((yyvsp[(1) - (1)].x)); check_u16((yyval.i)); }
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1663 "cf-parse.y"
    { (yyval.i32) = pair((yyvsp[(1) - (1)].i), (yyvsp[(1) - (1)].i)); }
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1664 "cf-parse.y"
    { (yyval.i32) = pair((yyvsp[(1) - (3)].i), (yyvsp[(3) - (3)].i)); }
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 1665 "cf-parse.y"
    { (yyval.i32) = 0xFFFF; }
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 1669 "cf-parse.y"
    {
     (yyval.e) = f_new_pair_set(pair_a((yyvsp[(2) - (5)].i32)), pair_b((yyvsp[(2) - (5)].i32)), pair_a((yyvsp[(4) - (5)].i32)), pair_b((yyvsp[(4) - (5)].i32)));
   }
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 1672 "cf-parse.y"
    {
     /* Hack: $2 and $4 should be pair_expr, but that would cause shift/reduce conflict */
     if ((pair_a((yyvsp[(2) - (11)].i32)) != pair_b((yyvsp[(2) - (11)].i32))) || (pair_a((yyvsp[(4) - (11)].i32)) != pair_b((yyvsp[(4) - (11)].i32))))
       cf_error("syntax error");
     (yyval.e) = f_new_pair_item(pair_b((yyvsp[(2) - (11)].i32)), (yyvsp[(8) - (11)].i), pair_b((yyvsp[(4) - (11)].i32)), (yyvsp[(10) - (11)].i)); 
   }
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 1681 "cf-parse.y"
    { (yyval.i32) = f_eval_int((yyvsp[(1) - (1)].x)); }
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 1684 "cf-parse.y"
    { (yyval.i) = EC_RT; }
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 1685 "cf-parse.y"
    { (yyval.i) = EC_RO; }
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 1686 "cf-parse.y"
    { (yyval.i) = (yyvsp[(2) - (2)].i); }
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 1687 "cf-parse.y"
    { (yyval.i) = EC_GENERIC; }
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 1691 "cf-parse.y"
    { (yyval.e) = f_new_ec_item((yyvsp[(2) - (7)].i), 0, (yyvsp[(4) - (7)].i32), (yyvsp[(6) - (7)].i32), (yyvsp[(6) - (7)].i32)); }
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 1692 "cf-parse.y"
    { (yyval.e) = f_new_ec_item((yyvsp[(2) - (9)].i), 0, (yyvsp[(4) - (9)].i32), (yyvsp[(6) - (9)].i32), (yyvsp[(8) - (9)].i32)); }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 1693 "cf-parse.y"
    {  (yyval.e) = f_new_ec_item((yyvsp[(2) - (7)].i), 0, (yyvsp[(4) - (7)].i32), 0, EC_ALL); }
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 1699 "cf-parse.y"
    { (yyval.e) = f_new_item((yyvsp[(1) - (1)].v), (yyvsp[(1) - (1)].v)); }
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 1700 "cf-parse.y"
    { (yyval.e) = f_new_item((yyvsp[(1) - (3)].v), (yyvsp[(3) - (3)].v)); }
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 1706 "cf-parse.y"
    { (yyval.e) = f_new_item((yyvsp[(1) - (1)].v), (yyvsp[(1) - (1)].v)); }
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 1707 "cf-parse.y"
    { (yyval.e) = f_new_item((yyvsp[(1) - (3)].v), (yyvsp[(3) - (3)].v)); }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 1712 "cf-parse.y"
    { (yyval.e) = f_merge_items((yyvsp[(1) - (3)].e), (yyvsp[(3) - (3)].e)); }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 1717 "cf-parse.y"
    { (yyval.e) = f_merge_items((yyvsp[(1) - (3)].e), (yyvsp[(3) - (3)].e)); }
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 1721 "cf-parse.y"
    {
     if (((yyvsp[(3) - (3)].i) < 0) || ((yyvsp[(3) - (3)].i) > MAX_PREFIX_LENGTH) || !ip_is_prefix((yyvsp[(1) - (3)].a), (yyvsp[(3) - (3)].i))) cf_error("Invalid network prefix: %I/%d.", (yyvsp[(1) - (3)].a), (yyvsp[(3) - (3)].i));
     (yyval.v).type = T_PREFIX; (yyval.v).val.px.ip = (yyvsp[(1) - (3)].a); (yyval.v).val.px.len = (yyvsp[(3) - (3)].i);
   }
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 1728 "cf-parse.y"
    { (yyval.v) = (yyvsp[(1) - (1)].v); }
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 1729 "cf-parse.y"
    { (yyval.v) = (yyvsp[(1) - (2)].v); (yyval.v).val.px.len |= LEN_PLUS; }
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 1730 "cf-parse.y"
    { (yyval.v) = (yyvsp[(1) - (2)].v); (yyval.v).val.px.len |= LEN_MINUS; }
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 1731 "cf-parse.y"
    { 
     if (! ((0 <= (yyvsp[(3) - (6)].i)) && ((yyvsp[(3) - (6)].i) <= (yyvsp[(5) - (6)].i)) && ((yyvsp[(5) - (6)].i) <= MAX_PREFIX_LENGTH))) cf_error("Invalid prefix pattern range: {%d, %d}.", (yyvsp[(3) - (6)].i), (yyvsp[(5) - (6)].i));
     (yyval.v) = (yyvsp[(1) - (6)].v); (yyval.v).val.px.len |= LEN_RANGE | ((yyvsp[(3) - (6)].i) << 16) | ((yyvsp[(5) - (6)].i) << 8);
   }
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 1738 "cf-parse.y"
    { (yyval.trie) = f_new_trie(cfg_mem); trie_add_fprefix((yyval.trie), &((yyvsp[(1) - (1)].v).val.px)); }
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 1739 "cf-parse.y"
    { (yyval.trie) = (yyvsp[(1) - (3)].trie); trie_add_fprefix((yyval.trie), &((yyvsp[(3) - (3)].v).val.px)); }
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 1742 "cf-parse.y"
    { (yyval.e) = NULL; }
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 1743 "cf-parse.y"
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[(2) - (4)].e); t; t = t->left)
       t->data = (yyvsp[(4) - (4)].x);
     (yyval.e) = f_merge_items((yyvsp[(1) - (4)].e), (yyvsp[(2) - (4)].e));
   }
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 1750 "cf-parse.y"
    { 
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[(3) - (3)].x);
     (yyval.e) = f_merge_items((yyvsp[(1) - (3)].e), t);
 }
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 1762 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); }
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 1763 "cf-parse.y"
    { (yyval.x) = (yyvsp[(2) - (3)].x); }
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 1767 "cf-parse.y"
    { (yyval.h) = (yyvsp[(2) - (3)].h); }
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 1768 "cf-parse.y"
    { (yyval.h) = (yyvsp[(2) - (3)].h); }
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 1772 "cf-parse.y"
    { (yyval.h) = cfg_alloc(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[(2) - (2)].h); (yyval.h)->kind = PM_ASN;      (yyval.h)->val = (yyvsp[(1) - (2)].i); }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 1773 "cf-parse.y"
    { (yyval.h) = cfg_alloc(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[(2) - (2)].h); (yyval.h)->kind = PM_ASTERISK; (yyval.h)->val  = 0; }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 1774 "cf-parse.y"
    { (yyval.h) = cfg_alloc(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[(2) - (2)].h); (yyval.h)->kind = PM_QUESTION; (yyval.h)->val  = 0; }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 1775 "cf-parse.y"
    { (yyval.h) = cfg_alloc(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[(2) - (2)].h); (yyval.h)->kind = PM_ASN_EXPR; (yyval.h)->val = (uintptr_t) (yyvsp[(1) - (2)].x); }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 1776 "cf-parse.y"
    { (yyval.h) = NULL; }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 1780 "cf-parse.y"
    { (yyval.h) = cfg_alloc(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[(2) - (2)].h); (yyval.h)->kind = PM_ASN;      (yyval.h)->val = (yyvsp[(1) - (2)].i); }
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 1781 "cf-parse.y"
    { (yyval.h) = cfg_alloc(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[(2) - (2)].h); (yyval.h)->kind = PM_ASTERISK; (yyval.h)->val  = 0; }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 1782 "cf-parse.y"
    { (yyval.h) = NULL; }
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 1786 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_INT;  (yyval.x)->a2.i = (yyvsp[(1) - (1)].i); }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 1787 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 1;  }
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 1788 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 0;  }
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 1789 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_STRING; (yyval.x)->a2.p = (yyvsp[(1) - (1)].t); }
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 1790 "cf-parse.y"
    { NEW_F_VAL; (yyval.x) = f_new_inst(); (yyval.x)->code = 'C'; (yyval.x)->a1.p = val; *val = (yyvsp[(1) - (1)].v); }
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 1791 "cf-parse.y"
    {NEW_F_VAL; (yyval.x) = f_new_inst(); (yyval.x)->code = 'C'; (yyval.x)->a1.p = val; *val = (yyvsp[(1) - (1)].v); }
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 1792 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_QUAD;  (yyval.x)->a2.i = (yyvsp[(1) - (1)].i32); }
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 1793 "cf-parse.y"
    { DBG( "We've got a set here..." ); (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_SET; (yyval.x)->a2.p = build_tree((yyvsp[(2) - (3)].e)); DBG( "ook\n" ); }
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 1794 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = T_PREFIX_SET;  (yyval.x)->a2.p = (yyvsp[(2) - (3)].trie); }
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 1795 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'c'; (yyval.x)->aux = (yyvsp[(1) - (1)].i) >> 16; (yyval.x)->a2.i = (yyvsp[(1) - (1)].i) & 0xffff; }
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 1796 "cf-parse.y"
    { NEW_F_VAL; (yyval.x) = f_new_inst(); (yyval.x)->code = 'C'; val->type = T_PATH_MASK; val->val.path_mask = (yyvsp[(1) - (1)].h); (yyval.x)->a1.p = val; }
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 1800 "cf-parse.y"
    { (yyval.x) = f_generate_dpair((yyvsp[(2) - (5)].x), (yyvsp[(4) - (5)].x)); }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 1801 "cf-parse.y"
    { (yyval.x) = f_generate_ec((yyvsp[(2) - (7)].i), (yyvsp[(4) - (7)].x), (yyvsp[(6) - (7)].x)); }
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 1815 "cf-parse.y"
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[(3) - (4)].x);
     if ((yyvsp[(1) - (4)].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[(1) - (4)].s)->name);
     (yyval.x) = f_new_inst();
     (yyval.x)->code = P('c','a');
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[(1) - (4)].s)->def;
     sym = (yyvsp[(1) - (4)].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[(1) - (4)].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 1838 "cf-parse.y"
    {
     (yyval.x) = f_new_inst();
     switch ((yyvsp[(1) - (1)].s)->class) {
       case SYM_NUMBER:
	(yyval.x) = f_new_inst();
	(yyval.x)->code = 'c'; 
	(yyval.x)->aux = T_INT; 
	(yyval.x)->a2.i = (yyvsp[(1) - (1)].s)->aux;
	break;
       case SYM_IPA:
	{ NEW_F_VAL; (yyval.x) = f_new_inst(); (yyval.x)->code = 'C'; (yyval.x)->a1.p = val; val->type = T_IP; val->val.px.ip = * (ip_addr *) ((yyvsp[(1) - (1)].s)->def); }
	break;
       case SYM_VARIABLE | T_BOOL:
       case SYM_VARIABLE | T_INT:
       case SYM_VARIABLE | T_PAIR:
       case SYM_VARIABLE | T_QUAD:
       case SYM_VARIABLE | T_EC:
       case SYM_VARIABLE | T_STRING:
       case SYM_VARIABLE | T_IP:
       case SYM_VARIABLE | T_PREFIX:
       case SYM_VARIABLE | T_PREFIX_SET:
       case SYM_VARIABLE | T_SET:
       case SYM_VARIABLE | T_PATH:
       case SYM_VARIABLE | T_PATH_MASK:
       case SYM_VARIABLE | T_CLIST:
       case SYM_VARIABLE | T_ECLIST:
	 (yyval.x)->code = 'V';
	 (yyval.x)->a1.p = (yyvsp[(1) - (1)].s)->def;
	 (yyval.x)->a2.p = (yyvsp[(1) - (1)].s)->name;
	 break;
       default:
	 cf_error("%s: variable expected.", (yyvsp[(1) - (1)].s)->name );
     }
   }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 1874 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_IP;         (yyval.x)->a2.i = OFFSETOF(struct rta, from);   (yyval.x)->a1.i = 1; }
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 1876 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_IP;         (yyval.x)->a2.i = OFFSETOF(struct rta, gw);     (yyval.x)->a1.i = 1; }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 1877 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_PREFIX;     (yyval.x)->a2.i = 0x12345678; /* This is actually ok - T_PREFIX is special-cased. */ }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 1878 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_STRING;     (yyval.x)->a2.i = 0x12345678; /* T_STRING is also special-cased. */ }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 1879 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_ENUM_RTS;   (yyval.x)->a2.i = OFFSETOF(struct rta, source); }
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 1880 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_ENUM_SCOPE; (yyval.x)->a2.i = OFFSETOF(struct rta, scope);  (yyval.x)->a1.i = 1; }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 1881 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_ENUM_RTC;   (yyval.x)->a2.i = OFFSETOF(struct rta, cast); }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 1882 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->aux = T_ENUM_RTD;   (yyval.x)->a2.i = OFFSETOF(struct rta, dest); }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 1886 "cf-parse.y"
    { (yyval.x) = (yyvsp[(2) - (3)].x); }
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 1887 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '+';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 1888 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '-';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 1889 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '*';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 1890 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '/';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 1891 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '&';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 1892 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '|';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 1893 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('=','='); (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 1894 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('!','=');     (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 1895 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '<';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 1896 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('<','=');     (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 1897 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '<';        (yyval.x)->a1.p = (yyvsp[(3) - (3)].x); (yyval.x)->a2.p = (yyvsp[(1) - (3)].x); }
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 1898 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('<','=');     (yyval.x)->a1.p = (yyvsp[(3) - (3)].x); (yyval.x)->a2.p = (yyvsp[(1) - (3)].x); }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 1899 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '~';        (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->a2.p = (yyvsp[(3) - (3)].x); }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 1900 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = '!'; (yyval.x)->a1.p = (yyvsp[(2) - (2)].x); }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 1901 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('d','e');  (yyval.x)->a1.p = (yyvsp[(3) - (4)].x); }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 1903 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 1904 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); }
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 1905 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); }
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 1907 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'P'; }
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 1909 "cf-parse.y"
    { (yyval.x) = (yyvsp[(2) - (2)].x); (yyval.x)->code = 'a'; }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 1911 "cf-parse.y"
    { (yyval.x) = (yyvsp[(2) - (2)].x); (yyval.x)->code = P('e','a'); }
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 1913 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('c','p'); (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); (yyval.x)->aux = T_IP; }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 1914 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'L'; (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 1915 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('i','M'); (yyval.x)->a1.p = (yyvsp[(1) - (6)].x); (yyval.x)->a2.p = (yyvsp[(5) - (6)].x); }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 1916 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('a','f'); (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); }
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 1917 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('a','l'); (yyval.x)->a1.p = (yyvsp[(1) - (3)].x); }
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 1927 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'E'; (yyval.x)->aux = T_PATH; }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 1928 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'E'; (yyval.x)->aux = T_CLIST; }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 1929 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'E'; (yyval.x)->aux = T_ECLIST; }
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 1930 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('A','p'); (yyval.x)->a1.p = (yyvsp[(3) - (6)].x); (yyval.x)->a2.p = (yyvsp[(5) - (6)].x); }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 1931 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('C','a'); (yyval.x)->a1.p = (yyvsp[(3) - (6)].x); (yyval.x)->a2.p = (yyvsp[(5) - (6)].x); (yyval.x)->aux = 'a'; }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 1932 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('C','a'); (yyval.x)->a1.p = (yyvsp[(3) - (6)].x); (yyval.x)->a2.p = (yyvsp[(5) - (6)].x); (yyval.x)->aux = 'd'; }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 1933 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('C','a'); (yyval.x)->a1.p = (yyvsp[(3) - (6)].x); (yyval.x)->a2.p = (yyvsp[(5) - (6)].x); (yyval.x)->aux = 'f'; }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 1935 "cf-parse.y"
    { (yyval.x) = f_generate_roa_check((yyvsp[(3) - (4)].s), NULL, NULL); }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 1936 "cf-parse.y"
    { (yyval.x) = f_generate_roa_check((yyvsp[(3) - (8)].s), (yyvsp[(5) - (8)].x), (yyvsp[(7) - (8)].x)); }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 1941 "cf-parse.y"
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[(3) - (4)].x);
     if ((yyvsp[(1) - (4)].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[(1) - (4)].s)->name);
     (yyval.x) = f_new_inst();
     (yyval.x)->code = P('c','a');
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[(1) - (4)].s)->def;
     sym = (yyvsp[(1) - (4)].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[(1) - (4)].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 1964 "cf-parse.y"
    { (yyval.i) = F_QUITBIRD; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 1965 "cf-parse.y"
    { (yyval.i) = F_ACCEPT; }
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 1966 "cf-parse.y"
    { (yyval.i) = F_REJECT; }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 1967 "cf-parse.y"
    { (yyval.i) = F_ERROR; }
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 1968 "cf-parse.y"
    { (yyval.i) = F_NOP; }
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 1969 "cf-parse.y"
    { (yyval.i) = F_NONL; }
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 1973 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = 'p'; (yyval.x)->a1.p = (yyvsp[(1) - (1)].x); (yyval.x)->a2.p = NULL; }
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 1976 "cf-parse.y"
    { (yyval.x) = NULL; }
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 1977 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 1978 "cf-parse.y"
    {
     if ((yyvsp[(1) - (3)].x)) {
       (yyvsp[(1) - (3)].x)->next = (yyvsp[(3) - (3)].x);
       (yyval.x) = (yyvsp[(1) - (3)].x);
     } else (yyval.x) = (yyvsp[(3) - (3)].x);
   }
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 1986 "cf-parse.y"
    { 
     (yyval.x) = f_new_inst();
     (yyval.x)->code = 's';
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[(1) - (1)].x);
     (yyval.x)->next = NULL;
   }
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 1993 "cf-parse.y"
    {
     (yyval.x) = f_new_inst();
     (yyval.x)->code = 's';
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[(1) - (3)].x);
     (yyval.x)->next = (yyvsp[(3) - (3)].x);
   }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2002 "cf-parse.y"
    { (yyval.x) = NULL; }
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2003 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (1)].x); }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2007 "cf-parse.y"
    {
     (yyval.x) = f_new_inst();
     (yyval.x)->code = '?';
     (yyval.x)->a1.p = (yyvsp[(2) - (4)].x);
     (yyval.x)->a2.p = (yyvsp[(4) - (4)].x);
   }
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2013 "cf-parse.y"
    {
     struct f_inst *i = f_new_inst();
     i->code = '?';
     i->a1.p = (yyvsp[(2) - (6)].x);
     i->a2.p = (yyvsp[(4) - (6)].x);
     (yyval.x) = f_new_inst();
     (yyval.x)->code = '?';
     (yyval.x)->a1.p = i;
     (yyval.x)->a2.p = (yyvsp[(6) - (6)].x);
   }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2023 "cf-parse.y"
    {
     (yyval.x) = f_new_inst();
     DBG( "Ook, we'll set value\n" );
     if (((yyvsp[(1) - (4)].s)->class & ~T_MASK) != SYM_VARIABLE)
       cf_error( "You may set only variables." );
     (yyval.x)->code = 's';
     (yyval.x)->a1.p = (yyvsp[(1) - (4)].s);
     (yyval.x)->a2.p = (yyvsp[(3) - (4)].x);
   }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2032 "cf-parse.y"
    {
     (yyval.x) = f_new_inst();
     DBG( "Ook, we'll return the value\n" );
     (yyval.x)->code = 'r';
     (yyval.x)->a1.p = (yyvsp[(2) - (3)].x);
   }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2038 "cf-parse.y"
    {
     (yyval.x) = (yyvsp[(2) - (5)].x);
     (yyval.x)->code = P('e','S');
     (yyval.x)->a1.p = (yyvsp[(4) - (5)].x);
   }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2043 "cf-parse.y"
    {
     (yyval.x) = (yyvsp[(2) - (5)].x);
     if (!(yyval.x)->a1.i)
       cf_error( "This static attribute is read-only.");
     (yyval.x)->code = P('a','S');
     (yyval.x)->a1.p = (yyvsp[(4) - (5)].x);
   }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2050 "cf-parse.y"
    {
     (yyval.x) = f_new_inst();
     (yyval.x)->code = P('P','S');
     (yyval.x)->a1.p = (yyvsp[(3) - (4)].x);
   }
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2055 "cf-parse.y"
    {
     (yyval.x) = (yyvsp[(4) - (6)].x);
     (yyval.x)->aux = EAF_TYPE_UNDEF | EAF_TEMP;
     (yyval.x)->code = P('e','S');
     (yyval.x)->a1.p = NULL;
   }
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2061 "cf-parse.y"
    { (yyval.x) = f_new_inst(); (yyval.x)->code = P('p',','); (yyval.x)->a1.p = (yyvsp[(2) - (3)].x); (yyval.x)->a2.i = (yyvsp[(1) - (3)].i); }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2062 "cf-parse.y"
    { (yyval.x) = (yyvsp[(1) - (2)].x); }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2063 "cf-parse.y"
    {
      (yyval.x) = f_new_inst();
      (yyval.x)->code = P('S','W');
      (yyval.x)->a1.p = (yyvsp[(2) - (5)].x);
      (yyval.x)->a2.p = build_tree( (yyvsp[(4) - (5)].e) );
   }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2071 "cf-parse.y"
    { (yyval.x) = f_generate_empty((yyvsp[(2) - (5)].x)); }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2072 "cf-parse.y"
    { (yyval.x) = f_generate_complex( P('A','p'), 'x', (yyvsp[(2) - (8)].x), (yyvsp[(6) - (8)].x) ); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2073 "cf-parse.y"
    { (yyval.x) = f_generate_complex( P('C','a'), 'a', (yyvsp[(2) - (8)].x), (yyvsp[(6) - (8)].x) ); }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2074 "cf-parse.y"
    { (yyval.x) = f_generate_complex( P('C','a'), 'd', (yyvsp[(2) - (8)].x), (yyvsp[(6) - (8)].x) ); }
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2075 "cf-parse.y"
    { (yyval.x) = f_generate_complex( P('C','a'), 'f', (yyvsp[(2) - (8)].x), (yyvsp[(6) - (8)].x) ); }
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2081 "cf-parse.y"
    {
     this_proto = proto_config_new(&proto_bgp, sizeof(struct bgp_config), (yyvsp[(1) - (2)].i));
     BGP_CFG->hold_time = 240;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->start_delay_time = 5;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->advertise_ipv4 = 1;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
 }
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2104 "cf-parse.y"
    { BGP_CFG->local_as = (yyvsp[(4) - (5)].i); }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2105 "cf-parse.y"
    { BGP_CFG->source_addr = (yyvsp[(3) - (6)].a); BGP_CFG->local_as = (yyvsp[(5) - (6)].i); }
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2106 "cf-parse.y"
    {
     if (ipa_nonzero(BGP_CFG->remote_ip))
       cf_error("Only one neighbor per BGP instance is allowed");
     if (!ipa_has_link_scope((yyvsp[(3) - (7)].a)) != !(yyvsp[(4) - (7)].iface))
       cf_error("Link-local address and interface scope must be used together");

     BGP_CFG->remote_ip = (yyvsp[(3) - (7)].a);
     BGP_CFG->iface = (yyvsp[(4) - (7)].iface);
     BGP_CFG->remote_as = (yyvsp[(6) - (7)].i);
   }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2116 "cf-parse.y"
    { BGP_CFG->rr_cluster_id = (yyvsp[(5) - (6)].i32); }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2117 "cf-parse.y"
    { BGP_CFG->rr_client = 1; }
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2118 "cf-parse.y"
    { BGP_CFG->rs_client = 1; }
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2119 "cf-parse.y"
    { BGP_CFG->hold_time = (yyvsp[(4) - (5)].i); }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2120 "cf-parse.y"
    { BGP_CFG->initial_hold_time = (yyvsp[(5) - (6)].i); }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2121 "cf-parse.y"
    { BGP_CFG->connect_retry_time = (yyvsp[(5) - (6)].i); }
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 2122 "cf-parse.y"
    { BGP_CFG->keepalive_time = (yyvsp[(4) - (5)].i); }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 2123 "cf-parse.y"
    { BGP_CFG->multihop = 64; }
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 2124 "cf-parse.y"
    { BGP_CFG->multihop = (yyvsp[(3) - (4)].i); if (((yyvsp[(3) - (4)].i)<1) || ((yyvsp[(3) - (4)].i)>255)) cf_error("Multihop must be in range 1-255"); }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 2125 "cf-parse.y"
    { BGP_CFG->next_hop_self = 1; }
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 2126 "cf-parse.y"
    { BGP_CFG->missing_lladdr = MLL_SELF; }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 2127 "cf-parse.y"
    { BGP_CFG->missing_lladdr = MLL_DROP; }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 2128 "cf-parse.y"
    { BGP_CFG->missing_lladdr = MLL_IGNORE; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 2129 "cf-parse.y"
    { BGP_CFG->gw_mode = GW_DIRECT; }
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 2130 "cf-parse.y"
    { BGP_CFG->gw_mode = GW_RECURSIVE; }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 2131 "cf-parse.y"
    { BGP_CFG->compare_path_lengths = (yyvsp[(4) - (5)].i); }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 2132 "cf-parse.y"
    { BGP_CFG->med_metric = (yyvsp[(4) - (5)].i); }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 2133 "cf-parse.y"
    { BGP_CFG->igp_metric = (yyvsp[(4) - (5)].i); }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 2134 "cf-parse.y"
    { BGP_CFG->prefer_older = (yyvsp[(4) - (5)].i); }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 2135 "cf-parse.y"
    { BGP_CFG->deterministic_med = (yyvsp[(4) - (5)].i); }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 2136 "cf-parse.y"
    { BGP_CFG->default_med = (yyvsp[(4) - (5)].i); }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 2137 "cf-parse.y"
    { BGP_CFG->default_local_pref = (yyvsp[(4) - (5)].i); }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 2138 "cf-parse.y"
    { BGP_CFG->source_addr = (yyvsp[(4) - (5)].a); }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 2139 "cf-parse.y"
    { BGP_CFG->start_delay_time = (yyvsp[(5) - (6)].i); }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 2140 "cf-parse.y"
    { BGP_CFG->error_amnesia_time = (yyvsp[(5) - (6)].i); }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 2141 "cf-parse.y"
    { BGP_CFG->error_delay_time_min = (yyvsp[(5) - (8)].i); BGP_CFG->error_delay_time_max = (yyvsp[(7) - (8)].i); }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 2142 "cf-parse.y"
    { BGP_CFG->disable_after_error = (yyvsp[(5) - (6)].i); }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 2143 "cf-parse.y"
    { BGP_CFG->enable_refresh = (yyvsp[(5) - (6)].i); }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 2144 "cf-parse.y"
    { BGP_CFG->enable_as4 = (yyvsp[(4) - (5)].i); }
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 2145 "cf-parse.y"
    { BGP_CFG->capabilities = (yyvsp[(3) - (4)].i); }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 2146 "cf-parse.y"
    { BGP_CFG->advertise_ipv4 = (yyvsp[(4) - (5)].i); }
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 2147 "cf-parse.y"
    { BGP_CFG->password = (yyvsp[(3) - (4)].t); }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 2148 "cf-parse.y"
    { BGP_CFG->route_limit = (yyvsp[(4) - (5)].i); }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 2149 "cf-parse.y"
    { BGP_CFG->passive = (yyvsp[(3) - (4)].i); }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 2150 "cf-parse.y"
    { BGP_CFG->interpret_communities = (yyvsp[(4) - (5)].i); }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 2151 "cf-parse.y"
    { BGP_CFG->igp_table = (yyvsp[(4) - (5)].r); }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 2152 "cf-parse.y"
    { BGP_CFG->ttl_security = (yyvsp[(4) - (5)].i); }
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 2163 "cf-parse.y"
    {
     this_proto = proto_config_new(&proto_ospf, sizeof(struct ospf_config), (yyvsp[(1) - (2)].i));
     init_list(&OSPF_CFG->area_list);
     init_list(&OSPF_CFG->vlink_list);
     OSPF_CFG->rfc1583 = DEFAULT_RFC1583;
     OSPF_CFG->tick = DEFAULT_OSPFTICK;
  }
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 2179 "cf-parse.y"
    { OSPF_CFG->rfc1583 = (yyvsp[(2) - (2)].i); }
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 2180 "cf-parse.y"
    { OSPF_CFG->ecmp = (yyvsp[(2) - (2)].i) ? DEFAULT_ECMP_LIMIT : 0; }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 2181 "cf-parse.y"
    { OSPF_CFG->ecmp = (yyvsp[(2) - (4)].i) ? (yyvsp[(4) - (4)].i) : 0; if ((yyvsp[(4) - (4)].i) < 0) cf_error("ECMP limit cannot be negative"); }
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 2182 "cf-parse.y"
    { OSPF_CFG->tick = (yyvsp[(2) - (2)].i); if((yyvsp[(2) - (2)].i)<=0) cf_error("Tick must be greater than zero"); }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 2186 "cf-parse.y"
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[(2) - (2)].i32);
  this_area->default_cost = DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 2201 "cf-parse.y"
    { ospf_area_finish(); }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 2210 "cf-parse.y"
    { this_area->type = (yyvsp[(2) - (2)].i) ? 0 : OPT_E; /* We should remove the option */ }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 2211 "cf-parse.y"
    { this_area->type = OPT_N; }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 2212 "cf-parse.y"
    { this_area->summary = (yyvsp[(2) - (2)].i); }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 2213 "cf-parse.y"
    { this_area->default_nssa = (yyvsp[(3) - (3)].i); }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 2214 "cf-parse.y"
    { this_area->default_cost = (yyvsp[(3) - (3)].i); check_defcost((yyvsp[(3) - (3)].i)); }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 2215 "cf-parse.y"
    { this_area->default_cost = (yyvsp[(3) - (3)].i) | LSA_EXT_EBIT; check_defcost((yyvsp[(3) - (3)].i)); }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 2216 "cf-parse.y"
    { this_area->default_cost = (yyvsp[(3) - (3)].i);  check_defcost((yyvsp[(3) - (3)].i)); }
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 2217 "cf-parse.y"
    { this_area->translator = (yyvsp[(2) - (2)].i); }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 2218 "cf-parse.y"
    { this_area->transint = (yyvsp[(3) - (3)].i); }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 2219 "cf-parse.y"
    { this_nets = &this_area->net_list; }
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 2220 "cf-parse.y"
    { this_nets = &this_area->enet_list; }
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 2232 "cf-parse.y"
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->px = (yyvsp[(1) - (1)].px);
     this_stubnet->cost = COST_D;
   }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 2246 "cf-parse.y"
    { this_stubnet->hidden = (yyvsp[(2) - (2)].i); }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 2247 "cf-parse.y"
    { this_stubnet->summary = (yyvsp[(2) - (2)].i); }
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 2248 "cf-parse.y"
    { this_stubnet->cost = (yyvsp[(2) - (2)].i); }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 2252 "cf-parse.y"
    { ospf_iface_finish(); }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 2253 "cf-parse.y"
    { ospf_iface_finish(); }
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 2262 "cf-parse.y"
    { OSPF_PATT->helloint = (yyvsp[(2) - (2)].i) ; if (((yyvsp[(2) - (2)].i)<=0) || ((yyvsp[(2) - (2)].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 2263 "cf-parse.y"
    { OSPF_PATT->rxmtint = (yyvsp[(2) - (2)].i) ; if ((yyvsp[(2) - (2)].i)<=0) cf_error("Retransmit int must be greater than zero"); }
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 2264 "cf-parse.y"
    { OSPF_PATT->inftransdelay = (yyvsp[(3) - (3)].i) ; if (((yyvsp[(3) - (3)].i)<=0) || ((yyvsp[(3) - (3)].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 2265 "cf-parse.y"
    { OSPF_PATT->waitint = (yyvsp[(2) - (2)].i) ; }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 2266 "cf-parse.y"
    { OSPF_PATT->deadint = (yyvsp[(2) - (2)].i) ; if ((yyvsp[(2) - (2)].i)<=1) cf_error("Dead interval must be greater than one"); }
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 2267 "cf-parse.y"
    { OSPF_PATT->deadc = (yyvsp[(3) - (3)].i) ; if ((yyvsp[(3) - (3)].i)<=1) cf_error("Dead count must be greater than one"); }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 2268 "cf-parse.y"
    { OSPF_PATT->autype = OSPF_AUTH_NONE ; }
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 2269 "cf-parse.y"
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE ; }
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 2270 "cf-parse.y"
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT ; }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 2275 "cf-parse.y"
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[(3) - (3)].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->waitint = WAIT_DMH*HELLOINT_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->deadint = 0;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->autype = OSPF_AUTH_NONE;
  reset_passwords();
 }
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 2296 "cf-parse.y"
    { OSPF_PATT->cost = (yyvsp[(2) - (2)].i) ; if (((yyvsp[(2) - (2)].i)<=0) || ((yyvsp[(2) - (2)].i)>65535)) cf_error("Cost must be in range 1-65535"); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 2297 "cf-parse.y"
    { OSPF_PATT->helloint = (yyvsp[(2) - (2)].i) ; if (((yyvsp[(2) - (2)].i)<=0) || ((yyvsp[(2) - (2)].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 2298 "cf-parse.y"
    { OSPF_PATT->pollint = (yyvsp[(2) - (2)].i) ; if ((yyvsp[(2) - (2)].i)<=0) cf_error("Poll int must be greater than zero"); }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 2299 "cf-parse.y"
    { OSPF_PATT->rxmtint = (yyvsp[(2) - (2)].i) ; if ((yyvsp[(2) - (2)].i)<=0) cf_error("Retransmit int must be greater than zero"); }
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 2300 "cf-parse.y"
    { OSPF_PATT->waitint = (yyvsp[(2) - (2)].i) ; }
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 2301 "cf-parse.y"
    { OSPF_PATT->deadint = (yyvsp[(2) - (2)].i) ; if ((yyvsp[(2) - (2)].i)<=1) cf_error("Dead interval must be greater than one"); }
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 2302 "cf-parse.y"
    { OSPF_PATT->deadc = (yyvsp[(3) - (3)].i) ; if ((yyvsp[(3) - (3)].i)<=1) cf_error("Dead count must be greater than one"); }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 2303 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 2304 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 2305 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 2306 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 2307 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_PTP ; }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 2308 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_PTP ; }
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 2309 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 2310 "cf-parse.y"
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 2311 "cf-parse.y"
    { OSPF_PATT->inftransdelay = (yyvsp[(3) - (3)].i) ; if (((yyvsp[(3) - (3)].i)<=0) || ((yyvsp[(3) - (3)].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 2312 "cf-parse.y"
    { OSPF_PATT->priority = (yyvsp[(2) - (2)].i) ; if (((yyvsp[(2) - (2)].i)<0) || ((yyvsp[(2) - (2)].i)>255)) cf_error("Priority must be in range 0-255"); }
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 2313 "cf-parse.y"
    { OSPF_PATT->strictnbma = (yyvsp[(3) - (3)].i) ; }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 2314 "cf-parse.y"
    { OSPF_PATT->stub = (yyvsp[(2) - (2)].i) ; }
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 2315 "cf-parse.y"
    { OSPF_PATT->check_link = (yyvsp[(3) - (3)].i); }
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 2316 "cf-parse.y"
    { OSPF_PATT->ecmp_weight = (yyvsp[(3) - (3)].i) - 1; if (((yyvsp[(3) - (3)].i)<1) || ((yyvsp[(3) - (3)].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 2318 "cf-parse.y"
    { OSPF_PATT->autype = OSPF_AUTH_NONE ; }
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 2319 "cf-parse.y"
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE ; }
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 2320 "cf-parse.y"
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT ; }
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 2321 "cf-parse.y"
    { OSPF_PATT->rxbuf = OSPF_RXBUF_LARGE ; }
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 2322 "cf-parse.y"
    { OSPF_PATT->rxbuf = OSPF_RXBUF_NORMAL ; }
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 2323 "cf-parse.y"
    { OSPF_PATT->rxbuf = (yyvsp[(3) - (3)].i) ; if (((yyvsp[(3) - (3)].i) < OSPF_RXBUF_MINSIZE) || ((yyvsp[(3) - (3)].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 2335 "cf-parse.y"
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->px.addr = (yyvsp[(1) - (1)].px).addr;
   this_pref->px.len = (yyvsp[(1) - (1)].px).len;
 }
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 2345 "cf-parse.y"
    { this_pref->hidden = 1; }
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 2346 "cf-parse.y"
    { this_pref->tag = (yyvsp[(2) - (2)].i); }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 2359 "cf-parse.y"
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[(1) - (2)].a);
   this_nbma->eligible=0;
 }
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 2368 "cf-parse.y"
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[(1) - (3)].a);
   this_nbma->eligible=1;
 }
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 2378 "cf-parse.y"
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->waitint = WAIT_DMH*HELLOINT_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->deadint = 0;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->autype = OSPF_AUTH_NONE;
  reset_passwords();
 }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 2409 "cf-parse.y"
    { ospf_iface_finish(); }
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 2414 "cf-parse.y"
    { (yyval.t) = NULL; }
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 2420 "cf-parse.y"
    { ospf_sh(proto_get_named((yyvsp[(3) - (4)].s), &proto_ospf)); }
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 2423 "cf-parse.y"
    { ospf_sh_neigh(proto_get_named((yyvsp[(4) - (6)].s), &proto_ospf), (yyvsp[(5) - (6)].t)); }
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 2426 "cf-parse.y"
    { ospf_sh_iface(proto_get_named((yyvsp[(4) - (6)].s), &proto_ospf), (yyvsp[(5) - (6)].t)); }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 2431 "cf-parse.y"
    { ospf_sh_state(proto_get_named((yyvsp[(4) - (6)].s), &proto_ospf), 0, 1); }
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 2434 "cf-parse.y"
    { ospf_sh_state(proto_get_named((yyvsp[(5) - (7)].s), &proto_ospf), 0, 0); }
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 2439 "cf-parse.y"
    { ospf_sh_state(proto_get_named((yyvsp[(4) - (6)].s), &proto_ospf), 1, 1); }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 2442 "cf-parse.y"
    { ospf_sh_state(proto_get_named((yyvsp[(5) - (7)].s), &proto_ospf), 1, 0); }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 2446 "cf-parse.y"
    { ospf_sh_lsadb((yyvsp[(4) - (5)].ld)); }
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 2449 "cf-parse.y"
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 2452 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (2)].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 2453 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (3)].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[(3) - (3)].i32) ;}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 2454 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (2)].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 2455 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (3)].ld); (yyval.ld)->type = (yyvsp[(3) - (3)].i); }
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 2456 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (3)].ld); (yyval.ld)->lsid = (yyvsp[(3) - (3)].i32); }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 2457 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (2)].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 2458 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (3)].ld); (yyval.ld)->router = (yyvsp[(3) - (3)].i32); }
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 2459 "cf-parse.y"
    { (yyval.ld) = (yyvsp[(1) - (2)].ld); (yyval.ld)->name = (yyvsp[(2) - (2)].s); }
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 2465 "cf-parse.y"
    {
     this_proto = proto_config_new(&proto_pipe, sizeof(struct pipe_config), (yyvsp[(1) - (2)].i));
     PIPE_CFG->mode = PIPE_TRANSPARENT;
  }
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 2474 "cf-parse.y"
    {
     if ((yyvsp[(4) - (5)].s)->class != SYM_TABLE)
       cf_error("Routing table name expected");
     PIPE_CFG->peer = (yyvsp[(4) - (5)].s)->def;
   }
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 2479 "cf-parse.y"
    { PIPE_CFG->mode = PIPE_OPAQUE; }
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 2480 "cf-parse.y"
    { PIPE_CFG->mode = PIPE_TRANSPARENT; }
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 2487 "cf-parse.y"
    {
  this_proto = proto_config_new(&proto_radv, sizeof(struct radv_config), (yyvsp[(1) - (2)].i));
  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 2495 "cf-parse.y"
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 2509 "cf-parse.y"
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);

  RADV_IFACE->min_ra_int = -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = -1;
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 2523 "cf-parse.y"
    { RADV_IFACE->min_ra_int = (yyvsp[(4) - (4)].i); if ((yyvsp[(4) - (4)].i) < 3) cf_error("Min RA interval must be at least 3"); }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 2524 "cf-parse.y"
    { RADV_IFACE->max_ra_int = (yyvsp[(4) - (4)].i); if (((yyvsp[(4) - (4)].i) < 4) || ((yyvsp[(4) - (4)].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 2525 "cf-parse.y"
    { RADV_IFACE->min_delay = (yyvsp[(3) - (3)].i); if ((yyvsp[(3) - (3)].i) <= 0) cf_error("Min delay must be positive"); }
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 2526 "cf-parse.y"
    { RADV_IFACE->managed = (yyvsp[(2) - (2)].i); }
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 2527 "cf-parse.y"
    { RADV_IFACE->other_config = (yyvsp[(3) - (3)].i); }
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 2528 "cf-parse.y"
    { RADV_IFACE->link_mtu = (yyvsp[(3) - (3)].i); if ((yyvsp[(3) - (3)].i) < 0) cf_error("Link MTU must be 0 or positive"); }
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 2529 "cf-parse.y"
    { RADV_IFACE->reachable_time = (yyvsp[(3) - (3)].i); if (((yyvsp[(3) - (3)].i) < 0) || ((yyvsp[(3) - (3)].i) > 3600000)) cf_error("Reachable time must be in range 0-3600000"); }
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 2530 "cf-parse.y"
    { RADV_IFACE->retrans_timer = (yyvsp[(3) - (3)].i); if ((yyvsp[(3) - (3)].i) < 0) cf_error("Retrans timer must be 0 or positive"); }
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 2531 "cf-parse.y"
    { RADV_IFACE->current_hop_limit = (yyvsp[(4) - (4)].i); if (((yyvsp[(4) - (4)].i) < 0) || ((yyvsp[(4) - (4)].i) > 255))  cf_error("Current hop limit must be in range 0-255"); }
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 2532 "cf-parse.y"
    { RADV_IFACE->default_lifetime = (yyvsp[(3) - (3)].i); if (((yyvsp[(3) - (3)].i) < 0) || ((yyvsp[(3) - (3)].i) > 9000))  cf_error("Default lifetime must be in range 0-9000"); }
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 2533 "cf-parse.y"
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 2537 "cf-parse.y"
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = _MAX(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval %d %d", ic->min_ra_int, ic->max_ra_int);

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 2570 "cf-parse.y"
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = (yyvsp[(1) - (1)].px).addr;
  RADV_PREFIX->pxlen = (yyvsp[(1) - (1)].px).len;

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 2582 "cf-parse.y"
    { RADV_PREFIX->skip = (yyvsp[(2) - (2)].i); }
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 2583 "cf-parse.y"
    { RADV_PREFIX->onlink = (yyvsp[(2) - (2)].i); }
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 2584 "cf-parse.y"
    { RADV_PREFIX->autonomous = (yyvsp[(2) - (2)].i); }
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 2585 "cf-parse.y"
    { RADV_PREFIX->valid_lifetime = (yyvsp[(3) - (3)].i); if ((yyvsp[(3) - (3)].i) < 0) cf_error("Valid lifetime must be 0 or positive"); }
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 2586 "cf-parse.y"
    { RADV_PREFIX->preferred_lifetime = (yyvsp[(3) - (3)].i); if ((yyvsp[(3) - (3)].i) < 0) cf_error("Preferred lifetime must be 0 or positive"); }
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 2590 "cf-parse.y"
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 2612 "cf-parse.y"
    {
     this_proto = proto_config_new(&proto_rip, sizeof(struct rip_proto_config), (yyvsp[(1) - (2)].i));
     rip_init_config(RIP_CFG);
   }
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 2621 "cf-parse.y"
    { RIP_CFG->infinity = (yyvsp[(3) - (4)].i); }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 2622 "cf-parse.y"
    { RIP_CFG->port = (yyvsp[(3) - (4)].i); }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 2623 "cf-parse.y"
    { RIP_CFG->period = (yyvsp[(3) - (4)].i); }
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 2624 "cf-parse.y"
    { RIP_CFG->garbage_time = (yyvsp[(4) - (5)].i); }
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 2625 "cf-parse.y"
    { RIP_CFG->timeout_time = (yyvsp[(4) - (5)].i); }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 2626 "cf-parse.y"
    {RIP_CFG->authtype = (yyvsp[(3) - (4)].i); }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 2628 "cf-parse.y"
    { RIP_CFG->honor = HO_ALWAYS; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 2629 "cf-parse.y"
    { RIP_CFG->honor = HO_NEIGHBOR; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 2630 "cf-parse.y"
    { RIP_CFG->honor = HO_NEVER; }
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 2635 "cf-parse.y"
    { (yyval.i)=AT_PLAINTEXT; }
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 2636 "cf-parse.y"
    { (yyval.i)=AT_MD5; }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 2637 "cf-parse.y"
    { (yyval.i)=AT_NONE; }
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 2642 "cf-parse.y"
    { (yyval.i)=IM_BROADCAST; }
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 2643 "cf-parse.y"
    { (yyval.i)=0; }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 2644 "cf-parse.y"
    { (yyval.i)=IM_QUIET; }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 2645 "cf-parse.y"
    { (yyval.i)=IM_NOLISTEN; }
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 2646 "cf-parse.y"
    { (yyval.i)=IM_VERSION1 | IM_BROADCAST; }
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 2650 "cf-parse.y"
    { RIP_IPATT->metric = (yyvsp[(2) - (2)].i); }
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 2651 "cf-parse.y"
    { RIP_IPATT->mode |= (yyvsp[(2) - (2)].i); }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 2665 "cf-parse.y"
    {
     this_ipatt = cfg_allocz(sizeof(struct rip_patt));
     add_tail(&RIP_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
     RIP_IPATT->metric = 1;
   }
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 2681 "cf-parse.y"
    {
     this_proto = proto_config_new(&proto_static, sizeof(struct static_config), (yyvsp[(1) - (2)].i));
     static_init_config((struct static_config *) this_proto);
  }
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 2690 "cf-parse.y"
    { STATIC_CFG->check_link = (yyvsp[(4) - (5)].i); }
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 2691 "cf-parse.y"
    { STATIC_CFG->igp_table = (yyvsp[(4) - (5)].r); }
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 2695 "cf-parse.y"
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->other_routes, &this_srt->n);
     this_srt->net = (yyvsp[(2) - (2)].px).addr;
     this_srt->masklen = (yyvsp[(2) - (2)].px).len;
  }
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 2704 "cf-parse.y"
    {
     last_srt_nh = this_srt_nh;
     this_srt_nh = cfg_allocz(sizeof(struct static_route));
     this_srt_nh->dest = RTD_NONE;
     this_srt_nh->via = (yyvsp[(2) - (3)].a);
     this_srt_nh->via_if = (yyvsp[(3) - (3)].iface);
     this_srt_nh->if_name = (void *) this_srt; /* really */
   }
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 2712 "cf-parse.y"
    {
     this_srt_nh->masklen = (yyvsp[(3) - (3)].i) - 1; /* really */
     if (((yyvsp[(3) - (3)].i)<1) || ((yyvsp[(3) - (3)].i)>256)) cf_error("Weight must be in range 1-256"); 
   }
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 2719 "cf-parse.y"
    { this_srt->mp_next = this_srt_nh; }
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 2720 "cf-parse.y"
    { last_srt_nh->mp_next = this_srt_nh; }
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 2724 "cf-parse.y"
    {
      this_srt->dest = RTD_ROUTER;
      this_srt->via = (yyvsp[(3) - (4)].a);
      this_srt->via_if = (yyvsp[(4) - (4)].iface);
   }
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 2729 "cf-parse.y"
    {
      this_srt->dest = RTD_DEVICE;
      this_srt->if_name = (yyvsp[(3) - (3)].t);
      rem_node(&this_srt->n);
      add_tail(&STATIC_CFG->iface_routes, &this_srt->n);
   }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 2735 "cf-parse.y"
    {
      this_srt->dest = RTD_MULTIPATH;
   }
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 2738 "cf-parse.y"
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[(3) - (3)].a);
   }
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 2742 "cf-parse.y"
    { this_srt->dest = RTD_BLACKHOLE; }
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 2743 "cf-parse.y"
    { this_srt->dest = RTD_UNREACHABLE; }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 2744 "cf-parse.y"
    { this_srt->dest = RTD_PROHIBIT; }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 2748 "cf-parse.y"
    { static_show(proto_get_named((yyvsp[(3) - (4)].s), &proto_static)); }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 2756 "cf-parse.y"
    { bgp_check_config(BGP_CFG); }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 2756 "cf-parse.y"
    { ospf_proto_finish(); }
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 2756 "cf-parse.y"
    { RIP_CFG->passwords = get_passwords(); }
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 2759 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 2759 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 2760 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 2760 "cf-parse.y"
    { (yyval.x) = NULL; }
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 2761 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(EAP_BGP, BA_ORIGIN)); }
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 2762 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(EAP_BGP, BA_AS_PATH)); }
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 2763 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(EAP_BGP, BA_NEXT_HOP)); }
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 2764 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(EAP_BGP, BA_MULTI_EXIT_DISC)); }
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 2765 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(EAP_BGP, BA_LOCAL_PREF)); }
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 2766 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(EAP_BGP, BA_ATOMIC_AGGR)); }
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 2767 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(EAP_BGP, BA_AGGREGATOR)); }
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 2768 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(EAP_BGP, BA_COMMUNITY)); }
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 2769 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(EAP_BGP, BA_ORIGINATOR_ID)); }
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 2770 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(EAP_BGP, BA_CLUSTER_LIST)); }
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(EAP_BGP, BA_EXT_COMMUNITY)); }
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_OSPF_METRIC1); }
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_OSPF_METRIC2); }
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_OSPF_TAG); }
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID | EAF_TEMP, T_QUAD, EA_OSPF_ROUTER_ID); }
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_RIP_METRIC); }
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 2771 "cf-parse.y"
    { (yyval.x) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_RIP_TAG); }
    break;



/* Line 1806 of yacc.c  */
#line 8640 "cf-parse.tab.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 2773 "cf-parse.y"

/* C Code from ../../conf/confbase.Y */

/* C Code from ../../sysdep/unix/config.Y */

/* C Code from ../../sysdep/unix/krt.Y */

/* C Code from ../../sysdep/linux/netlink/netlink.Y */

/* C Code from ../../nest/config.Y */

/* C Code from ../../proto/bgp/config.Y */

/* C Code from ../../proto/ospf/config.Y */

/* C Code from ../../proto/pipe/config.Y */

/* C Code from ../../proto/radv/config.Y */

/* C Code from ../../proto/rip/config.Y */

/* C Code from ../../proto/static/config.Y */


